2008-03-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.12.9 ===

	* NEWS: Updates

2008-03-11  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* modules/printbackends/cups/gtkprintbackendcups.c: Use
	g_ascii_formatd when formatting custom paper sizes, since
	cups doesn't handle , as decimal separator.  (#521548)

2008-03-11  Tor Lillqvist  <tml@novell.com>

	Bug 469868 - Filenames with colon ":" are not saved correctly

	* gtk/gtkfilechooserentry.c (insert_text_callback)
	(delete_text_callback) [Win32]: New functions to make sure that
	colons used otherwise than as a separator after a drive letter, or
	characters that are always illegal in file names, are rejected on
	input. This means that the GTK+ file chooser can't be used to
	input full names of alternate data streams, but oh well. There are
	still more checks that could be done on the file names, see the
	bug report. But this will do for now.
	(_gtk_file_chooser_entry_init) [Win32]: Connect above functions.

2008-03-11  Alberto Ruiz  <aruiz@gnome.org>

	Merged from trunk:

	* gtk/gtkcombobox.c (gtk_combo_box_size_allocate):
	Take thickness into account in the size allocation of the child widgets in
	list mode.
	Fixes #521442

2008-03-10  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c
	(cups_get_user_options):

	Bug 469210 – Honor CUPS user default options for GtkPrint

	Correctly iterate over filename list, avoiding a
	critical warning/crash.

2008-03-07  Alberto Ruiz  <aruiz@gnome.org>

	Merged from trunk:

	* modules/engines/ms-windows/msw_style.c (draw_shadow):
	Do not draw frame if parent if combobox.
	(draw_box):
	Uses scrollbar width system metrics for combobox button.
	Fixes #461805 for XP theme engine.

2008-03-06  Federico Mena Quintero  <federico@novell.com>

	Merged from trunk:

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=505857 -
	GtkFileChooserDialog should set a default response button if the
	app doesn't set it.  Based on a patch by Chris Wang <chris.wang@sun.com>.

	* gtk/gtkfilechooserdialog.c (is_stock_accept_response_id): New
	function, refactor from where there was duplicated code.
	(gtk_file_chooser_dialog_map): Look at the buttons in our
	action_area.  If the response ID for a button is one of the stock
	ones, make it the default response button.

2008-03-04  Alberto Ruiz  <aruiz@gnome.org>
	* configure.in: Add --disable-cups option.
		(#513826, Alberto Ruiz)

2008-03-04  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* modules/printbackends/cups/gtkprintbackendcups.c:
	Honor cups user default options from ~/.cups/lpoptions
	(#469210, Stijn Hoop)

2008-03-03  Carlos Garnacho  <carlos@imendio.com>

	Merged from trunk:

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=417389 - Make the
	scrollwheel work in GtkPathBar.

	* gtk/gtkpathbar.h (struct _GtkPathBar): New field event_window.

	* gtk/gtkpathbar.c (gtk_path_bar_realize): New function.  Create
	an input-only window, event_window, which we'll use to capture
	scroll events.
	(gtk_path_bar_map): Show the event_window under the rest of the
	windows, so it will be a catch-all for unhandled events.

2008-03-03  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* gtk/gtkfilechooserbutton.c (G_DEFINE_TYPE_WITH_CODE): fixed a
	typo in the documentation of the GtkFileChooserButtons::file-set
	signal (see bug #353196).

2008-03-01  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkwindow-quartz.c: Add debugging code to highlight a
	gdkwindow.

2008-02-29  Johan Dahlin  <johan@gnome.org>

	Merged from trunk:

	* gtk/gtkbuilder.c:
	* gtk/gtkbuilderparser.c:
	* gtk/gtkbuilderprivate.h:
	Do not use g_error for a few more errors, instead set
	the GError sent in through add_from_file/add_from_string.
	* tests/buildertest.c:
	Add a couple of new parsing tests.
	(#519199, Pavel Syomin)

2008-02-29  Federico Mena Quintero  <federico@novell.com>

	Merged from trunk:

	* gtk/gtkfilesystemunix.c (gtk_file_system_unix_get_folder): When
	refreshing an existing folder (i.e. when we are about to reload
	its file list), turn off the folder's is_finished_loading flag.
	Otherwise callers which do ::is_finished_loading() followed by
	::list_children() will get nothing.

2008-02-27  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzView.c:
	* gdk/quartz/GdkQuartzView.h:
	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_decorations):
	Fix performance regression for borderless transparent windows
	with shadow.

2008-02-27  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* gtk/Makefile.am (GTK_PRINT_PREVIEW_COMMAND): when building the
	Quartz backend, use a native Mac OS X application for the print
	preview (bug #518624).

2008-02-26  Michael Natterer  <mitch@imendio.com>

	Merged from trunk:

	* gtk/gtktextbufferserialize.c (parse_info_free): don't g_free()
	the members of info->tag_stack since they are a) gobjects and b)
	not even owned by us, ugh... Fixes crash when deserializing fails.

2008-02-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksearchenginebeagle.c: Look for libbeagle.so.1, and
	don't use beagle_query_add_hit_type.
	
2008-02-25  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkevents-quartz.c
	(_gdk_quartz_events_trigger_crossing_events): Fix build on tiger.

2008-02-24  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkwindow-win32.c: Fixed declaration in the middle of
	a block that was causing compile problems on old compilers.
	(#518398, reported by Kazuki IWAMOTO)

2008-02-24  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzWindow.c: Prevent hidden windows from being
	shown without gdk's control when clicking the dock icon.

2008-02-24  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkeventloop-quartz.c: (got_fd_activity), (poll_func):
	Use the subtype field for the custom event that is used to wake up
	the mainloop so we can have other custom event types.

	* gdk/quartz/gdkevents-quartz.c:
	(_gdk_quartz_events_trigger_crossing_events):
	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal): Create
	crossing events after showing a window if necessary, to work
	around problems with the tracking rect API.

2008-02-21  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func) [Win32]: Must
	pass the format string to strftime in the C library's locale's
	charset, not the system's. Correspondingly, the return value from
	strftime() is in the C library's locale's charset. (#509885)

2008-02-20  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_decorations): Set
	the right window level and shadow after recreating the window.

	* gdk/quartz/GdkQuartzView.c: (drawRect): Invalidate the shadow if
	necessary after drawing (bug #517338).

2008-02-20  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzWindow.c: (showAndMakeKey): Update the
	position after showing the window since the window manager might
	not place it where we requested in the first place.

2008-02-20  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal),
	(_gdk_quartz_window_detach_from_parent),
	(_gdk_quartz_window_attach_to_parent), (gdk_window_focus): Clear
	the toplevel ordering list in all places where the order is
	potentially changed. Fixes mouse focus issues for windows with
	a transient parent set.

2008-02-17  Johan Dahlin  <johan@gnome.org>

	Merged from trunk:

	* gtk/gtk-builder-convert (GtkBuilderConverter._add_action_from_menuitem): 
	When converting a stock item based on the label, remove the label property.

2008-02-15  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzView.c: Adapt to the change to use frame
	instead of bounds when resizing windows.

2008-02-16  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkevents-quartz.c (create_scroll_event): Add state
	to the scroll event (bug #516757, Paul Davis).

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtknotebook.c (gtk_notebook_stop_reorder): Prevent
	a crash with hidden, reorderable tabs.  (#513230,
	Mike Massonnet, patch by Carlos Garnacho)

2008-02-15  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilesystemwin32.c (get_viewable_logical_drives): Don't
	leak Registry key handles. (#516578)

2008-02-14  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_focus): Using
	makeKeyWindow unfortunately doesn't work in all cases, we must use
	makeKeyAndOrderFront.

2008-02-14  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (get_fullscreen_geometry),
	(gdk_window_hide), (gdk_window_fullscreen),
	(gdk_window_unfullscreen): Make sure we leave fullscreen mode if
	the window is hidden.

2008-02-14  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzWindow.c: Set frame, not bounds when
	resizing to be consistent and to avoid introducing an internal
	transform in the view.

2008-02-13  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gtk/gtkclipboard-quartz.c: (gtk_clipboard_wait_for_contents):
	Remove unused variables.
	(gtk_clipboard_set_contents),
	(gtk_clipboard_get_owner), (clipboard_unset),
	(gtk_clipboard_request_targets): Notify the previous clipboard
	owner when the owner changes. Fixes bug #493406.

2008-02-13  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkcolor-quartz.c: (gdk_colormap_alloc_colors): Fix
	the return value (return number of colors that failed), and handle
	RGBA colormap.
	(gdk_colormap_free_colors): Fix typo in comment.

2008-02-13  Emmanuele Bassi  <ebassi@gnome.org>

	Merge from trunk:

	* gtk/gtkrecentchoosermenu.c:
	(idle_populate_func), (idle_populate_clean_up): Fix possible
	recursion by resetting the idle source id. (#507605, William
	Pitcock)

2008-02-12  Matthias Clasen  <mclasne@redhat.com>

	* configure.in: Bump version

	* === Released 2.12.8 ===

	* NEWS: Updates

2008-02-12  Matthias Clasen  <mclasne@redhat.com>

	* gtk/gtkpapersize.c:
	* gtk/gtkprintoperation.c:
	* gtk/gtkvolumebutton.c:
	* gtk/gtkbulderparser.c: Fix some i18n errors. Pointed
	out by Behdad Esfahbod.

2008-02-12  Cody Russell  <bratsche@gnome.org>

	Merged from trunk:

	* gdk/win32/gdkprivate-win32.h
	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkwindow-win32.c
	* gdk/win32/gdkwindow-win32.h
	* gdk/win32/gdkwin32.h:
	Modal window rework.  (#455627, #511111, #514643, #514789)

2008-02-12  Cody Russell  <bratsche@gnome.org>

	Merged from trunk:

	* gtk/gtkfilechooser.c (gtk_file_chooser_get_current_folder_uri):
	Check the return value of _gtk_file_chooser_get_file_system () for
	NULL before passing it to gtk_file_system_path_to_uri ().
	(#515667, Francesco Montorsi)

2008-02-12  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserdefault.c (switch_to_shortcut): Don't focus
	the file list (this was the last place where we would focus the
	file list explicitly).  If you are in the location entry, for
	example, you don't want Alt-Home to take you to the file list; you
	just want the current folder to change.  Thanks to Olle Bergkvist
	<olle.bergkvist@yahoo.se> for pointing this out in
	http://bugzilla.gnome.org/show_bug.cgi?id=419737#c51.
	(focus_browse_tree_view_if_possible): Removed.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	Skip exensions when selecting filenames in the save-as dialog.
	(#362516, Carlos Garnacho)

	* gtk/gtkfilechooserentry.h:
	* gtk/gtkfilechooserentry.c (_gtk_file_chooser_entry_select_filename):
	New function to skip the extension part when selecting a filename.
	(_gtk_file_chooser_entry_set_base_folder): Use it here.

	* gtkfilechooserdefault.c (gtk_file_chooser_entry_grab_focus):
	...and here.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkiconview.c: Fix state change reporting for
	accessibility.  (#499835, Rich Burridge, patch by LiYan Zhang)

2008-02-12  Emmanuele Bassi  <ebassi@gnome.org>

	Merged from trunk:

	* gtk/gtkrecentchooser.c:
	(gtk_recent_chooser_class_init): Set the default value of the
	show-not-found property to TRUE, as every implementation sets
	it to TRUE already.

	* gtk/gtkrecentchooserdefault.c:
	(_gtk_recent_chooser_default_init): Sync show_tips to the
	default value of the :show-tips property.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/*.c: Unify the handling of various "Enter" keysyms
	all over the place.  (#515047, Christian Persch)

2008-02-12  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk:

	* gtk/gtktreeview.c (gtk_tree_view_real_select_cursor_row),
	(gtk_tree_view_real_toggle_cursor_row): guard against people
	deleting the row in question in the selection-changed callback.
	(#514621, Andreas Koehler).

2008-02-11  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	Support keynav in status icons.  (#473786, Li Yuan)

	* gtk/gtkstatusicon.c: Handle keynav, make the tray icon
	focusable.

	* gtk/gtktrayicon-x11.c: Draw a focus rectangle when
	focused.

2008-02-11  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk:

	* gtk/gtkcellview.c (gtk_cell_view_cell_layout_reorder)
	* gtk/gtkiconview.c (gtk_icon_view_cell_layout_reorder): plug leak
	wrt. link deletion from list; contination of fix for #503569.

2008-02-11  Emmanuele Bassi  <ebassi@gnome.org>

	Merge from trunk:

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_constructor): Set no-show-all flag
	on the placeholder menu item.

	* tests/testrecentchoosermenu.c: 
	(create_recent_chooser_menu): Use gtk_widget_show_all() to test
	whether the placeholder menu item gets shown.

2008-02-10  Matthias Clasen  <mclasen@redhat.com>

	Merge from trunk:

	* gtk/gtkrecentaction.c: Propagate local-only.  (#511987,
	Jonh Wendell)

2008-02-08  Richard Hult  <richard@imendio.com>

	Merge from trunk:

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate): Ignore the
	delta from the NSEvent for now, generating multiple scroll events
	results in a lot of events getting queued up and things get really
	slow.

2008-02-08  Sven Herzberg  <sven@imendio.com>

	Merge from trunk:

	Adjust the code to match the documentation, examples, "common sense"
	and existing applications.

	* gtk/gtkaction.c: (_gtk_action_sync_menu_visible): take into account
	that a GtkMenu for a <popup> element doesn't have to have a GtkAction
	assigned

2008-02-06  Cody Russell  <bratsche@gnome.org>

	Merge from trunk:

	* gdk/win32/gdkevents-win32.c: Check if the window is a temp window,
	otherwise things get wonky when you click on a menu.  This fixes
	a regression caused in #505928.  Thanks to Tor for spotting this
	one!  (#514789)

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	Merge from trunk:

	* gtk/gtkprintsettings.c (gtk_print_settings_get_page_ranges):
	Allow to store half-open ranges.

2008-02-05  Federico Mena Quintero  <federico@novell.com>

	Don't focus the file list when shortcuts get activated.  This
	removes a lot of ambiguity in when the file selection should
	change, and makes the overall code flow simpler.

	This fixes http://bugzilla.gnome.org/show_bug.cgi?id=419737 -
	file/save dialog clears the filename entry when changing
	directories.

	Also fixes http://bugzilla.gnome.org/show_bug.cgi?id=499940 -
	focus should not go to the file list when a shortcut is activated.

	* gtk/gtkfilechooserdefault.c
	(shortcuts_activate_volume_mount_cb): Don't focus the file list
	(shortcuts_activate_get_info_cb): Likewise.

2008-02-05  Federico Mena Quintero  <federico@novell.com>

	Don't focus the file list when shortcuts get activated.  This
	removes a lot of ambiguity in when the file selection should
	change, and makes the overall code flow simpler.

	This fixes http://bugzilla.gnome.org/show_bug.cgi?id=419737 -
	file/save dialog clears the filename entry when changing
	directories.

	Also fixes http://bugzilla.gnome.org/show_bug.cgi?id=499940 -
	focus should not go to the file list when a shortcut is activated.

	* gtk/gtkfilechooserdefault.c
	(shortcuts_activate_volume_mount_cb): Don't focus the file list
	(shortcuts_activate_get_info_cb): Likewise.

2008-02-05  Federico Mena Quintero  <federico@novell.com>

	Merged from trunk (patch by Josselin Mouette <joss@malsain.org>):
	
	reviewed by: Federico Mena Quintero

	* gtk/gtkfilechooserdefault.c: (shortcuts_append_paths),
	(shortcuts_add_bookmarks), (shortcuts_selection_changed_cb),
	(shortcuts_list_create), (gtk_file_chooser_default_should_respond):
	Make the shortcuts activate with a single click. (#148828)
        Fix a few things affected by the change:
	  - Set selection mode to GTK_SELECTION_SINGLE to allow a case 
	    where no shortcut is selected.
	  - Don't activate a shortcut in the response callback.
	  - Filter out duplicate entries in volumes and bookmarks to 
	    avoid the selection to change when reordering them with DnD.

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	Merge from trunk:

	* gtk/updateiconcache.c: Ignore images in the toplevel theme
	directory, avoiding one source of invalid caches that
	has been spotted in the wild.

	* gtk/updateiconcache.c: Install a printerr handler that
	prepends the program name, since gtk-update-icon-cache output
	often appears in the middle of other output, e.g. rpm
	update logs.

2008-02-01  Cody Russell  <cody@jhu.edu>

	Merge from trunk:

	* modules/engines/ms-windows/xp_theme.[ch]
	* modules/engines/ms-windows/xp_theme_defs.h
	* modules/engines/ms-windows/msw_rc_style.c
	* modules/engines/ms-windows/msw_theme_main.c
	* modules/engines/ms-windows/msw_style.c: Re-indented and generally
	attempted to stylize more like the rest of the gtk+ stack's code.

2008-02-01  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/gdkdrawable-directfb.c
	* gdk/directfb/gdkimage-directfb.c
	* gdk/directfb/gdkinput-directfb.c
	* gdk/directfb/gdkpixmap-directfb.c
	* gdk/directfb/gdkwindow-directfb.c: applied
	directfb-deprecation-fixes.patch from Debian. Fixes build with
	GLib 2.15 deprecation of G_GNUC_FUNCTION in favor of G_STRLOC.

2008-01-31  Cody Russell  <bratsche@gnome.org>

	Merge from trunk:

        * gdk/win32/gdkevents-win32.c:
	Refactored some of the window hiding/showing code from
	WM_ACTIVATE to WM_SIZE and WM_SYSCOMMAND.  Having this
	under WM_ACTIVATE was causing the application to go into
	a weird state when the user right-clicked on the taskbar
	entry of a window that was minimized.  (#505928)
	
2008-01-31  Cody Russell  <bratsche@gnome.org>

	Merge from trunk:

	* gtk/gtkpaned.c (gtk_paned_set_position):
	Change queue_resize() to queue_draw(), and add a check for
	child2 != NULL in case someone calls this before there is
	a child packed in there.  (#144269 again)

2008-01-31  Richard Hult  <richard@imendio.com>

	Merge from trunk, except for the reverting since that part wasn't
	applied here yet:

	* gdk/quartz/GdkQuartzView.c: Another attempt at fixing focus
	issues with undecorated windows. Revert the change done on
	2008-01-25 and fix it by using the view's bounds instead. The
	bounds will always be up to date when setting up the tracking
	rect, so this should be more robust.

2008-01-29  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.12.7 ===

2008-01-28  Matthias Clasen  <mclasen@redhat.com>
	
	* configure.in: Bump version

	* === Released 2.12.6 ===

	* NEWS: Updates

	* configure.in: Bump version

2008-01-28  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkprintunixdialog.c (draw_page_cb): do not leak the pango
	layout, fixes #512375.

2008-01-25  Johan Dahlin  <johan@gnome.org>

	Merge from trunk:

	* gtk/gtk-builder-convert
	(GtkBuilderConverter._convert_adjustment): Handle the case where
	there is no child text node.
	(GtkBuilderConverter): Allow xml comments in most places.

	* gtk/gtk-builder-convert
	(GtkBuilderConverter._convert_combobox_items): Remove the items
	even if there are no items set.
	(GtkBuilderConverter._add_action_from_menuitem): Convert toggled
	signals and tooltips for all menu items subclasses and 
	GtkImageMenuItem:label. 
	Makes it possible to fully convert and run Jokosher.glade.

	* gtk/gtkwidget.c: (gtk_widget_buildable_interface_init),
	(gtk_widget_buildable_get_internal_child), (free_action),
	(free_relation), (gtk_widget_buildable_parser_finished),
	(accessibility_start_element),
	(gtk_widget_buildable_custom_tag_start),
	(gtk_widget_buildable_custom_finished):
	Implement accessible support, fixes #454653.

	* gtk/gtk-builder-convert:
	Add support for migrating old glade files
	
	* tests/buildertest.c: (test_widget), (test_file):
	Add accessible tests and imprve the test_file function to display
	toplevels and run dialogs.

2008-01-25  Sven Herzberg  <sven@imendio.com>

	Merge from trunk:

	Reviewed by Johan Dahlin.

	* gtk/gtkuimanager.c (gtk_ui_manager_remove_ui): emit a warning if
	this is called with something that's not a GtkUIManager

2008-01-18  Johan Dahlin  <johan@gnome.org>

	Merge from trunk:

	* gtk/gtk-builder-convert (get_property_node): New method
	(GtkBuilderConverter._create_object): Conditionally take a node as
	a property value, so don't lose translate/context attributes if they
	are set. 
	(GtkBuilderConverter._add_action_from_menuitem): Send in Node as
	property values instead of strings.
	(#509153, Erik van Pienbroek)

2008-01-12  Andre Klapper  <a9016009@gmx.de>

	* configure.in: add Kannada (kn) and Sinhala (si) to ALL_LINGUAS.

2008-01-10  Cody Russell  <bratsche@gnome.org>

	Merge from trunk:

	* gdk/win32/gdkwindow-win32.c: (gdk_window_set_transient_for),
	Properly ref/unref windows and parents.  (#506769)

2008-01-10  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal),
	(gdk_window_hide), (move_resize_window_internal): Move the
	tracking rect workaround from here...

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h: ...to here, and ignore window
	movements during showing/hiding operations. Fixes bug #508516.

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk:

	* gtk/gtktreeview.c (gtk_tree_view_motion_draw_column_motion_arrow),
	(_gtk_tree_view_column_start_drag): fully initialize GdkWindowAttr to
	avoid valgrind warnings.  (#507751, patch from Christian Persch).

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk:

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_get_path): Fix
	a leak of the path (#504611, patch from Sadrul Habib Chowdhury).

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk (omitted unit test updates):

	Fix #477175, reported by Juri Pakaste.

	* gtk/gtktreeprivate.h:
	* gtk/gtktreeview.c (gtk_tree_view_top_row_to_dy): do not set
	tree_view->priv->dy here directly, just calculate the new value
	and set it on the adjustment,
	(gtk_tree_view_adjustment_changed): add guards to not call
	gtk_tree_view_dy_to_top_row() if we are currently in
	gtk_tree_view_top_row_to_dy(),
	(gtk_tree_view_put): fix coordinate annotation: these are bin_window
	coordinates, not tree coordinates,
	(gtk_tree_view_real_start_editing): add cast.

2007-01-06  Johan Dahlin  <johan@gnome.org>

	Merged from trunk:

	* gtkbuilder.c: remove concept of root objects and just refcount
	all objects in the builder.  Fixes #496651.

	* docs/reference/gtk/tmpl/gtkbuildable.sgml: add clarification stating
	that the construct_child function is responsible for returning a
	reference.
	* gtkbuilder.c (_gtk_builder_construct): remove g_object_ref() for
	objects from constructors
	* gtkuimanager.c (gtk_ui_manager_buildable_construct_child): add
	g_object_ref() to this construction function (it's the only
	implementer in GTK)

	Fixes #496645.

2008-01-08  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.12.5 ===

2008-01-08  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.12.4 ===

2008-01-07  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-01-07  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkassistant.c (remove_page): Be more robust when removing
	the current page.  (#499951, Andreas Sandberg)
	
2007-01-06  Johan Dahlin  <johan@gnome.org>

	Merged from trunk:

	* gtk/gtk-builder-convert (GtkBuilderConverter._strip_root): 
	Make sure that --root works for toplevel widgets.
	(#491847, Phil Lello)

2008-01-04  Michael Natterer  <mitch@imendio.com>

	Merged from trunk:

	* gdk/x11/gdkinput-x11.c (_gdk_device_get_history): don't forget
	to set the time in the returned GdkTimeCoords.

2008-01-03  Emmanuele Bassi  <ebassi@gnome.org>

	Backport from trunk

	* gtk/gtkfilechooserdefault.c (recent_sort_mru): Use the
	correct comparison function (kudos to Christian Persch and
	Claudio Saavedra for spotting this).

	* gtk/gtkrecentchooserutils.c:
	(sort_recent_items_mru),
	(sort_recent_items_lru): Ditto as above.

2007-12-30  Johannes Schmid <jhs@gnome.org>

	* gtk/gtknotebook.c: (gtk_notebook_stop_reorder):
	Also reorder menu when reordering tabs by drag & drop
	
	* tests/testnotebookdnd.c: (create_notebook_with_notebooks):
	Add a menu to one of the notebooks to have a test-case for
	the change mentioned above.

2007-12-31  Christian Persch  <chpe@gnome.org>

	* gtk/gtkprintunixdialog.c: (gtk_print_unix_dialog_get_property):
	Plug a mem leak. Bug #506107.

2007-12-28  Johan Dahlin  <johan@gnome.org>

	Merged from trunk:

	* gtk/gtkdialog.c (gtk_dialog_buildable_custom_finished)
	(gtk_dialog_buildable_custom_tag_start): Chain up. 
	This makes it possible to have accelerators tags on GtkDialog 
	subclasses.

2007-12-27  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gkt/gtksignal.h: Fix 0<>NULL confusion in gtk_signal_connect...
	defines.  (#505708,  MINAMI Hirokazu)

2007-12-23  Cody Russell  <bratsche@gnome.org>

	Merged from trunk:

	* gdk/win32/gdkevents-win32.c (show_window_recurse): Check that
	the window is mapped before setting SW_RESTORE or SW_MINIMIZE.
	Fixes a regression caused by #164537 patch where transient
	windows that are hidden get shown (incorrectly) when their
	parents are minimized. (#504984)

2007-12-23  Xan Lopez  <xan@gnome.org>

	* gtk/gtktreeview.c (gtk_tree_view_build_tree): pass correct argument
	to g_signal_emit for TEST_EXPAND_ROW (GtkTreeIter* vs. GtkTreeIter**).

	Patch by Sadrul Habib Chowdhury (#504804)

2007-12-21  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (_gdk_windowing_window_destroy):
	Plug leak of destroyed subviews, fixes bug #504753.

2007-12-20  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert (GtkBuilderConverter._remove_window): 
	Refactor to avoid some duplication.
	Convert toplevel GtkMenu's top popups and not menubars in the ui manager.
	Fixes #504749, Yuri Pimenov

2007-12-20  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h: Make manual resizing smoother by
	processing events after changing the size.

2007-12-17  Kristian Rietveld  <kris@imendio.com>

	Merge from trunk.

	* gtk/gtktooltip.c (gtk_tooltip_finalize),
	(gtk_tooltip_set_last_window): use a weak pointer to set last_window
	to NULL as soon as it's destroyed.  (#496546, patch from
	Benjamin Berg).

2007-12-16  Mathias Hasselmann  <mathias@openismus.com>

	Prevent assertion failure in gtk_paned_find_neighbours. (#503824,
	Sébastien Granjoux)

	* gtk/gtkpaned.c: Call gtk_container_forall instead of
	gtk_container_foreach in get_child_panes.

2007-12-15  Xan Lopez  <xan.lopez@nokia.com>

	Merged from trunk:

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_cell_layout_reorder):

	Plug leak: When reordering the info in the list the old node is
	removed but not freed. (#503569)

2007-12-15  Sebastian Dröge  <slomo@circular-chaos.org>

	Merged from trunk:

	* gdk/directfb/gdkcursor-directfb.c: (gdk_cursor_new_for_display):
	Use u32 instead of __u32 and u8 instead of __u8 as the other types
	are deprecated since DirectFB 1.0.0. If compiling with an older
	version define the new type name to the old types. Fixes bug #503190.

2007-12-10  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkdrawable-quartz.c:
	(gdk_quartz_drawable_get_context),
	(gdk_quartz_drawable_release_context):
	* gdk/quartz/gdkeventloop-quartz.c: (gdk_event_prepare),
	(gdk_event_check), (gdk_event_dispatch), (poll_func):
	* gdk/quartz/gdkwindow-quartz.h: Replace the autorelease pools
	used for each drawing context and in prepare, dispatch and poll
	with one that exists across each main loop iteration. Fixes leaks
	on leopard and protects against future leaks introduce when the
	underlying system changes again (bug #492977).

2007-12-10  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (move_resize_window_internal):
	Fix the check for no changes to position and size.

2007-12-10  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/GdkQuartzView.c: Ignore drawRect calls with zero
	sized areas at (0, 0), patch from Paul Davis.

2007-12-10  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkprivate-quartz.h: 
	* gdk/quartz/gdkeventloop-quartz.c:
	(_gdk_quartz_event_loop_get_pending),
	(_gdk_quartz_event_loop_check_pending),
	(_gdk_quartz_event_loop_release_event), (gdk_event_prepare),
	(gdk_event_check), (gdk_event_dispatch):
	* gdk/quartz/gdkevents-quartz.c: (gdk_events_pending)
	(_gdk_events_queue): Fix a bug where we could end up trying to
	handle the same event more than once. Based on patch from Paul
	Davis.

2007-12-10  Tor Lillqvist  <tml@novell.com>

	Merged from trunk:

	* gtk-zip.sh.in: Include bin/gtk-builder-convert in the dev
	package. (#502850)

2007-12-10  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtknotebook.c (gtk_notebook_real_remove): Another fix
	to avoid further fallout from the fix for bug 388321.

2007-12-07  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkfilechooserdefault.c (shortcuts_reload_icons): Don't
	leak pixbufs.  (#502250, Yevgen Muntyan)

2007-12-06  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkevents-quartz.c:
	(synthesize_crossing_events_for_ns_event): Fix warning when
	switching spaces in leopard.

2007-12-04  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

2007-12-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.12.3 ===

2007-12-04  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c: (_gdk_windowing_window_init):
	Fully initialize the root window, fixes bug #501583.

2007-12-04  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-12-04  Matthias Clasen  <mclasen@redhat.com>

	Merge from trunk:

	* gtk/gtknotebook.c: Modify the tab-label-destroy fix to not
	crash epiphany.

2007-12-03  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gtk/gtkquartz.c: (_gtk_quartz_set_selection_data_for_pasteboard):
	Don't crash when dragging from a source that doesn't support uri
	lists (bug #499868, Paul Davis).

2007-12-03  Richard Hult  <richard@imendio.com>

	Merged from trunk:

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_impl_quartz_begin_paint_region): Don't crash when a
	parent relative bg pixmap is set, and no parent has a bg
	pixmap. Fixes bug #500804.

2007-12-1  Cody Russell  <bratsche@gnome.org>

	Merged from trunk:

	* gtk/gtkpaned.c: (gtk_paned_set_position) [Win32]:      
	On Windows, queue a redraw of child2 whenever we set
	the pane handle position.  This is unfortunately kind
	of hacky, but solves the visual artifacts that were
	occuring on at least certain types of child widgets
	(e.g., text views and tree views) that are inside
	horizontal or vertical panes. (#144269)

2007-11-28  Tor Lillqvist  <tml@novell.com>

	Merged from trunk: 

	A proper build of GNU libintl is supposed to export the variable
	_nl_msg_cat_cntr. configure looks for that variable in order to
	recognize GNU gettext. If it sees that it is indeed GNU gettext
	that is used, it decides to install message catalogs in
	share/locale, otherwise in lib/locale. Until now on Windows I have
	built GTK+ against a build of GNU gettext that did not export
	_nl_msg_cat_cntr. But this will change, so we can't assume message
	catalogs are always in lib/locale.

	* gtk/gtkmain.c: (_gtk_get_localedir) [Win32]: Rework to handle
	GTK_LOCALEDIR being either in "lib" or "share". Move the function
	before the inclusion of gtkprivate.h so that it sees the original
	GTK_LOCALEDIR.

	* gtk-zip.sh.in: Check whether the message catalogs are in
	share/locale or lib/locale.

	* config.h.win32.in: Tack on "/share/locale" to GTK_LOCALEDIR so
	that the code in _gtk_get_localedir() will find the slashes.

2007-11-28  Tor Lillqvist  <tml@novell.com>

	Merged from trunk: Fix #375893, patch by Ben Hague:

	* gtk/gtkfilesystemwin32.c (get_viewable_logical_drives): Wrapper
	around GetLogicalDrives() that takes also the viewable drive
	restrictions in the Registry (which are usually the result of an
	Active Directory Group Policy) into account.

	(check_volumes, gtk_file_system_win32_list_volumes) Call
	get_viewable_logical_drives() instead of GetLogicalDrives().

2007-11-27  Matthias Clasen <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkwindow.c (gtk_window_move_resize): Zero some
	variables to silence valgrind.  (#495124, Morten Welinder)

2007-11-27  Mart Raudsepp  <leio@gentoo.org>

	Merged from trunk:

	* tests/buildertest.c: (test_window): fix invalid free

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.12.2 ===

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c:
	* gtk/gtknotebook.c:
	* gtk/gtkplugprivate.h:
	* gtk/gtksocket.c:
	* gtk/gtksocketprivate.h:
	* gtk/gtktable.c: Fix up some doc comments to shut up gtk-doc.

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* configure.in: Use $CUPS_CONFIG instead of hardcoded cups-config.
	(#495574, Richard Hult)

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtknotebook.c (gtk_notebook_update_labels): Short-circuit on
	destroy.
	(gtk_notebook_destroy): Destroy tab_label widgets.  (#388321, 
	Morten Welinder)

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkassistant.c: Improve alternative button
	ordering.  (#476827, Yevgen Muntyan, patch by Carlos Garnacho)

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkcalendar.c: Fix a theming problem with colors
	in GtkCalendar.  (#499703, Michael Hofmann)

2007-11-26  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkfilechooserbutton.c:
	* gtk/gtktoolbar.c: Don't use guint8 for bitfields, since
	some compilers choke on that.  (#467722)

2007-11-26  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (gdk_window_fullscreen): Use the
	monitor the window currently is on, not always the primary
	monitor. (#463865, Tim Evans)

2007-11-25  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:
	
	* gtk/gtktreeview.c (gtk_tree_view_set_show_expanders): Fix a
	typo.  (#498922)

2007-11-22  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* modules/printbackends/cups/gtkcupsutils.c: Fix a casting problem.
	(#485662, patch by Herbert Valerio Riedel)

2007-11-22  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtktextiter.c: Fix an aliasing problem.  (#347585, Ed Catmur)

2007-11-22  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* tests/testrichtext.c (setup_buffer): Fix C89 compilation issue.
	(#467711, The Written Word)

2007-11-22  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtktoolbar.c: Fix the default value of the toolbar-style
	property.  (#489782, Jan Janech)

2007-11-22  Matthias Clasen  <mclasen@redhat.com>

	Merged from trunk:

	* gtk/gtkimage.c (animation_timeout): Avoid drawing one too many
	frames.  (#107398, Owen Taylor, Miguel Gomez)

2007-11-19 10:27:39  Tim Janik  <timj@imendio.com>

	=== Branch for 2.12 ===

2007-11-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreestore.c: Fix the GtkBuildable implementation
	to allow setting column types.  (#496795, James Stephenson)

2007-11-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.[hc]: Make gtk_check_version() return const.
	(#496734, Nicolas Joseph)

2007-11-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaboutdialog.c: Correct docs for program-name property.
	(#496689, Thomas Wood)

2007-11-17  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtktextbuffer.c:
	* gtk/gtktextlayout.c:
	* gtk/gtktextview.c:
	Use gtk_text_buffer_get_insert instead of get_mark. Fixes Bug 497164.

2007-11-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextbtree.h:
	* gtk/gtktextbtree.c: new functions _gtk_text_btree_get_insert()
	and _gtk_text_btree_get_selection_bound() (#497102).
	* gtk/gtktextbuffer.c (gtk_text_buffer_get_insert),
	(gtk_text_buffer_get_selection_bound): use them here instead of
	hash table lookup.

2007-11-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextbtree.c (_gtk_text_btree_get_tags): sort returned
	tags array by tags priority (#497102).
	* gtk/gtktextiter.c (gtk_text_iter_get_tags), (gtk_text_iter_get_attributes):
	* gtk/gtktextlayout.c (get_tags_array_at_iter): and do not sort it here.

2007-11-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextlayout.c: (gtk_text_layout_get_line_display),
	(get_style): do not call _gtk_text_btree_get_iter_at_line() and
	_gtk_text_btree_get_tags() for every segment, instead call them
	once and then collect the tags while iterating over the segments.
	(get_tags_array_at_iter), (tags_array_toggle_tag): new functions
	for tags array handling.

2007-11-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_popup): remove recently added
	gdk_flush() again, it's not needed after all.

2007-11-14  Michael Natterer  <mitch@imendio.com>

	* tests/testbbox.c
	* tests/testframe.c: use g_object_ref/unref instead of deprecated
	functions.

2007-11-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkstyle.c (gtk_default_draw_focus): cast pointers to fix
	warnings about signdness.

2007-11-12  Sven Herzberg  <herzi@imendio.com>

	Reviewed by Richard:

	* gdk/quartz/gdkquartz.h: include <gdk/gdkprivate.h> with angle
	brackets and not with quotation marks

2007-11-12  Alexander Larsson  <alexl@redhat.com>

        * gdk/x11/gdkselection-x11.c:
	Avoid loading the ISO8859-1 iconv module.
	We're already doing all the required work anyway.
	This saves 4kb private dirty memory per gtk+ process

2007-11-11  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextview.c: Moved gtk_text_view_update_im_spot_location()
	calls into an idle, fixes #494776.
	GtkTextViewPrivate:im_spot_idle, do_update_im_spot_location(),
	queue_update_im_spot_location(), flush_update_im_spot_location(): new
	field and functions to queue the call;
	(changed_handler): call queue_update_im_spot_location() instead of
	gtk_text_view_update_im_spot_location();
	(gtk_text_view_key_press_event): flush the idle here.

2007-11-10  Ryan Lortie  <desrt@desrt.ca>

	* gtk/gtkbuilder.c: Convert delayed_properties hashtable to linked
	list.  Fixes #495769.

2007-11-10  Matthias Clasen  <mclasen@redhat.com>

	* tests/buildertest.c: Parse a file given on the cmdline.

	* gtk/gtkbuilderparser.c (_gtk_builder_parser_parse_buffer):
	Leak less in error paths.

2007-11-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilder.c (gtk_builder_add_from_file): Don't
	leak buffer if an error occurs.  

2007-11-09  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkbuilderparser.c: More robustness improvements
	for the parser.

	* gtk/gtkbuilderparser.c (parse_signal): Handle misplaced
	signal elements without asserting.

	* gtk/gtkbuilderparser.c (parse_property): Handle misplaced
	property elements without asserting.

2007-11-09  Kristian Rietveld  <kris@imendio.com>

	* gdk/gdkwindow.c (gdk_window_process_all_updates): guard for
	windows with GDK_WINDOW_DESTROYED set.  (Fixes #482531, reported
	by Sebastien Bacher).

2007-11-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c:
	* gtk/gtkstatusicon.c: Trivial coding style fixes.

2007-11-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilder.c: don't leak 'filename' field memory when loading
	more than one file into the same GtkBuilder instance. Noticed by
	Ryan Lortie.

2007-11-08  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbuildable.h: include <glib.h> instead of <glib/gmarkup.h>

2007-11-07  Ryan Lortie  <desrt@desrt.ca>

	* gtk/gtkbuilderprivate.h: Add GString 'text' to the property info
	structure.  Used to accumulate property text across multiple 'text'
	calls.

	* gtk/gtkbuilderparser.c: Instead of translating/copying text on each
	'text' call while in <property> accumulate the text until the end and
	do it all in one go.  This fixes handling of <!-- --> inside
	properties as well as <property/> cases.

2007-11-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_popup): call gdk_flush() after showing
	the menu so we can definitely grab on it. Grab failure found by
	Xan Lopez.

2007-11-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_keynav_failed): fixed docs.

2007-11-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkkeys-quartz.c: (maybe_update_keymap): Make shift
	tab work with unicode layouts (e.g. all Leopard layouts), fixes
	bug #493404.

2007-11-03  Richard Hult  <richard@imendio.com>

	* gtk/gtkclipboard-quartz.c: (clipboard_owner_destroyed),
	(gtk_clipboard_set_contents), (clipboard_unset): Fix bug #486369,
	by passing the selection info along when pasting.

2007-11-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h: Make the grab breaking on window
	move work on Leopard (as well as Tiger) by ignoring which mouse
	button is pressed.

2007-11-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (move_resize_window_internal):
	Calculate the frame rect correctly when resizing toplevels, fixes
	bug #492209.

2007-11-01  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h:
	* gdk/quartz/gdkdnd-quartz.c:
	* gdk/quartz/gdkquartz.h:
	* gtk/gtkdnd-quartz.c: Redo the fix for bug #492117, by adding a
	getter for the private drag context info so we don't need to
	expose so much in the public quartz header file.

2007-11-01  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.h: Fix build, bug #492117.

2007-10-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h:
	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_begin_resize_drag),
	(gdk_window_begin_move_drag): Implement manual resize and move.

2007-10-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_impl_quartz_process_updates): Setup autorelease pool,
	plugs occasional leak on leopard.

2007-10-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Fix build warning (trackingRect should be
	0, not nil).

2007-10-30  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkbuilder.c (gtk_builder_finalize): Chain up to the
	parent's finalize virtual function.

2007-10-28  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtktextbuffer.c (gtk_text_buffer_delete_interactive): Allow
	the ::delete-range handler to delete text after the text it was
	explicitly asked to delete without confusing us as to whether
	we're currently on an editable or not-editable segment.
	(#491207)

2007-10-26  Cody Russell  <cody@jhu.edu>

	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc:
	Disable beeps when backspacing in textviews by default on
	Win32 systems. (#490624, Daniel Atallah)

2007-10-26  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtktextbtree.c (_gtk_text_btree_char_is_invisible):
	Pay attention to tags that turn invisibility off as well
	as tags that turn invsibility on. (#488051, Mathias Hasselmann)	

2007-10-24  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c: Improve gtk_builder_get_type_from_name()
	documentation. (#461222, Murray Cumming)

2007-10-24  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (update_toplevel_order): Use an
	autorelease pool.

2007-10-24  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert 
	(GtkBuilderConverter._convert_dialog_response): 
	Give up instead of raising an error if we can't find
	the parent dialog when converting response ids.
	(#479463, Priyank)

2007-10-24  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c: (_gtk_builder_construct),
	(_gtk_builder_add_signals):
	* gtk/gtkbuilderparser.c: (end_element):
	* gtk/gtkbuilderprivate.h:
	* tests/buildertest.c: (test_connect_signals):

	Parse signals after <child> tags and add tests.
	(#468793, Benjamin Otte)

2007-10-24  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c (end_element): Allow empty property nodes
	so we can set empty strings. (#486420, Xavier Claessens)

2007-10-23  Richard Hult  <richard@imendio.com>

	* gtk/gtkquartz.c:
	(_gtk_quartz_get_selection_data_from_pasteboard): Handle
	NSFilenamesPboardType in addition to NSURLPboardType to support
	dnd with multiple files from Finder, based on patch from Paul
	Davis (bug #467490).

2007-10-23  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_raise, gdk_window_lower, gdk_window_new,
	_gdk_windowing_window_destroy): Maintain a list for the stacking
	order of windows. Implement lower and raise for child windows. The
	list for toplevels is created on demand, and cleared when a window
	gets or resigns main status and when new windows are created.
	(find_child_window_helper): Use the sorted list to go through
	windows from top to bottom. Take any titlebar in consideration for
	toplevels, to stop events from sometimes punching through (bugs
	#473813 and #489370).

2007-10-22  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c: Use gtk_ascii_tolower/toupper instead of the C 
	library variants. (#488918, Sertaç Ö. Yıldız)

2007-10-19  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_event_translate): Add a block
	around the WM_ACTIVATE case to avoid declaring variables in the
	middle of a block. (#488017)

2007-10-18  Cody Russell  <cody@jhu.edu>

	* modules/engines/ms-windows/msw_style.c: Draw focus rect for
	buttons with relief set to GTK_RELIEF_NONE. (#487954)

2007-10-17  Cody Russell  <cody@jhu.edu>

	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkwindow-win32.[ch]: Force non-modal transient dialogs
	to iconify with their parents on Win32.  Maintain a list of transient
	children, and whenever a window is hidden or restored we now do the
	same thing to all connected transient windows above and below the
	current window in the chain.  See comment under WM_ACTIVATE for the
	reasons why.  (#164537, #371036, #405178)

2007-10-17  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (libgtk_win32_2_0_la_LDFLAGS): Move -Wl,-luuid
	to LDFLAGS to make libtool happy.

2007-10-17  Tor Lillqvist  <tml@novell.com>

	* gtk/Makefile.am (libgtk_win32_2_0_la_LIBADD): Use -Wl,-luuid
	instead of -luuid to work around libtool lossage.

2007-10-17  Matthias Clasen <mclasen@redhat.com>

	* configure.in: Bump version

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.12.1 ===

	* NEWS: Updates

	* gtk/gtkvolumebutton.c (gtk_volume_button_new): Update 
	the docs.  (#477280, Christian Persch)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkentrycompletion.c: Update the docs for the 
	::text-column property.  (#352643, Josselin Mouette)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkdnd.c (gtk_drag_drop_finished): Avoid a critical
	warning.  (#456676, Campbell Barton)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* gkt/gtkiconsize.c: Be more careful when handling 
	(GtkIconSize)-1.  (#456137, Harry Lu, Chris Wang, et al)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtktextiter.c (gtk_text_iter_forward_line): Improve 
	the docs.  (#486155, Owen Taylor)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* tests/testxinerama.c: Change testcase to not update
	screen information on configure-event, since it hides
	information for all available screens but add a button 
	to query current monitor instead (#485437, Frederic Crozat)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprinteroptionwidget.c (update_widgets): Actually use
	the utf-8 version of the filename.  (#485301, Takao Fujiwara)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* NEWS: Updates

2007-10-15  Loïc Minier  <lool@dooz.org>

	* gtk/gtkmain.c: (gtk_init): Fix "cannot open display" error message
	when display is set by the DISPLAY env var. (#486636, Mike Hommey)

2007-10-13  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert 
	(GtkBuilderConverter._add_action_from_menuitem): signal_name instead
	of signal. (#486360, Xavier Claessens)

2007-10-12  Matthias Clasen  <mclasen@redhat.com> 

	* gtk/updateiconcache.c: Avoid double-free problems by not
	freeing data that may be cached elsewhere.

2007-10-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_info_get_icon): Document
	that you need to unref the returned GdkPixbuf. (#484132,
	Christian Persch)

	(build_recent_info): Use g_slist_prepend() when building
	the applications list.

2007-10-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func): Convert
	the format to the current locale before passing it to
	strtime(). Fixes corrupt dates with non-UTF8 encodings on
	OpenSolaris. (#465380, Takao Fujiwara)

2007-10-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func): Fix the
	time_t typecasting on OpenSolaris. (#465380, Takao Fujiwara)

2007-10-09  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Make the previous change work

2007-10-09  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_page_up_down): make
	sure the new cursor node is visible when we are done. (Fixes #472965,
	Carlos Garnacho).

2007-10-09  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_up_down): we should
	only "don't move the cursor, but just select the current node" if the
	cursor node is actually selectable.  (Fixes #483730, reported by
	Geoff Bache).

2007-10-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_focus): Implement,
	patch from Paul Davis.

2007-10-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (move_resize_window_internal):
	Ignore if there are no changes, fixes bug #467269. Patch from
	Jonathan Dempsey.

2007-10-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (move_resize_window_internal):
	Patch from Paul Davis to implement this in terms of scrollRect,
	fixes bug #478377.

2007-10-08  Cody Russell  <bratsche@gnome.org>
	* modules/engines/ms-windows/msw_style.c:
	(draw_tab): Fix memory leak, and fix two instances where
	a GtkRequisition and a GtkBorder were being freed with
	g_free() rather than gtk_requisition_free() and
	gtk_border_free(). (#484730, Daniel Atallah)
	
2007-10-08  Cody Russell  <bratsche@gnome.org>
	* docs/reference/gdk/tmpl/event_structs.sgml:
	Fix a typo in GdkEventGrabBroken where it said
	"@grab_window id NULL" and should say
	"@grab_window is NULL". (#484650, Chris Lord)
	
2007-10-08  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkfilesystemmodel.c (got_root_folder_cb),
	(get_children_get_folder_cb): don't "corrupt" all iterators by
	reversing the list after adding the items.  Reversing the list isn't
	needed anyway as the order of the items in the model does not matter.
	(Fixes #327243, comment 10).

2007-10-08  Kristian Rietveld  <kris@imendio.com>

	Fix #482841, patch by Karl Tomlinson.

	* gtk/gtktooltip.c (gtk_tooltip_display_closed): use g_object_set_data
	instead of g_object_set ...
	(_gtk_tooltip_toggle_keyboard_mode),
	(_gtk_tooltip_handle_event): connect to GdkDisplay::closed after
	creating tooltip.

2007-10-07  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Don't hardcode use of echo -n.  (#484008)

2007-10-07  Matthias Clasen  <mclasen@redhat.com>

	* modules/input/gtkimcontextxim.c: Clean up issues around
	with life cycle handling.  (#483223, Karl Tomlinson)

2007-10-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkprintoperation.c: (print_pages_idle):
	Revert the change on 2007-04-29 ("Also check
	the default handler when deciding whether to emit the
	paginate signal.  (#345345, Yevgen Muntyan)").
	This stopped printing from working in gtkmm, and is apparently 
	not appropriate anyway. Bug #482089.

2007-10-05  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gtk/gtkdnd.c: Use g_object_ref() instead of gtk_widget_ref().
	(#483563)

2007-10-04  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentaction.c:
	(gtk_recent_action_set_sort_func), (set_current_filter): Iterate
	on the proxies we hold when we change the sorting function and
	the filter.

	(gtk_recent_action_connect_proxy),
	(gtk_recent_action_create_menu): Set the GtkRecentChooser:filter
	property when we create/connect a proxy chooser. Thanks to
	Jonh Wendell for pointing this bug out on gtk-list.

	(gtk_recent_chooser_set_property): Bail out without iterating
	over the proxies when there's no need to.

2007-10-04  Matthias Clasen  <mclasen@redhat.com>

	* tests/testvolumebutton.c: Add a second volume button.

	* gtk/gtkscalebutton.c: Doh, don't release grabs we don't hold.
	(#478371, reported by Bill Nottingham)

2007-10-04  Loïc Minier  <lool@dooz.org>

	* gtk/gtkfilechooserdefault.c: (list_mtime_data_func): Fix warnings
	and display of modified date / time in filechooser for some locales as
	it was missing a locale to UTF-8 conversion. Fixes #482504.

2007-10-03  Xan Lopez  <xan@gnome.org>

	* gtk/gtknotebook.c: remove duplicated declaration of
	gtk_notebook_create_window. Patch by Hiroyuki Ikezoe (#482837)

2007-10-02  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_move),
	(gdk_window_resize): Don't do anything while in fullscreen mode.
	(gdk_window_set_decorations): Update the size of the window after
	showing/hiding the title bar so the size of the content area
	doesn't change.
	(gdk_window_get_decorations): NSBorderlessWindowMask is 0, so
	don't try to check it as a bit being set.
	(gdk_window_fullscreen), (gdk_window_unfullscreen): Implement.

2007-10-02  Federico Mena Quintero  <federico@novell.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=455284 - In the file
	chooser, Ctrl-L should switch to the location entry.  If we are
	already on the location entry, turn it off.  Based on a patch by
	Jaap A. Haitsma <jaap@haitsma.org> and an idea by Wouter
	Bolsterlee.

	* gtk/gtkfilechooserdefault.c (location_button_toggled_cb): Call
	location_mode_set() directly instead of using toggle_location_mode().
	(toggle_location_mode): Removed.
	(location_toggle_popup_handler): If the file entry is not visible,
	show it.  If it is visible, turn it off only if it is focused.
	Otherwise, switch to the entry.

2007-10-01  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_update_button):
	fix up if-condition to only set the true arrow type if
	show_sort_indicator is TRUE.  (#448343, reported by Emil Nowak).

2007-09-25  Emmanuele Bassi  <ebassi@gnome.org>

	Fixes for bug #480123.

	* gtk/gtksearchenginesimple.c:
	(gtk_search_engine_simple_dispose), (search_thread_done_idle): Cancel
	the file tree walking thread when disposing the search engine
	implementation.

	* gtk/gtkfilechooserdefault.c (search_stop_searching): Forcibly
	stop the search engine implementation when stopping the search,
	instead of just unreffing the object.

2007-09-24  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltips.c (gtk_tooltips_set_tip): add extra NULL check
	for tooltipsdata to avoid code fiddling with active_tips_data
	from crashing.  (Fixes #460194, Peter Wright, Matthijs De Smedt).

2007-09-24  Matthias Clasen <mclasen@redhat.com>

	* modules/printbackends/file/gtkprintbackendfile.c: Correct a comment.

2007-09-24  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkprintoperation-win32.c (pageDlgProc): Set the
	GtkWin32EmbedWidget we create here as modal. Fixes #389358.

2007-09-21  Manish Singh  <yosh@gimp.org>

	* gtk/gtkstyle.c (option_menu_get_props)
	* gtk/gtkoptionmenu.c (gtk_option_menu_get_props): use
	gtk_requisition_free() instead of g_free() for freeing
	requisitions.

2007-09-21  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (print_pages_idle): Some more
	fixed to prevent segfaults with missing or nonsensical ranges.

2007-09-21  Jean Brefort  <jean.brefort@normalesup.org>

	* gtk/gtkprintoperation.c: (print_pages_idle): abort printing 
	when the range is NULL. (#478803)

2007-09-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextview.c (gtk_text_view_move_cursor_internal)
	(gtk_text_view_move_viewport): merged patch from maemo-gtk which
	handles failed keynav correctly also when the cursor is invisible.
	(Tommi Komulainen)

2007-09-21  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtktoolbar.c: Remove trailing commas from enumerations.

2007-09-20  Cody Russell  <bratsche@gnome.org>

	* modules/engines/ms-windows/msw_style.c: Override draw_layout
	method in GtkStyle in order to adjust by 2 pixels any labels
	that are in GtkNotebook tabs using XP theme, so that they appear
	correctly centered. (#478637)

2007-09-18  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchenginetracker.c: Search libtrackerclient.so.0
	as libtracker changed the shared library name. (#478173,
	Michael Kuhn)

2007-09-17  Hans Breuer  <hans@breuer.org>

	* gtk/makefile.msc.in : updated msvc build
	* gtk/gtkbuilderparser.c : fixed gccism - stack allocated variable 
	size array
	
	* gtk/gtkselection.c(547) : error C4033: 'gtk_target_list_find' 
	must return a value

	* test/makefile.msc : added some more tests
	* tests/autotestfilesystem.c : HAVE_UNISTD_H, _rmdir

2007-09-17  Amitakhya Phukan  <amitakhya@svn.gnome.org>

	* configure.in: Added as to ALL_LINGUAS.

2007-09-15  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkselection.c (gtk_target_list_find): don't simply crash if
	any of the pointer args are NULL. Instead, g_return_if_fail() on
	"list != NULL" and allow to pass NULL as return location for "info".

2007-09-14  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentaction.c:
	* gtk/gtkrecentchoosermenu.c: Remove the warning for the
	"select-multiple" property getter. (#476686, Christian Persch)

2007-09-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenubar.c (remove_from_window): no need to get the list
	of menubars twice.

	Some minor stylistic and indentation fixes.

2007-09-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconcache.c: Turn off icon cache validation unless
	icon theme debugging is turned on.  (#476342, Federico Mena Quintero)

2007-09-13  Matthias Clasen  <mclasen@redhat.com>
	
	* configure.in: Bump version to 2.12.1

	* === Released 2.12.0 ===

2007-09-14  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_get_property): the tooltip-column
	property getter needs to set an integer, not a boolean. (#476689,
	spotted and patch by Christian Persch).

2007-09-14  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkcellrendereraccel.c (gtk_cell_renderer_accel_get_property):
	implement getter for keycode property.  (#476665, patch by
	Christian Persch).

2007-09-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscalebutton.c: Use the right value type when setting
	the value.  (#476688, Christian Persch)

	* configure.in: Bump version to 2.12.0

	* NEWS: Updates

2007-09-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_toooltip_cell): if cell
	is set, always pass in path to gtk_tree_view_get_cell_area() whether
	it is NULL or set.  Added explanatory comment and added this
	side case to the API documentation.

2007-09-12  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (render_recent_icon): Use the
	"document-open-recent" icon for the the Recently Used shortcut
	in the file chooser. (#306445)

	* gtk/Makefile.am:
	* gtk/stock-icons/16/document-open-recent.png:
	* gtk/stock-icons/16/document-open-recent.svg:
	* gtk/stock-icons/24/document-open-recent.png:
	* gtk/stock-icons/24/document-open-recent.svg: Add the
	"document-open-recent" icon to the builtin theme we provide
	as a fallback.

2007-09-12  Kristian Rietveld  <kris@imendio.com>

	Fixes #426246.

	* gdk/gdk.symbols:
	* gdk/gdkwindow.[ch]
	(gdk_window_freeze_toplevel_updates_libgtk_only),
	(gdk_window_thaw_toplevel_updates_libgtk_only): new functions
	to freeze a toplevel window and all its descendants.  To be made
	public in 2.14,
	(gdk_window_schedule_update): return if toplevel is frozen,
	(gdk_window_process_all_updates): defer processing updates if toplevel
	is frozen.

	* gtk/gtkwindow.c (gtk_window_configure_event): directly size
	allocate for override redirect windows, freeze toplevel and
	descendants otherwise and wait until resizing is done.

2007-09-11  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserbutton.c: remove useless member "has_title"
	from the private struct and simply set the default title in
	constructor() whenever we create a dialog or the supplied one has
	no title. Also accept RESPONSE_ACCEPT *and* RESPONSE_OK as
	affirmative responses and document that accordingly. Fixes bug
	#436576. Fixed all compiler warnings in the file.

2007-09-11  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_button_release): Make sure
	menu_shell->button gets reset to 0 when we bail out early here
	instead of chaining up, so it is in a consistent state for the
	next press/release in GtkMenuShell. Fixes bug #449371.

2007-09-10  Kjartan Maraas  <kmaraas@gnome.org>

	* gtk/gtkentry.c: Fix some typos. Closes bug #475400.

2007-09-10  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/x11/gdkgeometry-x11.c (gdk_window_queue),
	(_gdk_window_process_expose): Fix serial number comparison regression
	introduced recently. (#474897)

2007-09-10  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-09-10  Richard Hult  <richard@imendio.com>

	* gtk/gtksearchenginesimple.h: Build fix, correct a typo in the
	G_BEGIN_DECLS fix below.

2007-09-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksearchenginesimple.h: Replace a duplicate G_END_DECLS by
	G_BEGIN_DECLS.  (#475439, Nigel Tao)

2007-09-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkmenutoolbutton.c (gtk_menu_tool_button_construct_contents):
	when creating a new box, be sure to transfer a possible tooltip from
	the old to the new box. (Fixes #458283, reported by Christian Persch).

2007-09-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_key_press): only start
	typeahead search if tree_view has focus (and not one of the column
	buttons).

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkdnd.c (gtk_drag_source_info_destroy): Remove
	update_idle here. Might fix #383003.

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_item_hit_test): Add a 
	bounding box test that will avoid getting the individual cell
	boxes if they haven't been calculated yet.  (#404541)

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaction.c:
	* gtk/gtkradioaction.c:
	* gtk/gtkrecentaction.c:
	* gtk/gtktoggleaction.c: Update the documentation to mark
	the optional constructors parameters. The GtkAction::name
	property is required, instead, as it is used by GtkUIManager
	to find the action object from the XML. (#450032, Murray Cumming,
	patch by Emmanuele Bassi)

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/lpr/gtkprintbackendlpr.c:
	* modules/printbackends/cups/gtkcupsutils.c:
	* modules/printbackends/cups/gtkprintbackendcups.c: Include
	config.h first.  (#467719)

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklinkbutton.c:
	* gtk/gtkrecentfilter.c:
	* gtk/gtkprinteroptionwidget.c: Remove trailing commas from
	enumerations, since some compilers don't like them.  (#467717)

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_rows_reordered):
	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_rows_reordered): Don't
	assume that a path of depth 0 has no indices.  (#467324, Szilard
	Pfeiffer)

2007-09-09 18:22:28  Tim Janik  <timj@gtk.org>

	* gdk/x11/gdkgeometry-x11.c (_gdk_window_process_expose): fix invalid
	list node accesses, spotted by Benjamin Berg, bug #475158.

2007-09-09  Kristian Rietveld  <kris@gtk.org>

	Reverted r16699:

	2006-10-30  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_class_init): change left/right
	keybindings to collapse/expand rows instead of moving the focus
	cursor. (#105895, Brian Bober and others).

2007-09-09  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

	* README.in: Add a note about bug 463773.

2007-09-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstyle.c (draw_insertion_cursor): Revert the clamping
	of cursor coordinates, since it causes really ugly drawing
	artifacts with horizontal scrolling.  (#471215, Yevgen Muntyan)

2007-09-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentrycompletion.c:
	* gtk/gtkentry.c: Apply a number of patches by Xan Lopez 
	to improve the interaction between actions and inline
	selection.  (#471132)

2007-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.c: Use g_slice for ToolbarContent.  
	(#474696, Christian Persch)

2007-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c: Add an internal child name for
	the notebook, so that GtkBuilder can be used to add custom tabs.
	(#472951, Christian Persch)

2007-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c (get_image_meta_data_size): Don't
	use image->attach_points where image->n_attach_points was meant.
	Pointed out by Albert Chin.

2007-09-07  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* modules/printbackends/cups/gtkcupsutils.c:
	(_post_send): Fix typo that broke the build.

2007-09-07  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Check for the cups function httpGetAuthString().

	* modules/printbackends/cups/gtkcupsutils.c: Use httpGetAuthString()
	if available.  (#467414, Claudio Saavedra)

2007-09-07  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkcombobox.c (gtk_combo_box_cell_layout_init),
	(gtk_combo_box_cell_layout_get_cells): implement missing get_cells
	method.  (Spotted by Paolo Borelli).

2007-09-06  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Check for cups.h.  (#459732, Guillaume Cottenceau)

2007-09-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkrectangle.c (gdk_rectangle_intersect): Allow
	dest to be NULL.  (#464528, Xan Lopez)

2007-09-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmisc.c (gtk_misc_set_alignment, gtk_misc_set_padding): 
	Actually emit change notification here.  (#474282, Thomas Rydzynski)

2007-09-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_drop_uris): Initialize
	error to NULL before calling g_set_error(). Should fix #473954, 
	reported by Sebastien Bacher.

2007-09-06 13:37:28  Tim Janik  <timj@imendio.com>

	* gtk/gtkrange.c (gtk_range_adjustment_value_changed): removed code
	that forced range repaints upon every motion event, because these tend
	to stall other repaints on busy CPUs.
	added a timer to still force repaints every once in a while (roughly
	5Hz atm) to avoid leaving the user without feedback on the range.
	fixes bug #460534.

2007-09-06  Michael Natterer  <mitch@imendio.com>

	* demos/gtk-demo/panes.c: s/gtk_widget_[un]ref/g_object_[un]ref/g

2007-09-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (_gdk_windowing_window_destroy):
	Patch from William Pitcock: Ungrab windows if necessary when they
	are destroyed, fixes bug #473441.

Wed Sep  5 14:15:17 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtknotebook.c (gtk_notebook_class_init): fix wrong default value
	in ::tab-expand param spec constructor.

2007-09-04  Fernando Herrera  <fherrera@onirica.com>

	* gtk/gtkbuilder.c: (gtk_builder_finalize),
	(gtk_builder_add_from_file): copy filename to builder->priv instead of
	holding a reference to it. Bug #472643

2007-09-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmodules.c: added missing \n to g_print() in GTK_NOTE().

2007-09-04  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter._parse): Do not remove 
	empty properties, since we do not know the default GParamSpec values.
	#472981 (Carlos Garnacho)

	* gtk/gtk-builder-convert (GtkBuilder._packing_prop_to_child_attr):
	Do not iterate recursively over all child nodes.
	(GtkBuilderConverter._default_widget_converter): Use a more efficient
	way of iterating over all property nodes
	#472974 (Carlos Garnacho)

2007-09-03  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c
	(gtk_recent_manager_poll_timeout): Remove the stat() time barrier,
	as it seems to cause bug #463907 (thanks to Sebastien Bacher).

2007-08-31  Richard Hult  <richard@imendio.com>

	* configure.in: Revert the previous change as it broke the build
	(missing po file in po-properties).

2007-08-31  Pramod Raghavendra <pramodleo@yahoo.co.uk>

	* configure.in: Added kn to ALL_LINGUAS

2007-08-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_decorations,
	gdk_window_get_decorations): Implement those. Based on patch from
	Stefan Gehn, bug #459459.

2007-08-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_keep_above,
	gdk_window_set_keep_below): Patch from Stefan Gehn to implement
	those, bug #459667.

2007-08-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkimage-quartz.c: (_gdk_quartz_image_copy_to_image):
	Patch from Stefan Gehn to implement copying from a pixmap, bug
	#348493.

2007-08-29  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtksettings.c: lower the default timeout values for
	gtk-tooltip-timeout and gtk-tooltip-browse-timeout. (#451202,
	Richard Hult).

Thu Aug 23 15:32:09 2007  Tim Janik  <timj@imendio.com>

	* gdk/x11/gdkgeometry-x11.c (_gdk_window_process_expose): fix
	X serial handling to cope with wraparounds and maintain referential
	integrity when removing list nodes. based on a patch by Hui Wang,
	fixes #461648.

2007-08-27  Stefan Kost  <ensonic@users.sf.net>

	* gtk/gtkwindow.c: Update menu accelerators, when adding/removing
	AccelGroups dynamically. (#469374)

2007-08-27  Cody Russell  <bratsche@gnome.org>

	* modules/engines/ms-windows/msw_style.c: Correct draw_box()
	function to check detail for "notebook".  This fixes a problem
	where notebooks without visible headers were not styling
	correctly. (#470033, Daniel Atallah and Cody Russell)

2007-08-23  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkwindow.c (gtk_window_group_remove_window: Use the
	correct type check on `window'.  We now check GTK_IS_WINDOW
	rather than GTK_IS_WIDGET. (#461483, Josselin Mouette)

2007-08-23  Cody Russell  <bratsche@gnome.org>

	* Makefile.am: Fix make dist failure by changing 
	README.cvs-commits to README.commits. (#469395, Frederic Peters)

2007-08-23  Cody Russell  <bratsche@gnome.org>

	* HACKING: Change references to README.cvs-commits so they say
	README.commits.

2007-08-23  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkbuilderparser.c: (text): Duplicate the string returned by
	d[n]gettext before it is potentially freed. (#461945)

2007-08-23  Emmanuele Bassi  <ebassi@gnome.org>

	* gtkfilechooserdefault.c:
	(search_hit_get_info_cb), (recent_item_get_info_cb): Check if
	we are still holding the model before updating it; removes a
	set of critical warnings when switching to the browse mode from
	a loading search or recent files list.

	(recent_clear_model), (recent_sort_model),
	(recent_idle_cleanup): When in recent files mode, set the
	model for the files list view when we have completed the loading
	of the recently used files list. This makes switching between
	modes fast again and reduces the amount of redraws needed
	to display the list. (#469214)

2007-08-22  Emmanuele Bassi  <ebassi@gnome.org>

	* configure.in: Remove oc (Occitane) from LINGUAS and unbreak
	the build.

2007-08-22  Kristian Rietveld  <kris@imendio.com>

	Do not allow the cursor to go to a separator row.  Fixes #441219,
	modified patch by Carlos Garnacho.

	* gtk/gtktreeview.c (row_is_separator): new inline function
	for calling the row-separator-func, made all of gtktreeview.c use
	this function instead of calling the func themselves,
	(gtk_tree_view_button_press): treat a click on a separator like
	a click on empty space,
	(gtk_tree_view_update_rubber_band_selection_rage): skip
	non-selectable rows,
	(search_first_focusable_path),
	(gtk_tree_view_focus_to_cursor),
	(gtk_tree_view_move_cursor_up_down),
	(gtk_tree_view_move_cursor_page_up_down),
	(gtk_tree_view_move_cursor_start_end): skip separators,
	(gtk_tree_view_real_set_cursor): do not allow setting the cursor
	on a separator.

2007-08-22  Tristan Van Berkom  <tvb@gnome.org>

	* gtk/gtkframe.c: Corrected the published default value of
	GtkFrame::label-xalign (bug 460272).

2007-08-21  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (gtk_tooltip_init),
	(gtk_tooltip_window_style_set): update alignment padding after
	theme changes. (Fixes #467003, patch by Benjamin Berg).

2007-08-21  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (_gtk_tooltip_handle_event): always set
	hide_tooltip to TRUE if we are handling a leave notify event. (Fixes
	#468245, reported by Dennis Jacobfeuerborn).

2007-08-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkpaned.c (gtk_paned_class_init): applied patch from Mikael
	Hallendal which documents GtkPaned's keybinding signals (#467117).

2007-08-21  Kristian Rietveld  <kris@imendio.com>

	Fix #457642, reported by Christian Persch.

	* gtk/gtktooltip.c: added debugging output which can be compiled
	in with a #define, annotated all coordinate translations in the
	source code,
	(find_widget_under_pointer): remove the "no-window correction";
	always convert the coordinates from window relative to allocation
	relative; after recursing through a container, translate the
	coordinates from container allocation relative to child widget
	allocation relative;
	(find_topmost_widget_from_event): now we get allocation relative
	coordinates here we do not have to distinguish no-window and window
	widgets.

2007-08-18  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkimcontextsimple.c: Fixed incorrect compose mapping
	for capital U with macron. (#468055, Aaron Crane)

2007-08-17  Cody Russell  <bratsche@gnome.org>

	* Renamed README.cvs-commits to README.commits

2007-08-17  Cody Russell  <bratsche@gnome.org>

	* HACKING
	* README.cvs-commits: Updated documentation about SVN, and
	updated dependency information.  (#447883, Yesudeep Mangalapilly)

Fri Aug 17 11:36:29 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_popup): Clarified activate_time docs.

2007-08-16  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/cursor.bdf: Committing changes to the source
	bdf font file that I forgot to commit yesterday for #458088.

2007-08-15  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/xcursors.h: Modified the sb_h_double_arrow and
	sb_v_double_arrow mouse cursors to match the ones that Windows
	uses for split container controls.  This allows our paned
	widgets to be more easily identified as paned widgets on
	Windows, since we don't have any prelighting on the draggable
	pane part.  (#458088)

2007-08-15  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkcontainer.c: Another documentation fix that I forgot to
	commit yesterday.  (#459340, Guillaume Cottenceau)

2007-08-14  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkwidget.c
	* gtk/gtkscrolledwindow.c
	* gtk/gtklabel.c: Correct documentation that refers to the
	deprecated gtk_widget_set_usize() API.  Refer instead to
	gtk_widget_set_size_request().  (#459340, Guillaume Cottenceau)

2007-08-14  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_up_down): make
	sure we fail keynav if the only item in the list is already selected.
	(Fixes #465039, reported by Fernando Herrera).

2007-08-09  Sven Neumann  <sven@gimp.org>

	* modules/printbackends/file/gtkprintbackendfile.c: change the
	file extension when the file format is changed in the Print dialog
	(#356630).

2007-08-09  Stefan Kost  <ensonic@users.sf.net>

	* docs/reference/gtk/tmpl/gtkruler.sgml:
	* gtk/gtkruler.c:
	Move documentation of gtk_ruler_set_range() to source and fix nonsense.

2007-08-08  Mikael Hallendal  <micke@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_class_init): 
	Document the new signals popup, popdown and move-active.

2007-08-07  Matthias Clasen  <mclasen@redhat.com>
	
	* MAINTAINERS: Follow new format regulations.

2007-08-07  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c (text): 
	* gtk/gtkcelllayout.c (attributes_text_element): 
	* gtk/gtkliststore.c (list_store_text): 
	Do not assume that text is null-terminated as pointed out by
	Christopher Fergeau
	
	* gtk/gtkbuilderparser.c (text): Use g_strdup on the translated
	string instead of g_strndup() + the length of the untranslated
	string. (#461945, Claude Paroz)

2007-08-07  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltips.c (gtk_tooltips_init),
	(gtk_tooltips_destroy), (gtk_tooltips_force_window): create a dummy
	tip_window and tip_label, so old applications with code accessing
	those fields won't crash.

2007-08-07  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (_gtk_tooltip_handle_event): Disable tooltips
	in touchscreen mode.

2007-07-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_get_geometry):
	Implement, fixes bug #405868. Based on patch from metz81@web.de.

2007-07-31  Xan Lopez  <xan@gnome.org>

	* gtk/gtkentry.c (gtk_entry_completion_key_press): reset the
	completion prefix on Enter too, plug potential leak.
	Follow-up to #458298

2007-07-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c (gtk_tooltip_init): Make the label
	wrap, for compatibility with the old tooltips code. This
	fixes absurdly long tooltips in the color selector.

2007-07-30  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_tooltip_cell): Fix
	documentation. (#461225, Murray Cumming).

2007-07-29  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooser.c: Add documentation for properties
	and fix the deprecation marker for the show-numbers
	accessor functions (Murray Cumming).

	* gtk/gtkrecentchooser.h: Add deprecation guards around
	gtk_recent_chooser_set_show_numbers() and
	gtk_recent_chooser_get_show_numbers(), as promised during
	last development cycle.

2007-07-27  Attilio Fiandrotti  <attilio.fiandrotti@gmail.com>

        * gdk/directfb/gdkcursor-directfb.c: Attempts to load
          stock X cursors no longer results in annoying error
          messages under DirectFB

2007-07-27  Michael Natterer  <mitch@imendio.com>

	Fix check/radio indicator drawing mess (bug #452225):

	* gtk/gtkstyle.c (gtk_default_draw_check): really decrease the
	indicator size by one to ensure odd size (don't say -= -1).

	* gtk/gtkcellrenderertoggle.c (gtk_cell_renderer_toggle_render):
	removed -1 adjustment from calls to gtk_paint_option(). Theme
	engines now get the actually configured size passed, not one pixel
	less.

	* gtk/gtkcellrenderertoggle.c
	* gtk/gtkcheckmenuitem.c: changed default indicator size from 12
	to 13 so all widgets which draw check/option indicators have the
	same default size now (and render the same size after above
	changes).

	* README.in: mention above changes in the release notes.

2007-07-27  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* Makefile.am: Include ChangeLog.pre-2-10 in tarballs as
	well (seems to be forgotten).

2007-07-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c (_gtk_tooltip_handle_event): Call
	gtk_tooltip_hide_tooltip() even if the tooltip is not
	visible yet. This fixes annoying dangling tooltips
	on systray icons.  

2007-07-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconcachevalidator.c: Silence the validator.

2007-07-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmenutoolbutton.c: Remove obsolete set-tooltip 
	handler.  (#458280, Christian Persch)

2007-07-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcolorsel.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkpagesetupunixdialog.c:
	* gtk/gtkprintunixdialog.c: Port to use new tooltips API.  
	(#451397, Jan Arne Petersen)

2007-07-24  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkkeys-win32.c (update_keymap): Cosmetic changes.

2007-07-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmenubar.c (window_key_press_handler):
	* gtk/gtkmenu.c (gtk_menu_key_press): Restructure the code
	to make sense, and don't leak an empty accel.  (#459515, Owen Taylor)

2007-07-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c (gtk_tooltip_set_custom): Protect against
	recursion via gtk_container_remove().  (#459561, Christian Persch)
	(gtk_tooltip_window_hide): Simplify.

	* tests/testtooltips.c: Add code to test gtk_tooltip_set_custom()

2007-07-23  Christian Persch  <chpe@gnome.org>

	* tests/testtooltips.c: (query_tooltip_tree_view_cb): Remove obsolete
	code. Bug #459566.

2007-07-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c:
	* gtk/gtkiconview.c:
	* gtk/gtkscalebutton.c: Fix some doc formatting errors.
	(#459313, Gian Mario Tagliaretti)

2007-07-23  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Dectect if cups allows access to the http_t
	authstring field.  

	* modules/printbackends/cups/gtkcupsutils.c: Rely on the
	HAVE_HTTP_AUTHSTRING define done by configure.

2007-07-23  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c: Port the GtkRecentChooser default
	implementation widget to the new tooltips API, and make it look
	like the GtkFileChooser widget in recent files mode (move the
	full path from the widget to a tooltip on the row) to improve
	consistency.

	* gtk/gtkrecentchoosermenu.c: Port the GtkRecentChooserMenu widget
	to the new tooltips API.

	* tests/testrecentchooser.c:
	* tests/testrecentchoosermenu.c: Exercise the tooltips code paths.

2007-07-22  Ross Burton  <ross@openedhand.com>

	* gtk/gtkscrolledwindow.c:
	Correctly redraw when gtk-scrolled-window-placement is changed
	after the widget is realised (#458102)

2007-07-22  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkkeys-x11.c: Some documentation fixes.

2007-07-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltips.[hc]: Rename the tips_data_list field
	back.  (#447214)

2007-07-21  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.6 ===

2007-07-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c (gtk_tooltip_position): Don't pop up
	under the cursor.  This fixes tooltip-induced flickering 
	in the tasklist in a bottom panel.

2007-07-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpathbar.c (make_directory_button): Don't leak
	a label.  (#455901, Christian Persch, Vincent Geddes)

2007-07-20  Matthias Clasen  <mclasen@redhat.com>

	Apply a patch by Emmanuele Bassi to limit the number
	of shown recent files.  (#439715)

	* gtk/gtksettings.c: Add a setting for the number
	of recent files to display by default.

	* gtk/gtkrecentchooserdefault.c: 
	* gtk/gtkfilechooserdefault.c: Respect the limit.

	* gtk/gtkrecentmanager.c: Remove the poll timeout in 
	dispose, and do not stat more often than every 5 seconds.

	* gtk/gtkrecentchooserutils.c:
	* gtk/gtkrecentchoosermenu.c: Cleanups

	* tests/testrecentchoosermenu.c: Test limits.

2007-07-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c: Apply a patch by Emmanuele
	Bassi to add tooltips to the file lists in recent files and
	search modes.

2007-07-20  Ryan Lortie  <desrt@desrt.ca>

	* gtk/gtkwidget.c (gtk_widget_is_composited): add note that the
	semantics of this call, when mixed with the new
	gdk_window_set_composited(), will change in the future.

	* gdk/x11/gdkevents-x11.c (gdk_event_translate): only grab Damage
	events that belong to us.

2007-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_completion_key_press): Handle
	keypresses better when there is no completion.  (#458298,
	Christian Persch, patch by Xan Lopez)

	* gtk/gtkentrycompletion.c
	(gtk_entry_completion_insert_completion_text): Small cleanup.

2007-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (apply_queued_setting): Merge color
	scheme before sending notification.  

2007-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_set_tooltip_column):
	Only connect/disconnect signals when necessary, emit
	change notification.

2007-07-19  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_topmost_widget_coords_from_event): handle
	no-window and regular widgets seperately.

	* gtk/gtktreeview.c (gkt_tree_view_set_tooltip_cell): rect.x should
	be zero.

2007-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkiconview.h:
	* gtk/gtkiconview.c (gtk_icon_view_get_tooltip_context):
	(gtk_icon_view_[sg]et_tooltip_column: Add more convenience
	API parallel to the treeview convenience API.

2007-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (gtk_text_view_compat_move_focus): 
	Initialized GValues before unsetting them.  (#457720)

2007-07-19  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtk.symbols:
	* gtk/gtktreeprivate.h:
	* gtk/gtktreeview.[ch] (gtk_tree_view_get_tooltip_context),
	(gtk_tree_view_[sg]et_tooltip_column): add more convenience API.

	* tests/testtooltip.c (query_tooltip_tree_view_cb): use
	gtk_tree_view_get_tooltip_context().

	* demos/gtk-demo/demo.ui: add a tooltip column to the list store,
	set tooltip-column on the tree view.

2007-07-18  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkcursor-quartz.c (gdk_cursor_new_for_display): Ref
	the cursor in the cached case.

2007-07-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c: Correct some mistakes in the 
	documentation of the test-expand/collapse-row signals.  
	(#457774, Olivier Andrieu)

2007-07-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c: Small cleanups

2007-07-17  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_widget_under_pointer): only do the
	coordinate check if tmp is not NULL.

2007-07-16  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_topmost_widget_coords_from_event): check
	if the pointer is really over the returned widget, since the
	coordinate check may not always be hit in find_widget_under_pointer().

2007-07-16  Matthias Clasen <mclasen@redhat.com>

	Fix some issues with some combinations of inline-selection
	and inline-completion.  (#457384, Christian Persch)

	* gtk/gtkentry.c (gtk_entry_completion_key_press): Don't store
	the completion_prefix here, and be careful when using 
	completion_prefix, because it may be NULL.
	* gtk/gtkentrycompletion.c (gtk_entry_completion_finalize):
	Free completion_prefix here.
	* gtk/gtkentrycompletion.c (gtk_entry_completion_real_insert_prefix):
	(gtk_entry_completion_insert_completion_text): Store the
	completion_prefix here.

2007-07-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c (model_add_special_get_info_cb):
	Plug a memleak. (#455721, Christian Persch)

2007-07-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkscalebutton.c: Apply a patch by Guillaume Cottenceau
	to improve the signal docs.  (#456258)

2007-07-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkwidget.c: Apply a patch by Xan Lopez to document
	a lot of GtkWidget signals.  (#172424)

2007-07-16  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkiconview.h:
	* gtk/gtkiconview.c (gtk_icon_view_set_tooltip_item):
	(gtk_icon_view_set_tooltip_cell): Convenience functions to
	position tooltips on icon view items or cells.

2007-07-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	(_gdk_quartz_events_update_cursor): Plug leak.

2007-07-13  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkevents-quartz.c: (gdk_window_is_ancestor): Move
	from here...
	* gdk/quartz/gdkwindow-quartz.c: (_gdk_quartz_window_is_ancestor):
	...to here.
	(_gdk_windowing_window_destroy): Update the mouse window if the
	destroyed window is an ancestor of the current one, not only if
	they are the same.
	(gdk_window_hide): Update the mouse window here too.

2007-07-13  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkcolor-quartz.c: (gdk_colors_alloc),
	(gdk_colors_free): Add stubs.

2007-07-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c (get_uri_shortname_for_display): Avoid
	gratitious use of g_strdup_printf().

	* gtk/gtkrecentchooserdefault.c:
	* gtk/gtkrecentchoosermenu.c: Mark some strings for 
	translation.  (#439480, Murray Cumming)

2007-07-13  Kristian Rietveld  <kris@imendio.com>

	#408327, improve tooltip positioning.

	* gtk/gtk.symbols: updated.

	* gtk/gtktooltip.[ch] (gtk_tooltip_position): factor out
	positioning code in here,
	(gtk_tooltip_set_tip_area): new function to set the tooltip
	area,
	(gtk_tooltip_reset), (_gtk_tooltip_handle_event): hide tooltip
	once the pointer leaves the tip area.

	* gtk/gtktreeview.[ch] (gtk_tree_view_set_tooltip_row),
	(gtk_tree_view_set_tooltip_cell): convenience functions to set
	tip area for row/column/cell.

	* tests/testtooltips.c (query_tooltip_tree_view_cb): use
	gtk_tree_view_set_tooltip_row.

2007-07-12  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkwindow-win32.[ch]: Fix transient windows on Win32
	so that when a transient child window is closed (particularly when
	there are 3 or more levels of transient windows), the correct window
	receives focus rather than a seemingly random window. (#112404)

2007-07-12  Attilio Fiandrotti  <attilio.fiandrotti@gmail.com>

	* gdk/directfb/gdkevents-directfb.c:
	* gdk/directfb/gdkwindow-directfb.c:
	* gdk/directfb/gdkprivate-directfb.h: Fixed memory leak at window closing,
	patch provided by Simon Lanzmich

Thu Jul 12 18:03:02 2007  Tim Janik  <timj@gtk.org>

	* gdk/gdk.c (gdk_threads_add_idle_full): clarified documentation example.

2007-07-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextivew.c: 
	* gtk/gtkclipboard.c: Add documentation.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcelleditable.c:
	* gtk/gtkcellrenderer.c:
	* gtk/gtkcellrenderercombo.c:
	* gtk/gtkcellrenderertext.c: Add more documentation.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c:
	* gtk/gtktoolitem.[hc]: Make parameter naming consistent.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrange.c:
	* gtk/gtkbindings.c: 
	* gtk/gtkscalebutton.c: Small doc fixes.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkplug.c:
	* gtk/gtksocket.c: Move docs inline, and add some missing
	docs.  

2007-07-11  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_*_to_*_coords): x should be
	changed when converting widget <=> bin_window coordinates, not
	when bin_window <=> tree_window.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkiconview.[hc]
	(gtk_icon_view_convert_widget_to_bin_window_coords): New
	function to convert widget coords to what is expected by
	the at_pos functions.  (#455984)

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwiget.c: Don't include gtktooltips.h, it is
	not needed anymore.

2007-07-11  Christian Persch  <chpe@gnome.org>

	* gtk/gtkaction.c: (gtk_action_buildable_set_name),
	(gtk_action_finalize), (gtk_action_set_property),
	(gtk_action_get_property):
	* gtk/gtkactiongroup.c: (gtk_action_group_init),
	(gtk_action_group_add_action),
	(gtk_action_group_add_action_with_accel),
	(gtk_action_group_remove_action): Intern the action's name. Saves two
	string duplicates of it per action; bug #455645.

2007-07-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_new),
	(show_window_internal), (gdk_window_show), (gdk_window_hide): Add
	hack to workaround the broken tracking rect implementation in
	quartz, that doesn't seem to produce events if the window shows up
	under the mouse.

2007-07-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtk.symbols:
	* gtk/gtkwidget.[ch] (gtk_widget_{get,set}_has_tooltip): add
	getter/setter pair, slight addition to has-tooltip property
	documentation,
	(gtk_widget_real_set_has_tooltip): renamed internal function.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* gtk/gtkaction.c: (gtk_action_sync_tooltip),
	(gtk_action_set_tooltip):
	* gtk/gtkuimanager.c: (update_node): Remove work-around for the old
	tooltips code, and just set the action tooltip immediately on the
	proxy widget. Bug #455482.

2007-07-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_widget_under_pointer),
	(child_location_foreach): use gtk_container_forall, instead of
	gtk_container_foreach().  Makes tooltips on notebook tabs work. (Fixes
	bug reported by Christian Persch).

2007-07-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (child_location_foreach): ignore invisible
	(!drawable) widgets.  (Fixes bug reported by Paolo Borelli).

2007-07-10  Matthias Clasen  <mclasen@redhat.com>

	* README.in: Make sure all deprecations are mentioned.

2007-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c: Fix some doc formatting

2007-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-builder-convert: Fix a typo

2007-07-10  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtklabel.[ch]: Use a bit of the GtkLabel structure to
	remember that a pattern has been set.
	(gtk_label_set_pattern_internal): Don't do anything if 
	a specific pattern has been set.
	(gtk_label_set_pattern): set the new bit to TRUE when 
	setting a pattern, and recalculate everything if the 
	pattern is unset. Fix gtk_label_set_pattern() not working 
	anymore.  (#452861, Vincent Untz)

2007-07-09  Claude Paroz  <claude@2xlibre.net>

	* configure.in: Changed uz to uz@cyrillic and uz@Latn to uz.
	See bug #451164.

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkvolumebutton.c: Remove deprecated tooltips,
	use new tooltips API.  (#449311, Jan Arne Petersen)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkselection.c (normalize_to_crlf): Don't ignore
	the passed-in len parameter.  (#430049, Yevgen Muntyan)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkframe.c (gtk_frame_size_allocate): Improve the
	handling of broken situations.  (#427899, Francesco Montorsi)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkviewport.c (gtk_viewport_size_request): Changed size 
	requisition so the viewport does not add the border thickness 
	if it has GTK_SHADOW_NONE selected.  (#361781, Miguel Gomez)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c (gtk_tooltip_trigger_tooltip_query): 
	Fix a typo in the docs.  (#453930, Guillaume Cottenceau)

2007-07-09  Kristian Rietveld  <kris@imendio.com>

	Replace non-deprecated API using old tooltips API, deprecate
	old tooltips API for real. (#451575).

	* gtk/gtk.symbols: updated.

	* gtk/gtkwidget.c (gtk_widget_real_show_help): don't call
	_gtk_tooltips_toggle_keyboard_mode() anymore.

	* gtk/gtkmenutoolbutton.[ch] (gtk_menu_tool_button_set_arrow_tooltip):
	deprecated,
	(gtk_menu_tool_button_set_arrow_tooltip_{text,markup}): replacements.

	* gtk/gtktoolitem.[ch] (gtk_tool_item_real_set_tooltip): use
	new API,
	(gtk_tool_item_set_tooltip): deprecated,
	(gtk_tool_item_set_tooltip_{text,markup): replacements.
	(GtkToolItemClass:set_tooltip): deprecated.

	* gtk/gtktooltips.[ch]: strip out all unused parts, made
	gtk_tooltips_set_tip() call gtk_widget_set_tooltip_text(),
	deprecate all of gtk_tooltips_*.

	* gtk/gtktoolbar.[ch] (gtk_toolbar_get_tooltips): always return
	TRUE,
	(GtkToolbar:tooltips): deprecated, renamed.

	* gtk/gtkaction.c (gtk_action_sync_tooltip): use new API to
	set the tooltip text.

	* tests/autotestfilechooser.c: #undef GTK_DISABLE_DEPRECATED for now,
	will be removed GtkFileChooserDefault has been converted.

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c
	(gtk_tree_view_convert_bin_window_to_widget_coords:
	Fix a typo in the docs.  (#453673, Guillaume Cottenceau)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_model_row_deleted): Emit 
	::changed when removing the active row.  (#452056, Paul Pogonyshev)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksearchenginesimple.c: Address some thread-safety
	issues.  (#452598)

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/*/Makefile.am: Fix build problems
	on Cygwin.  (#448604)

2007-07-09  Jaap Haitsma  <jaap@haitsma.org>

	* gtk/gtkstatusicon.c: Remove usage of deprecated GtkTooltips API. Use
	gtk_widget_set_tooltip_text instead

2007-07-09  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtktooltip.c:
	* gtk/gtktooltip.h: Make the GTK_TOOLTIP and GTK_IS_TOOLTIP macros public.

2007-07-09  Johan Dahlin,,,  <jdahlin@lozenge>

	* demos/gtk-demo/demo.ui:
	* gtk/gtk-builder-convert:
	* gtk/gtkactiongroup.c: (gtk_action_group_buildable_init),
	(gtk_action_group_buildable_add_child),
	(accelerator_start_element),
	(gtk_action_group_buildable_custom_tag_start),
	(gtk_action_group_buildable_custom_tag_end):
	* gtk/gtkuimanager.c: (child_hierarchy_changed_cb),
	(gtk_ui_manager_buildable_construct_child):
	* tests/buildertest.c: (test_uimanager_simple):

	Add actiongroup/action accelerator support for builder. #454654

2007-07-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilderparser.c (pgettext): Support old-style
	message contexts, too. 

2007-07-08  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert: Improve the way properties
	are copied over from a menuitem to an action.
	
2007-07-08  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter._convert_menuitem): Convert
	GtkMenus which are not part of a GtkMenuBar. Also move over activate signals
	when converting a GtkMenuItem subclass to an action. 
	(#454830, Bastien Nocera)

	* gtk/gtkbuilderparser.c (parse_signal): Parse last_modification_time
	attribute in <signal> tag

2007-07-07  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkbuilderprivate.h:
	* gtk/gtkbuilderparser.c: Support context and comments
	for properties.

2007-07-07  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkwidget.c: Fix some typos, and a memory management bug.  

2007-07-08  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkwidget.c (gtk_widget_buildable_custom_tag_start): 
	Parse <accessibility> but don't do anything yet.
	* gtk/gtk-builder-convert (GtkBuilderConverter._parse): 
	Do not strip atk/accessibility tags
	* tests/buildertest.c (test_widget): 
	Test this
	
Sun Jul  8 01:33:45 2007  Tim Janik  <timj@gtk.org>

	* gdk/gdkwindow.c: docu fixup by Bjoern Lindqvist, #454703.

2007-07-07  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c ([GdkQuartzWindow -windowDidResignMain:]) 
	([GdkQuartzWindow -windowDidBecomeMain:]): 
	* gdk/quartz/gdkwindow-quartz.c (_gdk_quartz_window_did_resign_main)
	(_gdk_quartz_window_did_become_main, gdk_window_hide)
	(_gdk_windowing_window_destroy): Keep a stack of main windows and
	select the most recent one when hiding/closing the current one.

2007-07-07  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter._convert_textview_text): 
	Convert GtkTextView::text properties
	(GtkBuilderConverter): Refactor; Optimize widget lookups by not
	traversing the whole tree.
	Use a common api to create sizegroups, actiongroups and uimanagers
	to avoid name conflicts.
	Output newly created objects sorted by id before the old roots under
	<interface>
	(GtkBuilderConverter._parse): Remove unsupported atkrelation and atkproperty
	tags
	(GtkBuilderConverter._convert_menuitem): Add support for CheckMenuItems
	and do not set name and action on separators
	(GtkBuilderConverter._add_action_from_menuitem): Only set stock_id
	on the action if the menuitem had a stock or label property set

2007-07-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkwindow-quartz.c:
	* gdk/quartz/GdkQuartzWindow.c: Fix (de)miniaturizing transient
	windows, by (un)setting the parent before and after miniaturizing.

2007-07-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkkeys-quartz.c (gdk_keymap_have_bidi_layouts): Add
	stub.

2007-07-06  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c (gtk_builder_get_type_from_name): Add a missing
	semi-colon in the doc string, spotted by Johannes Sasonko

2007-07-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilder.c: Support pixbuf properties by specifying
	a filename as the property value.  (#447966)

Wed Jul  4 12:20:23 2007  Tim Janik  <timj@imendio.com>

	* gdk/gdkevents.c (gdk_event_request_motions): added usage example
	to gdk_event_request_motions() docs.

2007-07-04  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkstatusicon.c: On Win32 call
	gtk_status_icon_button_press() in an idle callback and not
	directly from the window procedure to avoid "g_main_loop_run():
	called recursively from within a source's check() or prepare()
	member, iteration not possible" warnings.

2007-07-04  Chris Wilson  <chris@chris-wilson.co.uk>

	* gtk/gtkrecentchoosermenu.c (idle_populate_func),
	(idle_populate_clean_up), (gtk_recent_chooser_menu_populate):
	Remove a surplus GDK_THREADS_LEAVE() and avoid a potential use after
	free in the source destroy notify. (#453033)

2007-07-04  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkcelllayout.c (_gtk_cell_layout_buildable_add_child): 
	pack children from the start instead of the end, this should
	probably be made configurable at some point.

	* gtk/gtk-builder-convert:
	Add support for converting GtkComboBox items, also make sure
	that we support more than one GtkAdjustment in a file

2007-07-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: Keep track of button state and
	include it in key events. Needed for gimp's selection tools and
	fixes bug #453411.

2007-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilder.c: Fix some typos in docs.  (#452278,
	Adam Schreiber)

2007-07-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (create_key_event): Include
	modifier state in key release events. Fixes bug #453413.

2007-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcelllayout.c (attributes_text_element): Report
	errors about integer parsing back up.  (#452988)

	* tests/buildertest.c: Add an extra check.

2007-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbutton.c (gtk_button_construct_child): Don't leave
	priv->image dangling when use-stock is set to FALSE.  (#437281,
	Jochen Baier)

2007-07-03  Tor Lillqvist  <tml@novell.com>

	* configure.in: Handle GDK_PIXBUF_EXTRA_LIBS like GDK_EXTRA_LIBS,
	i.e. clear it if enable_explicit_deps isn't on. If we build with
	--with-included-loaders and --enable-explicit-deps=no we don't
	want -ltiff -ljpeg etc in the gdk-pixbuf-2.0.pc file.

2007-07-03  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkkeys-win32.c (gdk_keymap_have_bidi_layouts):
	Implement. Just return FALSE for now. What should this function
	actually do? Does keyboards layouts being "in use" mean that such
	layouts can be switched to on the fly using some extra-GTK+
	mechanism? If so we need to actually check that.

2007-07-03  Tristan Van Berkom  <tvb@gnome.org>

	* gtk/gtkwidget.c: Fixed assertions from setting "tooltip-text" to NULL
	(bug 452425)

2007-07-03  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter._strip_root): Add a
	--root option. Filter empty properties. Convert GtkAdjustments.

	* gtk/gtkdialog.c (gtk_dialog_buildable_custom_finished): Mimic the behavior
	of gtk_dialog_add_action_widget closer, to make clicking on the buttons
	actually work.

2007-07-02  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.5 ===

	* tests/autotestkeywords.cc: Make platform includes
	conditional.

	* gtk/Makefile.am: File list fixes

	* NEWS: Updates

2007-07-02  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtk.symbols:
	* gtk/gtktreeview.[ch] (gtk_tree_view_is_rubber_banding_active): new
	function to check whether a rubber banding operation is currently
	active.  (#393579, Christian Neumair).

2007-07-02  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-07-02  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkscalebutton.c: (gtk_scale_button_update_icon): Add
	parentheses to fix the operator order in the icon selection.

2007-07-01  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter): 
	Convert to getopt, improved documentation, change
	the script to require two arguments

2007-06-30  Richard Hult  <richard@imendio.com>

	Continue the event handling cleanup:

	* gdk/quartz/gdkevents-quartz.c: (synthesize_crossing_events):
	Don't do anything if the old and new windows are the same,
	simplifies the callers.
	(find_mouse_window_for_ns_event): Always return a window (root
	instead of NULL). Remove unneccessary check for the current mouse
	window being NULL, that was a workaround for a now fixed
	bug. Convert to root coordinates if we don't find a window.
	(synthesize_crossing_events_for_ns_event): Simplify and add
	comment.

2007-06-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	(synthesize_crossing_events_for_ns_event): Simplify (get the
	origin directly from the window).

2007-06-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (create_crossing_event),
	(synthesize_crossing_events), (find_mouse_window_for_ns_event),
	(synthesize_crossing_events_for_ns_event): No need to special case
	the root window now that it has the right size.

2007-06-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	* gdk/quartz/gdkevents-quartz.c: Improve comments in those
	files. Add a debugging helper to print out information about a
	window.

2007-06-30  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c:
	* gtk/gtkbuilder.h:
	* gtk/gtkbuilderparser.c:
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkwidget.c: 
	* tests/buildertest.c:

	Improve error handling for enum/flags, rename the converter functions
	to be consistent. Add tests. Fixes #452465

2007-06-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_get_origin): Make
	this work properly for the root window.

2007-06-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Improve the tracking rect updating:
	- No need to override setFrame.
	- Use our own size instead of the bounds from the view as it's not
	always updated before the tracking rect.
	- Only reset the tracking rect if the new window is nil).
	
	* gdk/quartz/GdkQuartzWindow.c: Update the bounds of the content
	view when the window size changes.

2007-06-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilderparser.c (_gtk_builder_parse_boolean): 
	Use g_ascii_strdown() instead of a rolling our own.

2007-06-30  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c: (_get_type_by_symbol), (parse_object),
	(parse_child):
	* tests/buildertest.c: (test_types):
	Move type-func to <object> instead of <child>, add a test to
	make sure that it works as desired, #452463

	* gtk/gtkbuilder.c: (gtk_builder_value_from_string_type):
	* gtk/gtkbuilderparser.c: (_gtk_builder_parse_boolean),
	(parse_property), (parse_signal):
	* gtk/gtkbuilderprivate.h:
	* tests/buildertest.c: (test_value_from_string):
	Make boolean string parsing consistent, #452464

2007-06-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuilder.c:
	* gtk/gtkbuildable.c: Documentation updates.

2007-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk.symbols:
	* gdk/gdkkeys.h:
	* gdk/x11/gdkkeys-x11.c (gdk_keymap_have_bidi_layouts): New
	function to determine if keyboard layouts for both LTR and LTR 
	languages are in use. Refactor the direction caching code to
	make this information available.  (#353805, Behnam Esfahbod)

2007-06-29  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackend/cups/gtkcupsutils.c (_post_check):
	(_get_check): Enable SSL support.  (#451070, Vince Busam)

2007-06-29  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c: (gtk_builder_finalize),
	(gtk_builder_get_parameters), (_gtk_builder_construct):
	* tests/buildertest.c:

	Improve reference counting, #447967

2007-06-29  Ryan Lortie  <desrt@desrt.ca>

	* tests/testgtk.c (create_composited_window): Connect the "destroy"
	signal so that the 'window' pointer is set back to NULL (like for the
	other examples).

	* gdk/x11/gdkwindow-x11.c (gdk_window_impl_x11_finalize): Don't
	destroy the Damage here.  By finalize() XDestroyWindow has already
	been called (and took the Damage with it).

	Bug #452046.

2007-06-29  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c (recent_meta_data_func): Escape
	markup entities in the name and URI before displaying them.

2007-06-29  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c (get_icon_for_mime_type): Do not
	cache the icon pixbufs but rely on the GtkIconTheme not to
	hit the disk cache too much (should tentatively fix #426987).

2007-06-28  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* modules/engines/ms-windows/msw_style.c: Draw no bevel
	when "GtkToolbar::shadow-type" is "none" (#450469).

2007-06-28  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (_indent): Prettify the output by
	running it through xmllint --format if xmllint is available 
	which also requires the subprocess module only available 
	in python 2.4 or later

2007-06-28  Christian Persch  <chpe@gnome.org>

	* gtk/gtkvolumebutton.c: (gtk_volume_button_class_init),
	(gtk_volume_button_init), (gtk_volume_button_dispose),
	(gtk_volume_button_update_tooltip): Make the volume button use range
	0.0 to 1.0 by default, and fix tooltips code to cope with different ranges.
	Bug #451866.

2007-06-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextutil.c (_gtk_text_util_get_block_cursor_location):
	do right thing in one-character lines and at paragraph end (#448313).

	* configure.in: require pango-1.17.3 to get fixed pango_layout_index_to_line_x()
	(pango #448342).

2007-06-27  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c (parse_property): Use
	the attribute name in the error message instead of
	the value.
	
	* demos/gtk-demo/demo.ui: Set name of Help menu
	to HelpMenu

	* gtk/gtkbuilder.c (apply_delayed_properties): 
	Print out the name of the right object in the warning
	(#451314, Philip Withnall)

	* gtk/gtk-builder-convert (GtkBuilderConverter._parse): Remove
	glade-interface doctype if found.
	(GtkBuilderConverter._convert): 
	Make sure that we can convert Gazpacho files too.

2007-06-27  Cody Russell  <bratsche@gnome.org>

	* modules/engines/ms-windows/msw_style.c (draw_themed_tab_button):
	Fixed, very hackishly, a one pixel error that occurs using the
	XP theme engine only on the left-most tab, if it is active, when
	the notebook is bottom-oriented. (#392283)

2007-06-27  Johan Dahlin  <jdahlin@async.com.br>

	* tests/buildertest.c: (test_value_from_string): 
	Check the code and domain of GErrors instead of the string values
	
	* gtk/gtkbuilder.c: (gtk_builder_get_parameters),
	(gtk_builder_value_from_string),
	(gtk_builder_value_from_string_type):
	* gtk/gtkbuilder.h:
	* gtk/gtkcontainer.c: (gtk_container_buildable_set_child_property),
	(attributes_text_element):
	* gtk/gtkliststore.c: (list_store_text):
	* tests/buildertest.c: (test_value_from_string):

	Add GtkBuilder and GError arguments to gtk_builder_value_from_string
	and gtk_builder_value_from_string_type. (#451428)

2007-06-27  Xan Lopez  <xan@gnome.org>

	* gtk/gtkvbbox.c (gtk_vbutton_box_size_allocate):
	* gtk/gtkhbbox.c (gtk_hbutton_box_size_allocate):

	Do not add border_width to the first button initial
	coordinate, since it's already taken into account in
	the allocation value. (#451484)

2007-06-27  Michael Natterer  <mitch@imendio.com>

	Merged from maemo-gtk:

	* gtk/gtkmenu.c (gtk_menu_handle_scrolling): when updating the
	scroll arrows' state, make sure we don't overwrite the insensitive
	state that might have been set by the first scroll step hitting
	the top/bottom border of the menu.

Wed Jun 27 13:27:21 2007  Tim Janik  <timj@gtk.org>

	* gtk/gtkradiobutton.[hc]: applied patch to improve variable names, 
	by Olivier Delhomme, #451527.

Wed Jun 27 11:57:41 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_position_menu): fixed
	push_in description.

2007-06-27  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c: Plug leaks in error code paths

2007-06-26  Johan Dahlin  <jdahlin@async.com.br>

	* tests/buildertest.c (test_object_properties): 
	Add a test to check object properties

	* gtk/gtkbuilder.h (enum): 
	* gtk/gtkbuilderparser.c (end_element): 
	* tests/buildertest.c (test_parser): 
	Set an error if we encounter properties without values set
	(#451303, Philip Withnall)
	(test_object_properties): Add a test

	* demos/gtk-demo/builder.c (do_builder): Connect the
	destroy signal in the example instead of the ui file.
	Also set the screen and title of the window.
	(#451345, Thomas Rydzynski)

2007-06-26  Richard Hult  <richard@imendio.com>

	* gtk/gtkbuilder.c: (gtk_builder_value_from_string_type): Fix a
	bunch of small bugs when parsing property values
	(boolean/int/uint/long/ulong/float/double). Bug #451353.

	* tests/buildertest.c: Add tests for the above.

2007-06-26  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func): Fix
	a typo in the previous commit.

	(shortcuts_append_desktop): Remove unused variable and
	hush the compiler warning.

2007-06-26  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func): Show
	the time of last change in the file chooser, for files
	modified today or yesterday. (#324543)

	* configure.in: Check for localtime_r().

2007-06-26  Cody Russell  <bratsche@gnome.org>

	* modules/engines/ms-windows/xp_theme.[ch]
	* modules/engines/ms-windows/msw_style.c: Add support for 
	drawing checkboxes with inconsistent states. (Tor, #164809)

2007-06-26  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert (GtkBuilderConverter.to_xml): Encode 
	the output in utf-8 as suggested by Bogdan Nicula

2007-06-22  Mathias Hasselmann  <mathias.hasselmann@gmx.de>
 
	* configure.in, tests/Makefile.am, tests/autotestkeywords.cc,
	tests/dummy-headers/*: Extend the C++ keyword test
	to include internal GDK headers (#449016).

2007-06-26  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* ChangeLog, configure.in, tests/Makefile.am, 
	tests/autotestkeywords.cc: Create test for finding
	C++ keywords in public header files (#449016).

2007-06-26  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltips.h: remove the deprecation macros for now to fix
	the build and give us a chance to fix widgets which use GtkTooltips
	in their API.

2007-06-26  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtk.symbols:
	* gtk/gtktooltips.[ch]:
	* docs/reference/gtk/tmpl/gtktooltips.sgml: deprecate GtkTooltips.

2007-06-25  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert: Add a script to convert libglade files
	to something gtkbuilder can parse.
	Fixes #447995

2007-06-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate): Don't steal
	menu events while the keyboard is grabbed.

2007-06-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/Makefile.am:
	* gdk/quartz/xcursors.h:
	* gdk/quartz/gdkcursor-quartz.c: Fallback to X cursors for the
	ones that OS X doesn't provide. Fixes bug #327912.

2007-06-25  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(build_recent_info): building a GtkRecentInfo can never fail.

	(gtk_recent_manager_get_items): Clamp the list while building
	it so we don't need to traverse it more than once. (#446532,
	Philip Withnall)

2007-06-25  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_pointer_grab): Revert my
	attempted overly simple fix for #445284, as it causes a
	regression. (For instance, in GIMP the tool cursor gets used also
	for the right-click menu in image windows.) A more complex fix is
	needed to more completely emulate X11 behaviour.

2007-06-24  Kristian Rietveld  <kris@gtk.org>

	* Makefile.am: fix little mistake in my last commit ...

2007-06-24  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtksearchenginequartz.[ch]: Add a search engine which queries
	the Spotlight database on MacOS X (only available in 10.4 and
	higher).

	* gtk/gtksearchengine.c (_gtk_search_engine_new): try creating
	quartz search engine if we are on OS X.

	* Makefile.am: added use_quartz_sources section with new file.

2007-06-22  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchenginebeagle.c:
	* gtk/gtksearchenginesimple.c:
	* gtk/gtksearchenginetracker.c: Remove the MIME type calls and
	queries from the search engine implementations, since we use our
	own GtkFileSystem to filter out basing on MIME types and we cannot
	query MIME types anyway. The GtkQuery private object still has
	MIME type, as well as location, support for future expansion.

Fri Jun 22 12:13:39 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkframe.c (gtk_frame_paint): applied patch from Xan Lopez
	to eliminate gap in painted frame for yaling=0.0 or yalign=1.0.

	* tests/testframe.c: added test application from Xan Lopez to
	test xalign/yalign interactions with xthickness/ythickness.

Fri Jun 22 00:34:34 2007  Tim Janik  <timj@gtk.org>

	* gdk/x11/gdkdisplay-x11.c (gdk_x11_display_get_xdisplay): applied
	patch from Mark Tiefenbruck to add missing return_if_fail, #449862.

2007-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.c: Remove debug spew.  (#449492, Christian Persch)

2007-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c (gtk_main_do_event): Remove faulty and irrelevant
	enter-leave compression code.  (#449167, patch by Tim Janik)

2007-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gdk/quartz/GdkQuartzView.c ([GdkQuartzView -updateTrackingRect]): Fix a typo
	in a comment

2007-06-20  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_new): 
	* gdk/quartz/GdkQuartzWindow.c (windowDidResize): Don't create or
	update the tracking rect in the window, move it to the view where
	it belongs.

	* gdk/quartz/GdkQuartzView.c (updateTrackingRect)
	(viewDidMoveToWindow, viewWillMoveToWindow)
	(setFrame, setBounds): Create and update the tracking rect here.

2007-06-19  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* gdk/gdkinternals.h: Restore G_BEGIN_DECLS at the
	top of this file to make C++ compilers happy.

2007-06-19  Matthias Clasen <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.4 ===

	* NEWS: Updates

2007-06-19  Sven Neumann  <sven@gimp.org>

	* gtk/gtkicontheme.c (gtk_icon_info_copy): use g_slice_dup().

2007-06-19  Sven Neumann  <sven@gimp.org>

	* gtk/gtktooltips.[ch]: mark the GtkTooltips struct as private.
	Keep the tooltips in a hash table instead of a linked list.
	Improves performance when using large amounts of tooltips (#447214).

	* README.in: document the GtkTooltips changes.

2007-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/*: Rename buildable methods to not clash with widget 
	methods. (#448928, Torsten Schoenfeld)

2007-06-19  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c: Use g_timeout_add_seconds_full() for
	the timed poll of the storage file, since we are using multiple
	seconds intervals and we don't actually care about millisecond
	precision.

	(threads_dispatch), (threads_free), (gtk_recent_manager_init),
	(gtk_recent_manager_set_filename): Roll our own version of
	gdk_threads_add_timeout() using g_timeout_add_seconds_full()
	while holding the GDK main lock.

	* configure.in: Bump up the required GLib version, in order
	to use g_timeout_add_seconds_full().

2007-06-19  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c: Use a static variable to hold the
	singleton and remove the code that binds a recent manager to
	a GdkScreen.

	(gtk_recent_manager_set_screen): Make it a NOOP.
	(gtk_recent_manager_get_for_screen): Proxy for
	gtk_recent_manager_get_default().

	* gtk/gtk.symbols:
	* gtk/gtkrecentmanager.h: Deprecate gtk_recent_manager_set_screen()
	and gtk_recent_manager_get_for_screen().

	* gtk/gtkmain.c: Force a synchronisation of the GtkRecentManager
	singleton (if any) when reaching main loop depth of 0.

	* gtk/gtkrecentchooserdefault.c:
	(gtk_recent_chooser_default_dispose): Disconnect the changed
	signal only if we have a manager and we are connected to it.

	(set_recent_manager): Ditto.

	* README.in: Document the deprecations.

2007-06-18  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkcellrendererspin.c: Fix some issues with refcounting
	of the adjustment.  (#448544, Carlos Garnacho)

2007-06-18  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	reviewed by: Matthias Clasen

	* gtk/gtkaccelgroup.c (gtk_accel_group_finalize): Remove closure
	invalidate notifiers. (#448484)

2007-06-17  Matthias Clasen <mclasen@redhat.com>

	* README.in: Updates

	* gtk/gtkmenushell.c: Make GtkMenuShell as an abstract type.
	It was already documented as such.  (#412357, Vincent Geddes)

2007-06-17  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkcontainer.c: Fix a doc typo.

2007-06-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate): Forward
	Mac OS menu shortcut events to the right menu.

2007-06-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate)
	(synthesize_crossing_events_for_ns_event)
	(find_window_for_ns_event): More refactoring of the event
	handling: Extract synthesizing of crossing events from
	find_window_for_ns_event so that it doesn't have any side effects,
	and call the new function from gdk_event_translate instead.

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (find_window_for_ns_event),
	(gdk_event_translate): Remove pointless logging for unhandled events.
	Activate the application on non-left clicks, since that is only done
	for left clicks and we depend on it to get events routed properly for
	context menus and other popup windows.

2006-09-22  Dennis Cranston  <dennis_cranston@yahoo.com>

	* gtk/gtkfilechooserbutton.c: (change_icon_theme),
	(model_add_bookmarks), (model_update_current_folder):
	* gtk/gtkfilechooserdefault.c: (shortcuts_reload_icons),
	(shortcuts_insert_path):  Use the remote folder icon when
	appropriate.

	Follow up to #354887

2007-06-17  Christian Persch  <chpe@gnome.org>

	* gtk/Makefile.am: Pass the print settings to the preview programme.
	Bug #403717, patch by Carlos Garcia Campos.

2007-06-17  Xan Lopez  <xan@gnome.org>

	* gdk/x11/gdkgeometry-x11.c: replace GDK_WINDOW calls by cast to
	GdkWindow. Patch by Tilman Sauerbeck from #63820.

2007-06-17  Daniel Elstner  <danielk@openismus.com>
	
	* modules/input/gtkimcontextmultipress.c (vfunc_filter_keypress):
	Change input method behavior to act on key presses instead of
	key releases, matching normal text input behavior.  This change
	alleviates the need to take special action for control keys not
	handled by the input module itself.

2007-06-17  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkfontsel.c: List font sizes 6 and 7pt too. (#440450,
	Sebastien Bacher, Alex "weej" Jones)

2007-06-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtktextdisplay.c (render_para): fixed couple of drawing
	problems with block cursor (#448321).

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (gdk_event_translate): Ignore
	events and break any grabs while the window is being dragged.

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_transient_for):
	Defer setting the parent until the window is shown, otherwise it
	gets unconditionally shown here.

2007-06-16  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilderparser.c (text): Swap argument order to dgettext
	(#448299, Jan Arne Petersen)

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (find_mouse_window_for_ns_event):
	Move the checks for no window or a non-GDK window from here...
	(gdk_event_translate): ...to here. Reorder the code so that we
	detect the cases where we need to break grabs before bailing
	out.

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate) 
	(break_all_grabs): Break out into a separate function.

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: (isInMove): Implement, to be used
	to detect if the window is currently being moved with the mouse.

2007-06-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c (gdk_window_set_transient_for):
	Don't set parent/child relationship for tooltip windows since that
	moves the parent window to the front, due to the tooltip having a
	high window level.

2007-06-16  Christian Persch  <chpe@gnome.org>

	* gtk/gtkbuilder.c: (gtk_builder_real_get_type_from_name),
	(gtk_builder_get_type_from_name):
	* gtk/gtkbuilder.h: Don't use "typename" C++ keyword as parameter
	name. Bug #448193.

2007-06-15  Matthias Clasen  <mclasen@redhat.com>
	
	* configure.in: Bump version

	* === Released 2.11.3 ===

2007-06-15  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkuimanager.c: Base class should be GObject, not GtkObject.

2007-06-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbuildable.c:
	* gtk/gtkbuilder.c: Documentation fixes

	* gtk/gtktreeview.c: Fix up cross-references in docs.
	
	* gtk/Makefile.am: Don't install gtkbuilderprivate.h

	* gtk/gtk.h: Include gtkbuilder.h

	* NEWS: Updates

2007-06-15  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.c (gtk_builder_add_from_file): 
	(gtk_builder_value_from_string_type): 
	Use gsize instead of unsigned and gulong instead of long,
	fixes complation on OSX, fixes #447987

2007-06-15  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkmenushell.[ch]: add move_selected signal to allow 
	overriding the default internal behaviour.  (#446833, Ryan Lortie)

2007-06-15  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* gtk/gtkwidget.c: Forgot to free the unescaped tooltip text.

2007-06-15  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* gtk/gtkwidget.c: Improving handling of tooltip-text property.
	* tests/testtooltips.c: Also check result of tooltip getters.

2007-06-15  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* docs/reference/gtk/gtk-sections.txt, gtk/gtk.symbols,
	gtk/gtkwidget.c, gtk/gtkwidget.h, tests/testtooltips.c: Introduce
	convenience property "GtkWidget:tooltip-text" taking care of escaping
	it for unwanted markup entities. Add functions to set tooltip text:
	gtk_widget_set_tooltip_text(), gtk_widget_set_tooltip_markup(),
	gtk_widget_get_tooltip_text(), gtk_widget_get_tooltip_markup().

	* gtk/gtktooltip.c, gtk/gtktooltip.h: Add gtk_tooltip_set_text()
	to set the tooltip text without using markup.

	Patches from Emmanuele Bassi (#447643).

2007-06-15  Johan Dahlin  <jdahlin@async.com.br>

	reviewed by: Matthias Clasen

	* demos/gtk-demo/Makefile.am:
	* demos/gtk-demo/builder.c: (quit_activate), (about_activate),
	(do_builder):
	* demos/gtk-demo/demo.ui:
	* docs/reference/gtk/gtk-docs.sgml:
	* docs/reference/gtk/gtk-sections.txt:
	* docs/reference/gtk/gtk.types:
	* docs/reference/gtk/tmpl/gtkbuildable.sgml:
	* docs/reference/gtk/tmpl/gtkbuilder.sgml:
	* gtk/Makefile.am:
	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/gtkaction.c: (gtk_action_buildable_init),
	(gtk_action_buildable_set_name), (gtk_action_buildable_get_name):
	* gtk/gtkactiongroup.c: (gtk_action_group_get_type),
	(gtk_action_group_buildable_init),
	(gtk_action_group_buildable_add),
	(gtk_action_group_buildable_set_name),
	(gtk_action_group_buildable_get_name):
	* gtk/gtkbuildable.c: (gtk_buildable_get_type),
	(gtk_buildable_set_name), (gtk_buildable_get_name),
	(gtk_buildable_add), (gtk_buildable_set_property),
	(gtk_buildable_parser_finished), (gtk_buildable_construct_child),
	(gtk_buildable_custom_tag_start), (gtk_buildable_custom_tag_end),
	(gtk_buildable_custom_finished),
	(gtk_buildable_get_internal_child):
	* gtk/gtkbuildable.h:
	* gtk/gtkbuilder.c: (gtk_builder_class_init), (gtk_builder_init),
	(gtk_builder_finalize), (gtk_builder_set_property),
	(gtk_builder_get_property), (_gtk_builder_resolve_type_lazily),
	(gtk_builder_real_get_type_from_name),
	(gtk_builder_get_parameters), (gtk_builder_get_internal_child),
	(_gtk_builder_construct), (_gtk_builder_add),
	(apply_delayed_properties), (_gtk_builder_finish),
	(gtk_builder_new), (gtk_builder_add_from_file),
	(gtk_builder_add_from_string), (gtk_builder_get_object),
	(object_add_to_list), (gtk_builder_get_objects),
	(gtk_builder_set_translation_domain),
	(gtk_builder_get_translation_domain),
	(gtk_builder_connect_signals_default),
	(gtk_builder_connect_signals), (gtk_builder_connect_signals_full),
	(gtk_builder_value_from_string),
	(gtk_builder_value_from_string_type),
	(_gtk_builder_enum_from_string), (_gtk_builder_flags_from_string),
	(gtk_builder_get_type_from_name), (gtk_builder_error_quark):
	* gtk/gtkbuilder.h:
	* gtk/gtkbuilderparser.c: (state_push), (state_peek), (state_pop),
	(error_missing_attribute), (error_invalid_attribute),
	(error_invalid_tag), (builder_construct), (parse_object),
	(free_object_info), (_get_type_by_symbol), (parse_child),
	(free_child_info), (parse_property), (free_property_info),
	(parse_signal), (_free_signal_info), (parse_interface),
	(create_subparser), (free_subparser), (subparser_start),
	(subparser_end), (parse_custom), (start_element), (end_element),
	(text), (_gtk_builder_parser_parse_buffer):
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkcelllayout.c: (attributes_start_element),
	(attributes_text_element),
	(_gtk_cell_layout_buildable_custom_tag_start),
	(_gtk_cell_layout_buildable_custom_tag_end),
	(_gtk_cell_layout_buildable_add):
	* gtk/gtkcelllayout.h:
	* gtk/gtkcellview.c: (gtk_cell_view_buildable_init),
	(gtk_cell_view_buildable_custom_tag_start),
	(gtk_cell_view_buildable_custom_tag_end):
	* gtk/gtkcolorseldialog.c:
	(gtk_color_selection_dialog_buildable_interface_init),
	(gtk_color_selection_dialog_buildable_get_internal_child):
	* gtk/gtkcombobox.c: (gtk_combo_box_buildable_init),
	(gtk_combo_box_buildable_custom_tag_start),
	(gtk_combo_box_buildable_custom_tag_end):
	* gtk/gtkcomboboxentry.c:
	(gtk_combo_box_entry_buildable_interface_init),
	(gtk_combo_box_entry_buildable_get_internal_child):
	* gtk/gtkcontainer.c: (gtk_container_get_type),
	(gtk_container_buildable_init), (gtk_container_buildable_add),
	(gtk_container_buildable_set_child_property),
	(attributes_start_element), (attributes_text_element),
	(gtk_container_buildable_custom_tag_start),
	(gtk_container_buildable_custom_tag_end):
	* gtk/gtkdebug.h:
	* gtk/gtkdialog.c: (gtk_dialog_buildable_interface_init),
	(gtk_dialog_buildable_get_internal_child),
	(attributes_start_element), (attributes_text_element),
	(gtk_dialog_buildable_custom_tag_start),
	(gtk_dialog_buildable_custom_finished):
	* gtk/gtkentrycompletion.c: (gtk_entry_completion_buildable_init):
	* gtk/gtkexpander.c: (gtk_expander_buildable_add),
	(gtk_expander_buildable_init):
	* gtk/gtkfontsel.c:
	(gtk_font_selection_dialog_buildable_interface_init),
	(gtk_font_selection_dialog_buildable_get_internal_child):
	* gtk/gtkframe.c: (gtk_frame_buildable_init),
	(gtk_frame_buildable_add):
	* gtk/gtkiconview.c: (gtk_icon_view_buildable_init),
	(gtk_icon_view_buildable_custom_tag_start),
	(gtk_icon_view_buildable_custom_tag_end):
	* gtk/gtkliststore.c: (gtk_list_store_buildable_init),
	(list_store_start_element), (list_store_end_element),
	(list_store_text), (gtk_list_store_buildable_custom_tag_start),
	(gtk_list_store_buildable_custom_tag_end):
	* gtk/gtkmain.c:
	* gtk/gtknotebook.c: (gtk_notebook_buildable_init),
	(gtk_notebook_buildable_add):
	* gtk/gtksizegroup.c: (gtk_size_group_buildable_init),
	(size_group_start_element),
	(gtk_size_group_buildable_custom_tag_start),
	(gtk_size_group_buildable_custom_finished):
	* gtk/gtktreestore.c: (gtk_tree_store_buildable_init),
	(tree_model_start_element),
	(gtk_tree_store_buildable_custom_tag_start),
	(gtk_tree_store_buildable_custom_finished):
	* gtk/gtktreeview.c: (gtk_tree_view_buildable_init),
	(gtk_tree_view_buildable_add):
	* gtk/gtktreeviewcolumn.c: (gtk_tree_view_column_buildable_init):
	* gtk/gtkuimanager.c: (gtk_ui_manager_buildable_init),
	(gtk_ui_manager_buildable_add),
	(gtk_ui_manager_buildable_construct_child),
	(gtk_ui_manager_buildable_custom_tag_start),
	(gtk_ui_manager_buildable_custom_tag_end):
	* gtk/gtkwidget.c: (gtk_widget_get_type),
	(gtk_widget_buildable_interface_init),
	(gtk_widget_buildable_set_name), (gtk_widget_buildable_get_name),
	(gtk_widget_buildable_set_property),
	(gtk_widget_buildable_parser_finshed), (accel_group_start_element),
	(gtk_widget_buildable_custom_tag_start),
	(gtk_widget_buildable_custom_finshed):
	* gtk/gtkwindow.c: (gtk_window_buildable_interface_init),
	(gtk_window_buildable_set_property),
	(gtk_window_buildable_parser_finished):
	* tests/Makefile.am:
	* tests/buildertest.c: (builder_new_from_string), (test_parser),
	(signal_normal), (signal_after), (signal_object),
	(signal_object_after), (signal_first), (signal_second),
	(signal_extra), (signal_extra2), (test_connect_signals),
	(test_uimanager_simple), (test_domain), (test_translation),
	(test_sizegroup), (test_list_store), (test_tree_store),
	(test_types), (test_spin_button), (test_notebook),
	(test_construct_only_property), (test_children),
	(test_child_properties), (test_treeview_column), (test_icon_view),
	(test_combo_box), (test_combo_box_entry), (test_cell_view),
	(test_dialog), (test_accelerators), (test_widget), (main):

	Add GtkBuilder, fixes #172535
	
2007-06-15  Hans Breuer <hans@breuer.org>

	* gtk/makefile.msc.in tests/makefile.msc : updated
	* gdk/win32/gdkwindow-win32.c : explicit usage of RegisterClassExW
	to match the WNDCLASSEXW. 
	True dynamic linking of SetLayeredWindowAttributes
	* tests/testprint.c tests/testnouiprint.c : use G_PI

2007-06-14  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk.symbols: Add missing symbol 
	gtk_text_layout_set_overwrite_mode

2007-06-14  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_get_group_id): Fix compiler
	warning. (#447586, Kazuki IWAMOTO)

2007-06-14  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (RegisterGdkClass): Use
	g_win32_get_windows_version() instead of _winver so that this
	compiles on Cygwin, too. Not that I know if it makes sense to
	build GTK+ with the Win32 backend for Cygwin, but some people want
	to.

2007-06-13  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

	* NEWS, README.in: Move the combobox note to the README,
	where it seems more appropriate.

2007-06-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c (gtk_widget_modify_cursor): Improve docs.
	(#447396, Masatake YAMATO)

2007-06-14  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkcombobox.c: removed unused and hardly visible GtkFrame from
	the menu widget hierarchy when ::appears-as-list is TRUE. (#435471)
	* NEWS: add a note about repercussions of this change to RC files.

2007-06-13  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/directfb/gdkgc-directfb.c: #undef GDK_DISABLE_DEPRECATED to
	get prototype for gdk_font_ref(). (#447163, Dann Frazier, Loïc Minier)

2007-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenuitem.[ch]: add "submenu" property. Fix
	gtk_menu_item_set_submenu() to accept NULL submenus and deprecate
	gtk_menu_item_remove_submenu() because we have a properly working
	setter now (bug #447065).

	* gtk/gtk.symbols: deprecate gtk_menu_item_remove_submenu().

	* gtk/gtkcombobox.c: use gtk_menu_item_set_submenu() instead of
	gtk_menu_item_remove_submenu().

2007-06-13  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkwidget.c: Fix inconsistency in GTK_WIDGET_SAVED_STATE
	(#435840, Xan Lopez)

2007-06-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtk.symbols
	* gtk/gtkfilesystem.[ch]: rename _gtk_file_system_create to
	gtk_file_system_create to make it public and bring trunk back
	in sync with gtk-2-10.

	* gtk/gtkfilechooserdefault.c (set_file_system_backend): updated.

2007-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtklabel.c (gtk_label_set_label): added calls to
	g_object_freeze/thaw_notify() so gtk_label_get_text() doesn't
	return the old text when called from a "notify::label" callback.

2007-06-13  Kristian Rietveld  <kris@imendio.com>

	Audit of GtkTreeView coordinate system usage. (#142494).

	* gtk/gtktreeview.[ch]: general documentation updates,
	(gtk_tree_view_scroll_to_cell), (gtk_tree_view_get_dest_row_at_pos):
	update coordinate translations,
	(gtk_tree_view_tree_to_widget_coords),
	(gtk_tree_view_widget_to_tree_coords): Deprecated,
	(gtk_tree_view_convert_.*_coords): 6 new functions for doing
	transformations between coordinate systems.

	* gtk/gtk.symbols: updated.

	* tests/testtooltips.c (query_tooltip_tree_view_cb): fix testcase
	with new gtk_tree_view_convert_widget_to_bin_window_coords().

	* docs/reference/gtk/Makefile.am
	* docs/reference/gtk/images/tree-view-coordinates.png: add new image.

	* docs/reference/gtk/tmpl/gtktreeview.sgml: eloborate on the
	different coordinate systems.

2007-06-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrendererprogress.c
	(gtk_cell_renderer_progress_class_init),
	(gtk_cell_renderer_progress_init),
	(gtk_cell_renderer_progress_[gs]et_property),
	(gtk_cell_renderer_progress_render): Add orientation property and some
	slight refactoring here and there.  (Fixes #344836, reported by
	Benjamin Montgomery).

2007-06-12  Matthias Clasen  <mclasen@redhat.com>

	* gdk/Makefile.am: Remove linux-fb from DIST_SUBDIRS

	* configure.in: Remove linux-fb parts.

2007-06-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkiconview.c (update_text_cell): use PANGO_BREAK_WORD_CHAR
	instead of PANGO_BREAK_WORD so the text cell doesn't overflow the
	wrap-width if there is no whitespace found to break at.
	Fixes bug #446107.

2007-06-12  Kristian Rietveld  <kris@imendio.com>

	Fix #410815, reported by Lucas Rocha.

	* gtk/gtkiconview.c (gtk_icon_view_layout): determine a suitable
	wrap-width with the first icon, if it exists,
	(adjust_wrap_width): try to use icon_view->priv->item_width
	if available,
	(gtk_icon_view_set_cell_data): don't call adjust_wrap_width here,
	which caused changes in wrap-width during the layouting process and
	resulted in layouting artefacts,
	(update_text_cell): don't set the wrap-width property, this should
	be handled by adjust_wrap_width.

2007-06-12  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkwindow.c (gdk_window_get_pointer): Improve docs.
	(#446138, Björn Lindqvist)

2007-06-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtkentry.c (gtk_entry_expose), (gtk_entry_toggle_overwrite),
	(gtk_entry_draw_cursor):
	* gtk/gtkstyle.c (_gtk_widget_get_cursor_gc),
	(_gtk_widget_get_cursor_color):
	* gtk/gtkstyle.h:
	* gtk/gtktextdisplay.c (gtk_text_renderer_prepare_run),
	(gtk_text_renderer_draw_shape), (text_renderer_set_state),
	(render_para):
	* gtk/gtktextlayout.c (gtk_text_layout_set_overwrite_mode),
	(gtk_text_layout_invalidate_cache), (get_block_cursor),
	(add_cursor), (gtk_text_layout_get_line_display),
	(_gtk_text_layout_get_block_cursor):
	* gtk/gtktextlayout.h:
	* gtk/gtktextutil.c (layout_get_char_width),
	(_gtk_text_util_get_block_cursor_location):
	* gtk/gtktextutil.h:
	* gtk/gtktextview.c (gtk_text_view_set_editable),
	(gtk_text_view_toggle_overwrite), (gtk_text_view_set_overwrite),
	(gtk_text_view_ensure_layout), (text_window_invalidate_cursors):
	Implement block-cursor for overwrite mode.  (#80378)

2007-06-11  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump GLib requirement to 2.13.3 (#446616, Behdad
	Esfahbod)

2007-06-11  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendfile.c:
	* modules/printbackends/cups/gtkprintbackendcups.c: Fix some
	locking issues.  (#420249, Christian Persch)

2007-06-11  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: When debugging is turned on, use error-checking
	mutexes.

2007-06-11  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtknotebook.h: Fix declaration of the create_window()
	vfunc inside GtkNotebookClass. (#446513, Kazuki Iwamoto)

2007-06-11  Matthias Clasen  <mclasen@redhat.com>
	
	* tests/testiconview.c: Use icons of varying size.
	
2007-06-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrc.c (gtk_rc_parse_style): Accept class names starting
	with lowercase letters for style property assignments, since 
	GType accepts these too, and gtkmm uses such class names.  (#343012,
	Murray Cumming, Johannes Schmid)

2007-06-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_finalize): Don't leak cursor_hadjustment.
	Store cursor_hadjustment as object data rather than in the private
	struct.

2007-06-10  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkspawn-x11.c (set_environment): Handle child_setup
	being NULL.  (#445691, Christopher Taylor)

2007-06-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchenginesimple.c: Unconditionally define _GNU_SOURCE
	and XOPEN_SOURCE, in order to make the simple search engine backend
	build on really ancient GNU libc. (#444097)

2007-06-10  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c (gdk_quartz_draw_arc): fix
	angles by flipping the coordinate system back to its original y
	direction. The implementation is still broken for ellipses, will
	have to simulate them using bezier curves.

2007-06-10  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c (gdk_pointer_grab):
	Don't revert the mouse cursor to the built-in one when
	the user holds the mouse button down. (#445284, Tor Lillqvist)

2007-06-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkscalebutton.[ch]: Fix some coding style bits.

	(gtk_scale_button_dispose), (gtk_scale_button_class_init),
	(gtk_scale_button_init): Use the GObject private data API instead
	of allocating the private structure ourselves.

	(gtk_scale_button_dispose), (gtk_scale_button_finalize): Free
	the icons string vector inside ::finalize and not in ::dispose.

	(gtk_scale_button_update_icon): Use g_strv_length() instead
	of an empty for loop.

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c:
	* gtk/gtkscrolledwindow.c: Update docs
	* gtk/gtkwidget.h: Deprecate gtk_widget_{ref,unref}

	* gtk/gtkbox.c: Move docs inline.

	* gtk/gtkrange.c:
	* gtk/gtkscale.c: Doc formatting improvements.

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscalebutton.c: Add an icons property, make 
	gtk_scale_button_new() a convenience function.  (#445855,
	Murray Cumming)

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkhscale.c (gtk_hscale_new):
	* gtk/gtkvscale.c (gtk_vscale_new): Cosmetic change to make
	it more obvious that this is a convenience function.

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcalendar.c (gtk_calendar_init): Handle return values
	from nl_langinfo() more correctly. 

2007-06-09  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkrc.c (gtk_rc_parse_engine): initialize rc_priv in the else
	branch too. (#445539)

2007-06-08  Benjamin Berg  <benjamin@sipsolutions.net>

	* gtk/gtkscrolledwindow.c: (gtk_scrolled_window_paint):
	Fix shadow painting if the scrollbars-within-bevel style property is
	set and border_width is nozero. (#445054)

2007-06-08  Matthias Clasen  <mclasen@redhat.com>

	Make it possible for theme engines to support symbolic 
	colors.  (#426192, Andrea Cimitan, patch by Olivier Samyn)

	* gtk/gtk.symbols:
	* gtk/gtkrc.h:
	* gtk/gtkrc.c (gtk_rc_parse_color_full): Export this function

	* gtk/gtkrc.c (gtk_rc_parse_engine): Copy color hashes
	to new style before parsing engine section.

2007-06-08  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c: add utility function
	gdk_quartz_fix_cap_not_last_line() which fixes the coordinates for
	GDK_CAP_NOT_LAST lines at least for horizontal and vertical lines.

	(gdk_quartz_draw_segments)
	(gdk_quartz_draw_lines): use it here.

2007-06-07  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkgc-quartz.c: add gdk_gc_quartz_init() and set
	some values to the defaults used by X11.

	(gdk_quartz_gc_set_values): really set cap_style when
	GDK_GC_CAP_STYLE is in the mask, not line_style.

2007-06-07  Michael Natterer  <mitch@imendio.com>

	* gdk/quartz/gdkgc-quartz.c (_gdk_quartz_gc_update_cg_context):
	use the same code for GDK_XOR as for GDK_INVERT. Xor with an
	arbitrary color is impossible to implement with quartz.

2007-06-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c: Fix a typo in the docs.

2007-06-07  Christian Neumair  <cneumair@gnome.org>

	* gtk/gtkstock.[ch]: Add GTK_STOCK_DISCARD, #158008.

2007-06-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c: Documentation additions.

	* gtk/gtknotebook.c: Add a doc comment.

2007-06-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c (model_add_special):
	* gtk/gtkfilechooserdefault.c (shortcuts_append_desktop):
	* gtk/gtkfilesystemunix.c (get_icon_name_for_directory):
	* gtk/gtkpathbar.c (_gtk_path_bar_set_file_system):
	Use g_get_user_special_dir() to obtain the path for the
	DESKTOP directory.  

2007-06-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Add the 16x16 version of gtk-select-color.png
	to the list of stock icons.  (#444786)

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrendererprogress.c (gtk_cell_renderer_progress_init),
	(gtk_cell_renderer_progress_class_init),
	(gtk_cell_renderer_progress_[gs]et_property),
	(gtk_cell_renderer_progress_render): add text-[xy]align properties
	for aligning the text label of the progress bar.  (#334576,
	suggestion from Steven Sheehy).

2007-06-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtkwidget.c:
	* gtk/gtkwidget.h: new method, gtk_widget_modify_cursor() (#79585).
	
	* gtkrc.c:
	* gtkrc.h: new functions _gtk_rc_style_set_rc_property() and 
	_gtk_rc_style_unset_rc_property().
	
	* gtk/gtk.symbols: added gtk_widget_modify_cursor.
	
	* tests/testtext.c (do_cursor_visible_changed):
	* tests/testgtk.c (create_styles): test it.

2007-06-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (find_mouse_window_for_ns_event)
	(find_window_for_ns_event): Rework how we get the event window:
	don't get the window from the NSEvent, always use the mouse window
	instead. Fix mouse window tracking by only using MouseExited for
	non-gdk windows, and to always use the NSEvent window to get the
	right gdk window in MouseEntered. Add comments to the code. Fixes bug
	#350460.

2007-06-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (get_converted_window_coordinates):
	Don't do anything if the two windows are the same.
	(find_window_for_ns_event): Translate coordinates to be relative
	the grab window when appropriate.

2007-06-06  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c:
	(get_file_info_finished), (shortcuts_insert_path),
	(shortcuts_add_bookmarks), (shortcuts_add_current_folder): Factor
	out the search shortcut, the recently used shortcut and the separator
	from the shortcut selection combo. (#444734)

	(recent_idle_load): Remove the idle source that lazily loads the
	recently used files, if the GtkRecentManager returns an empty
	list. (#443913)

2007-06-06  Ross Burton  <ross@openedhand.com>

	* gdk/x11/gdkspawn-x11.c:
	Set DISPLAY in the child process using g_setenv() instead of
	constructing a new envp, which lets callers use child setup
	functions which call putenv (#442617).

2007-06-06  Johan Dahlin  <jdahlin@async.com.br>

	reviewed by: Matthias Clasen <mclasen@redhat.com>
	
	* gtk/gtkassistant.c (gtk_assistant_update_buttons_state): 
	Check if the wizard is empty before trying to access the first page.
	(#444310, Johan Dahlin)

2007-06-06  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.2 ===

	* NEWS: Updates

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_queue_resize): use
	GTK_IS_TREE_VIEW_COLUMN() in g_return_if_fail here.

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeviewcolumn.[ch] (gtk_tree_view_column_get_tree_view): new
	function.  (#342471, Lorenzo Gil Sanchez).

	* gtk/gtk.symbols: updated.

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (gtk_tooltip_paint_window): remove unused
	call to gtk_widget_size_request().  (Reported by Carlos
	Garnacho).

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (gtk_tooltip_show_tooltip): bail out if
	last_window is not a GdkWindow anymore. (Fixes #434021, several
	reporters).

2007-06-06  Matthias Clasen <mclasen@redhat.com>

	* gdk/Makefile.am: Remove leftover reference to medialib_h_sources.

2007-06-06  Brian Cameron  <brian.cameron@sun.com>

	* gdk/Makefile.am: Add gdkmedialib.h to EXTRA_DIST so this header
	  file gets included with the distribution, as needed.  Fixes bug
	  #442888.  Reviewed by Matthias Clasen.

2007-06-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c
	(_gdk_quartz_events_update_mouse_window): Ignore if the old and new
	windows are the same.

2007-06-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_unrealize): also remove the
	auto expand timeout if it exists.

2007-06-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (synthesize_crossing_events):
	Update comment to be more clear and print a warning if we try to
	create a crossing event without knowing what the current mouse
	window is, to help track down focus bugs.

	* gdk/quartz/gdkevents-quartz.c
	(_gdk_quartz_events_update_focus_window): Fix indentation.

2007-06-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: Don't let temp windows become key
	window.

2007-06-06  Tor Lillqvist  <tml@novell.com>

	* gdk/x11/gdkwindow-x11.c (gdk_window_set_opacity): Fix
	embarrassing crash. (#444457, Torsten Schoenfeld)

2007-06-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* demos/gtk-demo/textview.c (insert_text): Drop the phrase
	saying invisible text doesn't work (#444236).

2007-06-05  Matthias Clasen <mclasen@redhat.com>

	* gdk/x11/gdkevents-x11.c (gdk_event_translate): Check that
	window_private is not NULL before using it.  (#444351, David Ronis)

2007-06-05  Jakub Steiner <jimmac@ximian.com>

	* gtk/stock-icons/{16,24}/gtk-find*: drop the paper sheet.
		gtk-find is used for search, rather than find within a document
		(file dialog).

2007-06-05  Kristian Rietveld  <kris@gtk.org>

	Fix #399071, suggestion from Benoit Dejean.

	* gtk/gtkliststore.[ch] (gtk_list_store_set_vector_internal): new
	function, factored out code iterating (columns, values) vectors from
	gtk_list_store_new_with_valuesv to here,
	(gtk_list_store_set_valuesv): new public function to set list store
	values using (columns, values) vectors,
	(gtk_list_store_new_with_valuesv): call new _set_vector_internal
	instead.

	* gtk/gtktreestore.[ch] (gtk_tree_store_set_vector_internal),
	(gtk_tree_store_set_valuesv), (gtk_tree_store_new_with_valuesv):
	likewise.

	* gtk/gtk.symbols: updated.

2007-06-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(show_window_internal): Don't try to make temp windows key
	windows, fixes problem introduced below.

2007-06-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: 
	* gdk/quartz/gdkwindow-quartz.c: Implement simple versions of
	gdk_window_set_accept_focus and gdk_window_set_focus_on_map.

2007-06-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_raise),
	(gdk_window_lower): Implement.

2007-06-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	* gdk/quartz/gdkwindow-quartz.h: Implement 
	gdk_window_set_transient_for.

2007-06-04  Cody Russell  <bratsche@gnome.org>

	* gtk/gtklinkbutton.h
	* gtk/gtkaboutdialog.h: Change function argument "link"
	to "link_" to fix warnings for applications compiling
	with -Wshadow. (#379213)

2007-06-04  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkpathbar.c (gtk_path_bar_scroll_down): Check
	if down_button is NULL.  This happens when the pathbar button
	for the current directory is too large to fit in the
	space, e.g. on Windows for directories named something like
	"My Documents and Settings".  (#389603)

2007-06-04  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.1 ===

	* gdk/gdkwindow.c (gdk_window_set_composited): Improve docs.

	* NEWS:
	* README.in: Updates

2007-06-04  Michael Natterer  <mitch@imendio.com>

	Move "move-focus" signals from several widgets to GtkWidget to
	enable more flexible costomization of keyboard navigation via
	bindings. Fixes bug #414947.

	* gtk/gtkwidget.c: add "move-focus" binding signal, default to
	calling the toplevel GtkWindow's "move-focus" vfunc.

	* gtk/gtktextview.[ch]
	* gtk/gtkwindow.[ch]: remove "move-focus" signals and add compat
	code that makes sure that both emitting the signal on the widget
	and overriding the virtual functions keeps working as before.

	* gtk/gtktoolbar.c: remove "move-focus" signal here too and use
	GtkWidget's signal. This change slightly changes keyboard
	navigation in toolbars. I'll fix the behavior if somebody can
	explain me if and how exactly the new behavior is broken.

2007-06-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmarshalers.list:
	* gtk/gtknotebook.[hc]: Add a create-window signal that allows
	to override the global create-window-hook on a per-notebook
	basis. The default handler falls back to the global hook.
	(#386935, Christian Hammond)
	
2007-06-04  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkradiobutton.[ch]:
	* gtk/gtk.symbols:
	* tests/testgtk.c: Revert previous commit; the API is not yet
	finalized - see bug #166995.

2007-06-04  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkradiobutton.h:
	* gtk/gtkradiobutton.c:
	* gtk/gtk.symbols: Add gtk_radio_button_set_value(),
	gtk_radio_button_get_current_value() and gtk_radio_button_get_value().
	Use these functions to set and get an arbitrary integer associated to
	a GtkRadioButton in a group, like the value associated to a
	GtkRadioAction.

	* tests/testgtk.c:
	(create_radio_buttons), (radio_toggled_cb): Exercise the new API.

2007-06-03  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk/gtkicontheme.c (choose_icon): Initialize unthemed_icon to NULL
	to avoid accessing uninitialized memory when
	gtk_icon_theme_choose_icon() is called with an empty names list.

2007-06-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (create_crossing_event): Set the key
	modifier state.

2007-06-03  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: Make pointer grab emulation work a bit
	better:
	(gdk_display_pointer_is_grabbed): Do what the docs say and don't
	consider implicit grabs here.
	(gdk_pointer_grab): Overriding a grab by the same app should always be
	succesful.
	(gdk_event_translate): Implicit grabs should not be owner events.

2007-06-03  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-06-03  Matthias Clasen  <mclasen@redhat.com>

	* docs/tools/widgets.c: Add a volume button

2007-06-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkradiobutton.c:
	* gtk/gtkradiomenuitem.c: Fix doc typos.  

2007-06-03  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Allow to disable Xinerama.  (#348065, Diego Pettenò)

2007-06-03  Xan Lopez  <xan@gnome.org>

	* gtk/gtknotebook.c: remove index parameter in gtk_notebook_switch_page
	and remove g_return_if checks in private functions. (#443247)

2007-06-01  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	(get_converted_window_coordinates), (create_crossing_event): Fix the
	coordinates in crossing events so they are relative to the right
	window.

2007-06-01  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.[ch]: Make function naming
	consistent for the various functions that retrieve data from an
	event.

	* gdk/quartz/gdkprivate-quartz.h: 
	* gdk/quartz/gdkwindow-quartz.[ch]: Remove the now unused
	_gdk_quartz_window_find_child_by_point() function.

2007-06-01  Matthias Clasen  <mclasen@redhat.com>

	Add support for composited child windows.  (#412882, Ryan Lortie)

	* gdk/gdk.symbols:
	* gdk/gdkdisplay.h:
	* gdk/gdkinternals.h:
	* gdk/gdkwindow.[hc]: Add gdk_display_supports_composite() and
	gdk_window_set_composited().

	* gdk/x11/gdkevents-x11.c:
	* gdk/x11/gdkdisplay-x11.[hc]:
	* gdk/x11/gdkwindow-x11.[hc]: X11 implementation.

	* gdk/win32/gdkdisplay-win32.c:
	* gdk/win32/gdkwindow-win32.c: Dummy win32 implementration.

	* gdk/quartz/gdkdisplay-quartz.c:
	* gdk/quartz/gdkwindow-quartz.c: Dummy Quartz implementation.

	* gdk/directfb/gdkdisplay-directfb.c:
	* gdk/directfb/gdkwindow-directfb.c: Dummy DirectFB implementation.

	* tests/testgtk.c: Add a "composited window" test.

2007-06-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenuitem.c (gtk_menu_item_position_menu): don't switch
	submenu opening direction for overlapping reasons if there is even
	less space on the other side (bug #441863, Tommi Komulainen).

2007-06-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserdialog.c (response_cb): change fix for #347883
	to not obfuscate the code.

2007-06-01  Yevgen Muntyan  <muntyan@tamu.edu>

	Avoid recreating pangolayouts in GtkTextView on cursor movement
	(#435405, Behdad Esfahbod).

	* gtk/gtktextlayout.c:
	* gtk/gtktextlayout.h: new GtkTextLayout method invalidate_cursors(),
	and functions gtk_text_layout_invalidate_cursors() and
	gtk_text_layout_cursors_changed(), to use when invalidation is due
	to moved marks or changed selection.

	* gtk/gtktextbtree.c:
	* gtk/gtktextbtree.h: use what's appropriate when invalidating layout.

	* gtk/gtk.symbols: add new functions.

	* README.in: added a note about changed GtkTextLayout API.

2007-06-01  Alp Toker  <alp.toker@collabora.co.uk>

	* gdk/gdkcairo.c (gdk_cairo_set_source_pixmap): Fix doc typos.

2007-05-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtkstyle.c (get_insertion_cursor_gc): use text colors from
	widget style to draw cursor instead of hardcoded black and grey
	(#79585, comment #30).

2007-06-01  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkcellrenderertext.c (get_size): transform the ink_rect using
	pango_extents_to_pixels to avoid rounding errors.  (Fixes #430218,
	Shlomi Israel).

2007-05-31  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* tests/autotestfilechooser.c: Reactivate the other file-chooser
	tests. Forgot that before commiting revision 17994.

2007-05-31  Mathias Hasselmann  <mathias.hasselmann@gmx.de>

	* gtk/gtkfilechooserdialog.c, tests/autotestfilechooser.c: Reset
	the internal response_requested flag, once the response triggered by
	file_chooser_widget_response_requested has been processed (#347883).

2007-05-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkselection-quartz.c (gdk_free_text_list): Add this
	function, bug #438440.

2007-05-30  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c (gdk_pointer_grab): Subtract the
	multi-monitor offset from x and y before setting up the rectangle
	for ClipCursor(). Fixes #442326.

2007-05-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_layout): Queue a resize
	if the size changed.  (#418047, Alex Graveley)

2007-05-30  Simos Xenitellis  <simos@gnome.org>

	* gdk/gdkkeysyms-update.pl: Updated script to new upstream 
	location of keysymdef.h (#442183)

2007-05-30  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c (update_chooser_entry): Return
	after setting the file chooser entry with the current selection.

2007-05-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconcachevalidator.c: Correct the handling
	of display names.  (#441767, Marcin Bachry)

2007-05-30  Xan Lopez  <xan@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_set_current_page): Small cleanup.
	Fixes #442172.

2007-05-28  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/xcursors.h: Fix initialization of last item. (#440511)

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (get_child_coordinates_from_ancestor)
	(get_ancestor_coordinates_from_child): Break out code that was
	repeated into separate functions and call them instead.
	(find_window_for_mouse_nsevent): Break out this from
	find_window_for_nsevent to make the code clearer.
	(find_window_for_nsevent): Use the above and fix the returned
	coordinates in the process so that they are always relative the
	found window, both for the normal case and during grabs. Still
	needs fixing for the case where we get nsevents for a window other
	than than grab window during grabs.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate): Fix typo,
 	we need both press and release in the mask to trigger implicit
	grabs.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (pointer_ungrab_internal): Reset
	all the grab state, to help debugging.
	(gdk_event_translate): Use pointer_ungrab_internal instead of
	duplicating the code here.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkwindow-quartz.c (find_child_window_helper)
	(_gdk_quartz_window_find_child): Refactored version of
	_gdk_quartz_window_find_child_by_point, that doesn't return any
	coordinates as the users of this function already have the
	coordinates and need to translate them differently.
	(_gdk_windowing_window_get_pointer): Fixup coordinate translation.
	(_gdk_windowing_window_at_pointer): Likewise.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c
	(find_window_interested_in_event_mask): Don't traverse beyond the
	toplevel of the passed in window.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (_gdk_windowing_window_init): Set
	a size for the root window.

2007-05-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: Add comments about what various
	coordinates are relative to.

2007-05-28  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_propagate_hierarchy_changed_recurse):
	Add back variable declaration removed in r17958.

2007-05-28  Carlos Garcia Campos  <carlosgc@gnome.org>

	* gtk/gtkprinter.[ch]: Add new capability
	GTK_PRINT_CAPABILITY_NUMBER_UP.
	* docs/reference/gtk/tmpl/gtkprintunixdialog.sgml: 
	* gtk/gtkprintunixdialog.c: (update_dialog_from_capabilities):
	* modules/printbackends/file/gtkprintbackendfile.c:
	(file_printer_get_options), (file_printer_get_settings_from_options):
	* modules/printbackends/cups/gtkprintbackendcups.c:
	(cups_printer_get_capabilities): Add a new print capability to specify
	whether print dialog will offer printing multiple pages per sheet. (#398414)
	
2007-05-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.h: Actually undeprecate 
	gtk_toolbar_[un]set_icon_size.  (#314172. Yevgen Muntyan)

2007-05-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c: Document some more signals

	* gtk/gtktextview.c: Improve docs

2007-05-27  Tor Lillqvist  <tml@novell.com>

	* configure.in (GDK_EXTRA_LISB): Drop bogus -user32 switch. Was
	supposed to be -luser32, but he "l" was missing. But nobody has
	noticed, so presumably unnecessary.

2007-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperationpreview.c: Improve docs

2007-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c: Move docs inline.

2007-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gdk/directfb/gdkkeys-directfb.c: Remove duplicate doc comments
	that cause problems when building the docs.

2007-05-26  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/x11/gdkdisplay-x11.c: Update docs
	* gdk/gdk.c: Update docs
	* gdk/directfb/gdkwindow-directfb.c: Remove duplicate doc comments.
	* gdk/x11/gdkwindow-x11.c: Fix doc formatting

2007-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltip.c:
	* gtk/gtkstatusicon.c:
	* gtk/gtkscalebutton.c:
	* gtk/gtkrecentaction.c:
	* gtk/gtkrange.c:
	* gtk/gtkprinter.c:
	* gtk/gtkprintsettings.c:
	* gtk/gtkpapersize.c:
	* gtk/gtkpagesetup.c:
	* gtk/gtknotebook.c:
	* gtk/gtkentrycompletion.c: Document new api

2007-05-26  Richard Hult  <richard@imendio.com>

	* gtk/gtkprinter.c: (gtk_printer_set_location): Fix typo to get the
	build working.

2007-05-26  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Require gtk-doc 1.6, for signal and property links.
	* gtk/gtkbox.c:
	* gtk/gtkbutton.c:
	* gtk/gtkcontainer.c:
	* gtk/gtkdialog.c:
	* gtk/gtkentry.c:
	* gtk/gtkimage.c:
	* gtk/gtklabel.c:
	* gtk/gtkmisc.c:
	* gtk/gtksettings.c:
	* gtk/gtkwidget.c: Documentation improvements, link signals
	and properties where it makes sense.

2007-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextmark.c:
	* gtk/gtktextbuffer.c: Formatting fixes.

2007-05-25  Matthias Clasen  <mclasen@redhat.com>

	Allow to separate GtkTextMark creation from buffer insertion.
	(#132818, Gustavo Giráldez, patch by Yevgen Muntyan)

	* gtk/gtktextmarkprivate.h:
	* gtk/gtktextmark.[hc] (gtk_text_mark_new): New function to 
	create a GtkTextMark.

	* gtk/gtktextbuffer.[hc] (gtk_text_buffer_add_mark): New 
	function to add an existing mark to a buffer. 

	* gtk/gtktextbtree.c: Allow adding existing marks.

	* gtk/gtk.symbols: Add new functions.

	* tests/testtextbuffer.c: Add some tests for new mark 
	functionality.

2007-05-25  Xan Lopez  <xan@gnome.org>

	* gtk/gtkaction.c: (gtk_action_set_short_label):
	Use private->data->short_label to update the proxies. (#440780)

2007-05-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkimage-quartz.c: (_gdk_quartz_image_copy_to_image):
	Implement copying from a window, part of bug #348493.

2007-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c (unix_end_run): Hold a 
	refence on the print operation until gtk_print_job_send()
	is done.  (#440040, Chris Vine)

2007-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c (gtk_icon_view_accessible_ref_child):
	Don't crash and don't leak.  (#439565, Pedro Villavicencio)

2007-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconfactory.c: Improve a warning
	* gtk/gtkicontheme.c (gtk_icon_info_load_icon): Always
	set the error when returning NULL.  (#440982, Carlos Garcia
	Campos)

2007-05-25  Michael Natterer  <mitch@imendio.com>

	Merge fix from maemo-gtk:

	* gtk/gtkmenushell.c (gtk_menu_shell_enter_notify): open submenus
	also if the menu item we're entering is already selected. Also, it
	makes no sense to forward the event to the parent menu shell if we
	are entering a menu item of *this* menu shell.

2007-05-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/stock-icons/*: Make sure all svg icons are added
	as pngs.

2007-05-24  Matthias Clasen  <mclasen@redhat.com>

	* modules/input/Makefile.am: Fix broken DESTDIR support

2007-05-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktooltip.c (find_widget_under_pointer): apply patch from
	Bogdan Nicula which fixes a crash on GdkWindows which have no
	GtkWidget as user_data (bug #440890).

2007-05-24  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.11.0 ===

	* NEWS: Updates

2007-05-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: 
	* gdk/x11/xsettings-common.h: 
	* gdk/gdk.symbols: Add some missing symbols.

	* gtk/paper_names_offsets.c:
	* gtk/gen-paper-names.c: Make variables static.

	* gtk/gtktooltip.[hc]:
	* gtk/gtkvolumebutton.c:
	* gtk/gtkscalebutton.c:  Fix up symbol aliasing.

2007-05-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtkprintunixdialog.c: missing #include <ctype.h>.

	* gtk/gtkhandlebox.c (gtk_handle_box_paint):
	* gtk/gtkpagesetupunixdialog.c (_gtk_load_custom_papers):
	* gtk/gtkstatusbar.c (gtk_statusbar_get_context_id):
	* gtk/gtkiconcache.c (_gtk_icon_cache_new_for_path):
	* gtk/gtktrayicon-x11.c (gtk_tray_icon_send_dock_request):
	* gtk/gtkpreview.c (gtk_preview_finalize):
	* gtk/gtknotebook.c (gtk_notebook_set_group_id):
	* tests/testnotebookdnd.c (window_creation_function):
	* tests/testiconview.c (do_popup_menu):
	Fixed some compiler warnings (#440689).

2007-05-23  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_widget_under_pointer): translate coordinates
	from the window they were received on to the event widget's window;
	correct for no-window widgets after that, bail out on failure.  This
	makes the coordinates given by GtkWidget::query-tooltip truly relative
	to widget->window.  (#435188).

	* gtk/gtkwidget.c (gtk_widget_class_init): update docs for
	GtkWidget::query-tooltip.

2007-05-22  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtkprintcontext.c (gtk_print_context_finalize),
	(_gtk_print_context_new), (_gtk_print_context_get_fontmap),
	(gtk_print_context_set_cairo_context),
	(gtk_print_context_get_pango_fontmap),
	(gtk_print_context_create_pango_context):
	Don't create new pango fontmaps.  Use the default pangocairo
	fontmap and set resolution on PangoContext instead. (#417707)

2007-05-21  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdisplay-quartz.c: (gdk_display_open): Set the
	resolution.
	
	* gdk/quartz/gdkscreen-quartz.c: Use the autorelease pool macros.

2007-05-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_set_model): revert last change.

Mon May 21 13:58:32 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_set_model): removed redundant check.

2007-05-21  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkscalebutton.c (gtk_scale_popup): Make it work better with
	multiple monitors.

2007-05-20  Attilio Fiandrotti  <attilio.fiandrotti@gmail.com>

	* gdk/directfb/gdkwindow-directfb.c:
	* gdk/directfb/gdkdirectfb.h: Updated minimum DirectFB version
	required to enable gdk_directfb_create_child_window.
	(Closes: #437379)

2007-05-20  Bastien Nocera  <hadess@hadess.net>

	* gtk/Makefile.am:
	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/gtkvolumebutton.[ch]: Add the GtkVolumeButton widget,
	a button that pops up a scale when clicked (Closes: #415775)
	* tests/Makefile.am:
	* tests/testvolumebutton.c: Add a test program for the
	volume button

2007-05-19  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Matthias Clasen <mclasen@redhat.com>

	* gtk/Makefile.am:
	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/gtkscalebutton.[ch]: Add the GtkScaleButton widget,
	a button that pops up a scale when pressed

2007-05-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtknotebook.[hc]: Deprecate gtk_notebook_[gs]et_group_id
	in favour of new functions gtk_notebook_[gs]et_group, which
	takes a pointer as group identifier and makes it easier to
	avoid group id collisions.  (#386930, Christian Hammond)
		
	* tests/testnotebookdnd.c: Use new grouping api.

2007-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkactiongroup.c: Warn and refuse to add actions with
	duplicate names.  (#150877, Tommi Komulainen, patch by Kalle
	Vahlman)

2007-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkentry.[hc]: Add gtk_entry_[gs]et_cursor_hadjustment()
	to allow automatic scrolling in response to cursor movements
	in the entry.  (#438651, Nate Nielsen)

2007-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c: Add a toggle-cursor-visibility keybinding
	signal, and bind F7 to it.  (#380048, Tim Miao)

2007-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkicontheme.h:
	* gtk/gtkicontheme.c: Add a function to look up an icon from
	a list of icon names.  (#396901, Luca Ferretti)

2007-05-18  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c:
	(gtk_recent_chooser_default_dispose): Reset the state on dispose.

	(cleanup_after_load): load_id != 0 && load_state == LOAD_EMPTY
	is a valid state, if the main loop never had the chance to
	properly spin at least once. (#438671)

2007-05-18  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserdefault.c (recent_meta_data_func): Mark
	string for translation. (#439437)

2007-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwindow.c (gtk_window_set_transient_for): Fix
	doc typo.  (#438100, Vincent Untz)

2007-05-18  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* INSTALL.in:
	* README.in:
	* configure.in: Bump libtiff requirement to 3.6.0, by requiring
	  presence of TIFFReadRGBAImageOriented.

	* gdk-pixbuf-scaled-anim.c: (get_scaled_pixbuf):
	Preserve pixbuf options when generating a new scaled pixbuf.

	* io-jpeg.c: (get_orientation), (gdk_pixbuf__jpeg_image_load),
	(gdk_pixbuf__jpeg_image_load_increment): Read the exif
	orientation tag and associate it with the "orientation" pixbuf
	option. Renders libexif unnecessary in some applications.

	* io-tiff.c: (tiff_image_parse): Read the tiff orientation tag,
	compensate for the partial rotations performed by libtiff,
	and generate an "orientation" option for the pixbuf.

2007-05-18  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkexpander.c: remove c++ style comment.

2007-05-18  Carlos Garnacho  <carlos@imendio.com>

	Make combobox menu popdown keybindable (#433593)

	* gtk/gtkcombobox.c (gtk_combo_box_class_init): Add "popdown" binding
	signal and keybindings.
	(gtk_combo_box_real_popdown): Added, "popdown" keybinding signal
	handler.
	(gtk_combo_box_menu_key_press):
	(gtk_combo_box_list_key_press): forward the event to the combobox if
	it wasn't handled by the menu.

2007-05-18  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtknotebook.c (gtk_notebook_init) (gtk_notebook_drag_motion)
	(gtk_notebook_drag_drop): Allow widgets up in the hierarchy to run
	their DnD handlers if the target doesn't match with anything the
	notebook manages. (#350665, Joakim Lundborg).

2007-05-18  Carlos Garnacho  <carlos@imendio.com>

	Refactor GtkFileChooserDialog sizing.

	* gtkfilechooserembed.[ch] (delegate_get_resizable_hints)
	(_gtk_file_chooser_embed_get_resizable_hints):
	s/resizable_hints/resizable/, return just one boolean value to
	determine whether the filechooser should be resizable or not.

	* gtkfilechooserprivate.h (struct GtkFileChooserDialogPrivate): remove
	variables related to the GtkFileChooserEmbed get_default_size() and
	get_resizable() implementations.
	(struct GtkFileChooserDefault): Move default size management here.

	* gtkfilechooserdefault.c (gtk_file_chooser_default_size_allocate):
	Added, store currently allocated size to calculate default size later.
	(gtk_file_chooser_default_get_resizable_hints):
	s/resizable_hints/resizable/.
	(gtk_file_chooser_default_set_property): Reload settings if the file
	chooser action changes, this way the save expander state will be known
	before mapping the window, avoiding wrong window positioning and
	flickering. (#424299, #424309)
	(find_good_size_from_style): Only get size from style if it wasn't set
	previously.
	(gtk_file_chooser_default_get_default_size): return default size based
	on stored default size and preview/extra widget sizes.

	* gtkfilechooserdialog.c (file_chooser_widget_update_hints)
	(file_chooser_widget_realized_size_changed)
	(file_chooser_widget_unrealized_size_changed): simplified to
	(file_chooser_widget_size_changed): set window size and resizability
	based on the GtkFileChooserEmbed interface implementation. (Bug
	#420285, Tomeu Vizoso)
	(gtk_file_chooser_dialog_map): force a dialog size change, so it's
	clamped for sure to the 75% of the screen size.

2007-05-18  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtknotebook.c (gtk_notebook_real_insert_page): Do not unset
	the brand new current page if there was none set previously. Fixes
	#425138 (Reported by Michail Crayson). Some code simplifications.
	(gtk_notebook_draw_arrow): code style fix.

2007-05-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpathbar.c: Add ATK names to the Up, Down, and Root
	buttons. Keep the focus from vanishing when Up or Down arrows
	become insensitive or invisible.  (#357005, Patrick Wade)

2007-05-16  Brian Cameron  <brian.cameron@sun.com>

	* acconfig.h, configure.in, gdk/Makefile.am, gdkprivate.h, gdkrgb.c,
	  gdkdraw.c, gdk-pixbuf/gdk-pixbuf-scale.c,
	  gdk-pixbuf/pixops/Makefile.am, gdk-pixbuf/pixops/pixops.[ch],
	  gdk-pixbuf/pixops/timescale.c:  Add Sun mediaLib support so that
	  hardware acceleration via mediaLib is enabled if mediaLib is
	  detected via configure.  Enhancement request #344813.  I was given
	  permission to commit in the bug report by Matthias Clasen.
	* gdk/medialib.[ch]: New files added for mediaLib support.
	* docs/reference/gdk-pixbuf/tmpl/scaling.sgml,
	  docs/reference/gdk/tmpl/rgb.sgml, gdk/gdkdraw.c:  Add docs for
	  mediaLib support.

2007-05-15  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk/gtkprintoperation.c (pdf_end_run): Unset priv->platform_data and
	priv->free_platform_data to prevent gtk_print_operation_finalize()
	from freeing the cairo surface a second time.

2007-05-14  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkfilechooserdefault.c (recent_column_path_sort_func): remove
	dangling semicolon, fixes the segfault ebassi was seeing earlier today
	;)

2007-05-14  Tristan Van Berkom  <tvb@gnome.org>

	* gtk/gtkaboutdialog.c: Functions: gtk_about_dialog_get/set_name() 
	were deprecated in favour of gtk_about_dialog_get/set_program_name(), 
	the GtkAboutDialog now uses the "program-name" property instead of 
	the conflicting "name" property (fixes bug 345822).

2007-05-14  Emmanuele Bassi  <ebassi@gnome.org>

	* configure.in: Add check for GNU extensions to ftw()/nftw().

	* gtk/gtksearchenginesimple.c: Fix compilation on systems with
	only POSIX-compliant ftw(). (#435797, based on a patch by
	Richard Hult)

2007-05-14  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c:
	Convert the GtkTreeIter inside the sorting functions for the
	search and recent modes. This doesn't yet fix the segfault when
	clicking the 'Name' column in recent mode, though.

2007-05-14  Behdad Esfahbod  <behdad@gnome.org>

	* modules/input/gtkimcontextthai.c
	(gtk_im_context_thai_filter_keypress):
	Fix check for modifier keys. (#438261, Theppitak Karoonboonyanan)

2007-05-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscrolledwindow.c: Document scrollbars-within-bevel
	as 2.12 addition.  (#438131, Mart Raudsepp)

2007-05-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkvseparator.c (gtk_vseparator_size_request): Fix
	size requisition for wide vertical separators.  (#438113, 
	Benjamin Berg)

2007-05-13  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchenginesimple.c: Include <ftw.h> and use nftw() and
	all the symbols defined in <ftw.h> conditionally.

2007-05-13  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c: Only do the configure event context
	iteration under WM_WINDOWPOSCHANGED instead of inside
	handle_configure_event().  This fixes a bug that prevented window
	contents from being redrawn after gtk_window_resize(). (#436721)

2007-05-12  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkdraw.c (gdk_draw_trapezoids): Fix wrong cairo path
	generation.  (#437879, Eddie C. Dost)

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)
	
	* gtk/gtkfilechooserdefault.c: Support drag and drop for
	adding shortcuts of folders when in search or recent files
	mode.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilechooserdefault.c: Follow the sorting order of
	the GtkTreeView displaying the files list.

	(shortcuts_get_index), (shortcuts_insert_separator),
	(shortcuts_model_create), (shortcuts_combo_filter_func): Remove
	the separator between the Search and the Recently Used shortcuts.

	(list_select_func), (list_icon_data_func), (list_name_data_func),
	(list_mtime_data_func): Update the sensitivity of the row
	depending on the GtkFileChooserAction used.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilechooserdefault.c: Update the contents of the
	files list when changing the filter of the GtkFileChooserDefault
	widget.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserdefault.c: Update the add bookmark button
	sensitivity when in search or recent files mode, and allow
	adding a bookmark for a folder.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserdefault.c: UI fixes in the Search mode: add
	a mnemonic to the label, de-boldify the label's text and assign
	focus to the search entry when switching to the search mode.

	(list_name_data_func): Split the text in both search and recent
	files mode: on the first line use the short name and on the
	second line use the full path.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilechooserdefault.c: Add support for showing the
	recently used files list as a special shortcut item.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>
	
	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserdefault.c: Overall whitespace fixes and
	indentation style consistency.

	(list_row_activated): If the search hit is a folder, follow it
	when activating the row, and switch back to browse mode.

	(search_clear_model), (search_start_query),
	(search_entry_activate_cb), (search_setup_widgets): Remember
	the last query when switching between modes.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	GtkFileChooser search fixes and recent files support.  (#435342)

	* gtk/gtkfilechooserdefault.c:
	(_gtk_file_chooser_default_class_init): Add key binding for
	the Search shortcut; default to MOD1+S.

	(search_shortcut_handler): Handle the key binding.

	(search_hit_get_info_cb), (search_add_hit), (search_clear_model),
	(search_setup_model): Retrieve informations on the search hits
	when adding them to the model.

	(list_icon_data_func): Show the search hit icon.

2007-05-11  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextview.c (selection_motion_event_handler): call
	gdk_event_request_motions(event) so selecting works with
	XInput devices too. Spotted by Tommi Komulainen.

2007-05-11  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchengine.c (_gtk_search_engine_new): Fall back
	to GtkSearchEngineSimple only if gthread has already been
	initialiased; otherwise, disable search support in the file
	chooser widget.  (#435847)

2007-05-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkbutton.c (gtk_button_set_image): Unparent the old
	image before overwriting priv->image.  (#437281, Jochen Baier)

2007-05-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkscrolledwindow.c (gtk_scrolled_window_scroll_child):
	Correct a confusing warning.  (#437284, Björn Lindqvist)

2007-05-10  Matthias Clasen <mclasen@redhat.com>

	* gdk/gdkdraw.c (gdk_draw_pixbuf): Don't call into
	the backend if the region is empty.  (#437081, Sven Neumann)

2007-05-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtksearchenginesimple.c (search_visit_func);
	Assume Posix nftw behaviour. 

2007-05-09  Dom Lachowicz <domlachowicz@gmail.com>

	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc: GtkTreeView doesn't 
	expand/collapse with Right/Left cursor keys on Windows
	(#436269, Daniel Atallah)

2007-05-09  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkmenu.c:
	(get_arrows_border): New function to calculate the border sizes needed 
	for the scroll arrows.
	(get_arrows_visible_area): New function to calculate the arrows visible 
	area.
	(get_arrows_sensitive_area): New function to calculate the arrows
	sensitive area.
	(gtk_menu_paint): Refactored code to calculate the border sizes needed
	for the scroll arrows into get_arrows_border and the code to calculate 
	the visible area into get_arrows_visible_area.
	(gtk_menu_handle_scrolling): Refactored arrow sensitive calculations
	to get_arrows_sensitive_area.
	(gtk_menu_realize, gtk_menu_size_allocate, gtk_menu_scroll_by,
	gtk_menu_position, gtk_menu_scroll_to, gtk_menu_scroll_item_visible,
	get_visible_size, get_menu_height, gtk_menu_real_move_scroll): Update
	callers.  (From #436533, Tommi Komulainen)

2007-05-09  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_key_press),
	(gtk_tree_view_key_release):
	* gtk/gtkiconview.c (gtk_icon_view_class_init),
	(gtk_icon_view_key_press),
	(gtk_icon_view_key_release): Disable key bindings during rubber
	banding, make pressing Esc stop rubber banding.  (#405027).

2007-05-09  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_info_get_icon): Return GTK_STOCK_DIRECTORY for entries
	with MIME type "x-directory/normal", instead of GTK_STOCK_FILE.

2007-05-05  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c:
	(gdk_quartz_drawable_get_context),
	(gdk_quartz_drawable_release_context): Fix bugs #428733 and #433301.
	Turns out the lockFocus logic was flawed, now we only lock/unlock 
	when called outside a real expose event and never flush manually.

2007-05-03  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtklabel.c (gtk_label_ensure_layout):
	* gtk/gtktextlayout.c (set_para_values): Make GTK_JUSTIFY_FILL work,
	using pango_layout_set_justify() that works now. (#435675)

2007-05-03  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtksearchenginesimple.c (search_engine_simple_finalize): Remove
	spurious g_free() call.

Thu May  3 16:27:34 2007  Tim Janik  <timj@imendio.com>

	* tests/testgtk.c (create_handle_box): made handle box test non-modal,
	so other test can interact with handle boxes.

2007-05-02  Emmanuele Bassi  <ebassi@gnome.org>

	Add search file support in the GtkFileChooser. Original patch
	by Federico Mena Quintero; patch updated by Matthias Clasen.
	See bug #344785.

	* gtk/gtksearchengine.[ch]: Private search engine abstraction
	object.

	* gtk/gtksearchenginebeagle.[ch]: Private search engine
	implementation using libbeagle (via g_module_open()).

	* gtk/gtksearchenginesimple.[ch]: Private search engine
	implementation using file tree walking.

	* gtk/gtksearchenginetracker.[ch]: Private earch engine
	implementation using libtracker (via g_module_open()).

	* gtk/gtkquery.[ch]: Private query object for the search
	engines.

	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilechooserdefault.c: Use the GtkSearchEngine to
	query a search engine backend using GtkQuery; create a new
	operating mode, OPERATION_MODE_SEARCH, and call the common
	operating mode OPERATION_MODE_BROWSE; add support for virtual
	shortcuts inside the shortcuts model and create a new "Search"
	virtual shortcut.

	* gtk/Makefile.am: Update the build with the new files

2007-05-02  Armin Burgmeier  <armin@openismus.com>

	* gtk/gtkcombobox.c: Destroy the menu in dispose instead of
	finalize, because the menu might unparent itself from its parent and
	cause a signal emission on a finalized object. (#430746)

2007-05-02  Dom Lachowicz <domlachowicz@gmail.com>

	* modules/engines/ms-windows/msw_style.c: MS-Windows Theme top tabs 
	rendered upside down for non-XP theme (#435053, Daniel Atallah)

Wed May  2 11:35:45 2007  Tim Janik  <timj@imendio.com>

	* docs/faq/gtkfaq.sgml: removed, since this file is long outdated
	and fully replaced by docs/faq/gtk-faq.sgml.

2007-05-02  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_grab_notify): stop the rubber band
	if it's active.

2007-05-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconcachevalidator.c: Don't be too strict when checking
	icon flags.  (#435062)

2007-05-01  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/Makefile.am: When generating gtkbuiltincache.h, only copy
	pngs.

2007-05-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystemmodel.c (_gtk_file_system_model_path_do):
	Don't ignore the fact that gtk_file_system_get_parent() 
	may return NULL.  (#424042, Jan Martinek)

2007-05-01  Dan Winship  <danw@novell.com>

	* gdk/x11/gdkwindow-x11.c (setup_toplevel_window): Make sure the
	leader_window's WM_CLIENT_LEADER points to itself. #435028

2007-05-02  Christian Persch  <chpe@gnome.org>

	* gtk/gtktreemodel.c: (gtk_tree_iter_copy), (gtk_tree_iter_free): Use
	GSlice for gtk_tree_iter_copy. Bug #434863.

2007-05-02  Christian Persch  <chpe@gnome.org>

	* gtk/gtkpapersize.c: (gtk_paper_size_get_paper_sizes): Put only
	GtkPaperSizes into the list, don't mix it with GtkPageSetups. Bug
	#434861.

2007-05-02  Christian Persch  <chpe@gnome.org>

	* gtk/gtkpapersize.c: (gtk_paper_size_new_from_info),
	(gtk_paper_size_new), (gtk_paper_size_new_custom),
	(gtk_paper_size_copy), (gtk_paper_size_free): Use GSlice to allocate
	GtkPaperSize. Bug #434862.

2007-05-02  Christian Persch  <chpe@gnome.org>

	* gtk/gtkstatusbar.c: (gtk_statusbar_get_context_id),
	(gtk_statusbar_expose_event): No need to allocate a guint; just stuff
	the ID into the pointer directly. Bug #434865.

2007-05-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (struct UpdateCurrentFolderData),
	(update_current_folder_get_info_cb): add a new struct field to clear
	the file entry after the current folder has been updated.

	(gtk_file_chooser_default_update_current_folder),
	(change_folder_and_display_error): Add a new function parameter to
	trigger file entry clearing.

	(edited_idle_create_folder_cb),
	(file_list_drag_data_received_get_info_cb),
	(gtk_file_chooser_default_map),
	(gtk_file_chooser_default_set_current_folder),
	(switch_to_selected_folder), (save_entry_get_info_cb),
	(shortcuts_activate_volume_mount_cb), (shortcuts_activate_volume),
	(shortcuts_activate_get_info_cb), (list_row_activated),
	(path_bar_clicked): use new function parameter appropriately.

	(gtk_file_chooser_default_should_respond): trigger file entry clearing
	after the directory is updated instead of clearing it before, this way 
	we avoid reloading the completion model with the soon to be old folder, 
	causing a warning and a glitch in the folder where completion happens. 
	(#379414, Carlos Garnacho)

2007-05-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconcachevalidator.[hc]: Add an icon cache validator.

	* gtk/updateiconcache.c: Validate the generated cache before
	moving it in place. Also add a --validate option to validate
	an existing icon cache.

	* gtk/gtkiconcache.c: Validate icon caches before using them.

	* gtk/Makefile.am: Integrate it.

2007-05-01  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkdisplay-directfb.c:
	Added stub gdk_notify_startup_complete_with_id to compile
	* gdk/directfb/gdkwindow-directfb.c:
	Added gdk_window_set_opacity
	* gdk/directfb/gdkkeys-directfb.c:
	Fix menu key handling crash Bug #413328

2007-05-01  Christian Persch  <chpe@gnome.org>

	* gtk/gtkprinter.h:
	* gtk/gtkprintjob.h: Also move gtk_print_capabilities_get_type() to
	the new location. Bug #390437.

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (settings_update_color_scheme):
	Make sure we always have a color_hash.  (#423916, Jens Granseuer)

2007-04-30  Christian Persch  <chpe@gnome.org>

	* docs/reference/gtk/gtk-sections.txt:
	* gtk/gtk.symbols:
	* gtk/gtkprinter-private.h:
	* gtk/gtkprinter.c: (gtk_printer_get_capabilities),
	(gtk_print_capabilities_get_type):
	* gtk/gtkprinter.h:
	* gtk/gtkprintjob.c:
	* gtk/gtkprintjob.h:
	* gtk/gtkprintunixdialog.c: (selected_printer_changed):
	Make gtk_printer_get_capabilities public, and move the
	GtkPrintCapabilities definition to gtkprinter.h. Bug #390437.

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkexpander.c (gtk_expander_realize): A NO_WINDOW widget
	must not set the background of its window.  (#433972,
	Guilherme Polo)

2007-04-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_opacity):
	Implement.

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Get all
	the printer attributes when getting the list of printers,
	not via separate requests.  (#387889, Krishan Purahoo)

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	Some more compiler warning fixes.

	* gdk/directfb/gdkscreen-directfb.c (gdk_screen_is_composited):
	Fix NULL/FALSE confusion.

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	Fix some compiler warnings.  (#433642, Kjartan Maraas)

	* gtk/gtkfilesystemwin32.c (gtk_file_system_win32_get_info):
	(gtk_file_system_win32_create_folder):
	* gtk/gtkaction.c (gtk_action_create_menu): Fix NULL/FALSE confusion.  

	* gtk/gtklinkbutton.c (gtk_link_button_clicked): Pass
	the right type to uri_func.  
	
	* gtk/gtktext.c (gtk_text_key_press):
	* gtk/gtkstatusicon.c (gtk_status_icon_get_property): 
	* gtk/gtkxembed.c (_gtk_xembed_send_message): Add casts.

	* gtk/gtktrayicon-x11.c (gtk_tray_icon_manager_window_destroyed): 
	(gtk_tray_icon_delete):
	* gtk/gtkprintunixdialog.c (create_main_page):
	* gtk/gtkhsv.c (gtk_hsv_motion): Remove unused variables.

	* gtk/gtkliststore.c: Adapt callbacks to GSequence types.

2007-04-30  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkwindow-win32.c: Reintroduced erase_background(),
	but now we're calling it from _gdk_windowing_window_clear_area()
	instead of from the WM_ERASEBKGND event.  Also fixes the area
	that is cleared so that it is not an extra row and column too
	large.  (Neil Roberts, #415681)

2007-04-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c: Allow indents to be negative.  (#Bug 434308)

2007-04-30  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenushell.c (gtk_menu_shell_enter_notify): pop up the
	submenu explicitely only in touchscreen mode since otherwise
	selecting the item already pops up the submenu. Restores the
	drag-selection timeout (spotted by Søren Sandmann, #128968).

2007-04-30  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkpapersize.h: really rename gtk_paper_size_get_builtins()
	to gtk_paper_size_get_paper_sizes().

2007-04-30  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkpapersize.c (gtk_paper_size_get_paper_sizes):
	_gtk_load_custom_papers() exists only on Unix.

2007-04-30  Tor Lillqvist  <tml@novell.com>

	Add functionality to set overall opacity of a top-level
	window. (#405316)

	* gdk/gdk.symbols: Add gdk_window_set_opacity.

	* gdk/x11/gdkwindow-x11.c
	* gdk/win32/gdkwindow-win32.c: Implement
	gdk_window_set_opacity(). On X11 use the _NET_WM_WINDOW_OPACITY
	property. On Win32 use SetLayeredWindowAttributes(LWA_ALPHA).

	* gdk/gdkwindow.h: Declare gdk_window_set_opacity().

	* gdk/x11/gdkscreen-x11.c (gdk_screen_get_rgba_colormap): Document
	that this is not implemented in the Windows backend. Add reference
	to gdk_window_set_opacity().

	* gtk/gtk.symbols: Add gtk_window_set_opacity and
	gtk_window_get_opacity.

	* gtk/gtkwindow.c (struct _GtkWindowPrivate)
	(gtk_window_class_init): Add opacity property, a double in the
	range [0, 1].
	(gtk_window_set_opacity, gtk_window_get_opacity): Implement.
	(gtk_window_realize): If opacity is set, call
	gdk_window_set_opacity().

	* gtk/gtkwindow.h: Declare gtk_window_set_opacity() and
	gtk_window_get_opacity().

2007-04-30  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkpapersize.[hc]: Rename gtk_paper_size_get_builtins()
	to gtk_paper_size_get_paper_sizes() and optionally include
	custom paper sizes.

	* gtk/gtkpagesetupunixdialog.c: Internally export a function
	to load custom paper sizes.

	* modules/printbackends/file/gtkprintbackendfile.c: Implement
	printer_list_papers, returning all paper sizes.  (#434329,
	Christian Persch)

2007-04-30  Matthias Clasen <mclasen@redhat.com>
	
	* gtk/gtkprintoperation.c: Translate the default job
	name, and don't utf8-validate the job name in the
	setter.  (#421993, Morten Welinder)

2007-04-30  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintjob.c (gtk_print_job_get_surface): Use
	g_unlink.  (#421990, Morten Welinder)

2007-04-29  Matthias Clasen <mclasen@redhat.com>

	Fix some issues with reference handling in the printing
	code.  (#429902, Mathias Hasselmann)

	* gtk/gtkprintoperation.c (gtk_print_operation_finalize):
	Unref the print context, if we have one.
	(gtk_print_operation_done): Add a default ::done handler 
	that unrefs the print context.
	(preview_ready): Take a reference on the print operation
	preview here.
	(print_pages_idle): ...not here,
	(preview_print_idle_done): ...and release it here.

	* tests/print-editor.c (preview_cb): Take a reference
	on the print operation here.

2007-04-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (print_pages_idle): Don't get
	stuck in a recursive mainloop if a synchronous preview
	is cancelled.

2007-04-29  Matthias Clasen <mclasen@redhat.com>

	Make the emission of ::end-print and ::done consistent
	for previews.  (#347567, Yevgen Muntyan)

	* gtk/gtkprintoperation.c (preview_iface_end_preview): Set
	the finished status here.
	(preview_end_run): ...and not here.
	(print_pages_idle_done): Emit ::done for a cancelled preview.
	(print_pages_idle): If a preview has been cancelled, don't
	emit ::ready, but emit ::end-print. 

	* tests/print-editor.c: Use ::end-print to undo allocations
	from ::begin-print.

2007-04-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkpapersize.c (gtk_paper_size_new): Mark paper sizes
	in the PWG "custom" namespace as custom. Add a link to 
	the spec in the docs.  (#426416, Andreas Guelzow)

2007-04-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (gtk_print_operation_run): Document
	that a print operation can be run only once, and add a 
	corresponding g_return_if_fail().   (#379399, Masao Mutoh)

2007-04-29  Dan Winship  <danw@novell.com>

	* gdk/x11/gdkdisplay-x11.c
	(gdk_x11_display_broadcast_startup_message): New method to
	marshall and send a Startup Notification message. (from #415070)
	(gdk_notify_startup_complete_with_id): Use that

2007-04-29  Mattthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c 
	(_gtk_print_operation_platform_backend_launch_preview):
	Don't leak a file descriptor, and don't make the error
	dialog modal.  (#421985, Morten Welinder, Christian Persch)

2007-04-29  Xan Lopez  <xan@gnome.org>

	* docs/faq/gtk-faq.sgml: Fix typo in FAQ (#373706,
	Diego Escalante Urrelo).

	I'm fixing gtk-faq.sgml as it seems this is the file
	we actually use...

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.c (_gtk_toolbar_elide_underscores): 
	Only strip parentheses of the form (_x).  (#434261,
	Brian Wellington)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c
	(_gtk_print_operation_platform_backend_launch_preview):
	Support passing a print settings file to the preview 
	command.  (#403717, Christian Persch)

	* gtk/gtksettings.c: Document %s in the 
	gtk-print-preview-command setting.

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (print_pages_idle): Also check
	the default handler when deciding whether to emit the
	paginate signal.  (#345345, Yevgen Muntyan)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.h: Add a new error code

	* gtk/gtk.symbols:
	* gtk/gtkpagesetup.[hc]:
	* gtk/gtkpapersize.[hc]:
	* gtk/gtkprintsettings.[hc]: Add functions to serialize 
	and deserialize page setups and print settings to files 
	and key files.  (#344515, Christian Persch)

	* gtk/gtkpagesetupunixdialog.c: Adapt to the new functions.

	* tests/print-editor.c: Use the new functions to persist 
	page setup and print settings.

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpagesetupunixdialog.c (gtk_page_setup_unix_dialog_finalize):
	Free the custom paper list.  (#403267, Felix Riemann)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintjob.c (gtk_print_job_get_surface): Fix a 
	small memory leak.  (#403251, Felix Riemann)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Fix a
	typo. String change !  (#406160, Stephane Raimbault)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkpapersize.[hc]: Add a function to list the
	builtin paper sizes.  (#382355, Christian Persch)

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkprinter-private.h:
	* gtk/gtkprinter.[hc]: Make gtk_printer_has_details() and
	gtk_printer_request_details() public.

	* gtk/gtkpagesetupunixdialog.c:
	* gtk/gtkprintunixdialog.c: Update callers.  (#389203, 
	Christian Persch)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Add --enable-test-print-backend, defaulting
	to no.

	* modules/printbackends/Makefile.am: Make building the test
	print backend conditional.

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/lpr/*:
	* modules/printbackends/cups/*: Correct some copyright lines.

	* configure.in:
	* modules/printbackends/Makefile.am:
	* modules/printbackends/test/*: Add a test print backend.
	(#409089, John Palmieri)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktexttag.[hc]: Add a way to specify accumulative
	margins.  (#344499, Nate Nielsen)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkeventbox.c (gtk_event_box_realize): Fix the offsets
	of the input-only window if we also have a visible window. 
	(#405089)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkliststore.c (gtk_list_store_set_valist_internal):
	* gtk/gtktreestore.c (gtk_tree_store_set_valist_internal):
	Recognize negative column indices as invalid.  (#415260,
	Chris Wilson)

2007-04-28  Ronald Bultje  <rbultje@ronald.bitfreak.net>

	* gdk/quartz/gdkeventloop-quartz.c: (select_thread_func),
	(poll_func): fix two more potential races that could happen when
	an application is polling in the mainloop and a separate thread
	tries to wake it up using g_idle_add(). Fixes #425271 comment 5.

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_grab_focus): 
	(gtk_entry_real_insert_text): Only call g_object_get() 
	when necessary.  (#373137, Morten Welinder, patch by Xan Lopez)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_get_size): Add
	a note about being embedded.  (#340107, Christian Persch)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkdnd.[hc]: Add GTK_TARGET_OTHER_{APP,WIDGET} to
	restrict drags within an application/widget.  (#163141, 
	Jorn Baayen)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* docs/tools/Makefile.am:
	* gtk/Makefile.am: Make make clean clean.  (#410160, Tommi
	Komulainen)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gdk/win32/bdfcursor.c (compose_cursors_from_fonts):
	* gtk/gtkcombobox.c (gtk_combo_box_cell_layout_reorder): 
	* gtk/gtkfilesystemmodel.c (got_root_folder_cb):
	(get_children_folder_cb): Plug memory leaks caused by wrong 
	use of g_slist_remove_link().  (#405515, Nicolas Peninguy)

2007-04-28  Matthias Clasen  <mclasen@redhat.com>
	
	* demos/gtk-demo/printing.c: Fix the headers in the print
	demo.  (#423722, Yevgen Muntyan)

2007-04-28  Xan Lopez  <xan@gnome.org>

	* gtk/gtkentrycompletion.c (gtk_entry_completion_insert_completion_text): 
	Use strstr instead of g_strstr with -1 for length.

2007-04-28  Xan Lopez  <xan@gnome.org>

	* gtk/gtkentry.c:
	* gtk/gtkentrycompletion.c:
	* gtk/gtkentrycompletion.h:
	* gtk/gtkentryprivate.h:

	Remember the user input that triggered the completion, add
	API to the retrieve it and reset the entry contents to it
	if the user cancels the tentative completion during
	the inline-selection.
	
2007-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkgeometry-x11.c: Factor out window movement
	functions. (#63820, Tilman Sauerbeck)

2007-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkgeometry-x11.c: Factor out translate_pos().
	(#63820, Tilman Sauerbeck)

2007-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkgeometry-x11.c: Factor out window mapping
	and unmapping functions.  (#63820, Tilman Sauerbeck)

2007-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkgeometry-x11.c: Make list handling code
	easier to read.  (#63820, Tilman Sauerbeck)

2007-04-27  Matthias Clasen  <mclasen@redhat.com>

	* gtkassistant.c:
	* gtkiconfactory.c:
	* gtkiconview.c:
	* gtkpapersize.c:
	* gtkrecentmanager.c:
	* gtktextiter.c: Internalize some strings, pointed out
	by Damon Chaplin.

2007-04-27  Xan Lopez  <xan@gnome.org>

	Support inline-selection in entries (#318459)
	
	* gtk/gtkentry.c:
	* gtk/gtkentrycompletion.c:
	* gtk/gtkentrycompletion.h:
	* gtk/gtkentryprivate.h:

	When enabled cursor-match is emited when the cursor is on
	a possible completion on the list. The default implementation
	will replace the contents on the entry with the contents of
	the text column in the completion model.

	Review and improvements by Matthias Clasen.

2007-04-27  Michael Natterer  <mitch@imendio.com>

	Merged heavily modified patch from maemo-gtk which enables opening
	and closing submenus on click, and introduces some usability
	changes when gtk-touchscreen-mode is enabled (bug #128968):

	* gtk/gtkmenushell.c (struct GtkMenuShellPrivate): added boolean
	"activated_submenu" to indicate that the current mouse operation
	(click or drag) has opened a submenu.

	(gtk_menu_shell_button_press): pop up submenus without delay
	and record the fact in "activated_submenu".

	(gtk_menu_shell_button_release): if a submenu was explicitely
	opened, or not opened by this release's button_press, or enough
	time has passed since timeout-opening it, close the submenu here.

	(gtk_menu_shell_enter_notify): when entering a menu item with
	any mouse button pressed, open its submenu.

	(gtk_real_menu_shell_move_current): in touchsreen mode, close the
	submenu when moving the focus away from it via keyboard-navigation.

	* gtk/gtkmenuitem.[ch] (_gtk_menu_item_popup_submenu): added
	parameter "gboolean with_delay" so GtkMenuShell can control this
	for the different scenarios of submenu showing.

	(_gtk_menu_item_popdown_submenu): new function. also needed by
	GtkMenuShell for closing submenus on click.

	Renamed internal function gtk_menu_item_select_timeout() to
	gtk_menu_item_popup_timeout().

	(gtk_menu_item_real_popup_submenu): new utility function which
	does the actual popup and records the exact time of the popup when
	the menu was timeout-opened (using g_get_current_time()).

	(gtk_real_menu_item_select): don't add the popup timeout when in
	touchscreen mode.

	* gtk/gtkmenu.c (gtk_menu_popup): in touchscreen mode, select the
	first item of every opened menu.

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserentry.c: Append a '/' to directory names
	in the completion popup.  (#431323, Maarten Maathuis)

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* demo/gtk-demo/combobox.c: Add a simple validation demo. 
	* gtk/gtkcomboboxentry.c: Make it possible to add arbitrary
	children to a GtkComboBoxEntry.  (#426401, Paul Pogonyshev)

2007-04-26  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkinputdialog.c (gtk_input_dialog_fill_axes)
	(gtk_input_dialog_fill_keys): Remove old child of scrolled window
	before adding a new one when switching what input device is being
	handled. (#399425)

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/lpr/gtkprintbackendlpr.c
	(gtk_print_backend_lpr_init): Mark the printer list as done. 
	(#428665, Bogdan Gheorghe)

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* Makefile.am:
	* gtk/Makefile.am: Don't install UNIX-printing headers and
	support files on non-UNIX platforms.  (#425655, Vincent Geddes)

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkuimanager.c (gtk_ui_manager_add_ui): Accept
	unnamed separators.  (#369112, Christian Persch)

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaccelgroup.c (gtk_accel_group_finalize): Don't access
	invalid memory.  (#429732, Armin Burgmeier)

2007-04-26  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/xcursors.h:
	* gdk/win32/gdkcursor-win32.c:

	Use Win32 native cursors instead of the ones built into GTK
	where it makes sense. (#128852, Tim Evans)

2007-04-25  Cody Russell  <bratsche@gnome.org>

	* gdk/gdkwindow.h:
	* gtk/gtkwidget.c:
	* gtk/gtkhandlebox.c:
	* gdk/directfb/gdkwindow-directfb.c:
	* gdk/linux-fb/gdkwindow-fb.c:
	* gdk/quartz/gdkwindow-quartz.c:
	* gdk/win32/gdkwindow-win32.c:
	* gdk/x11/gdkwindow-x11.c:
	Added window type hint and implement drop shadows on Win32
	for menus, tooltips, etc. (#148535, Tim Evans, Dom Lachowicz)

2007-04-25  Jakub Steiner <jimmac@ximian.com>

	* gtk/stock-icons/16/gtk-close.{png,svg}: added 16x16 version of
		gtk-close as per discussion in bug #431740.

2007-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_style_set): Set the background
	of the header window again.  (#431067, Benjamin Berg)

2007-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c (theme_lookup_icon): Set the filename to
	NULL for builtin icons, sinc gtk_icon_info_get_builtin_pixbuf()
	depends on it. 

	* tests/testicontheme.c: Report builtin icons.

2007-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c (preview_iface_end_preview): Don't 
	crash if end_run is not set.  (#424168, Matthias Hasselmann)

2007-04-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_handle_scrolling): fix ACTIVE state of
	scroll buttons (we were setting the state to ACTIVE but
	immediately overwriting it with NORMAL or PRELIGHT). Also got rid
	of many separate calls to gdk_window_invalidate_rect() by
	remembering the old button state and only invalidating the area if
	the state has changed (addresses parts of bug #433242, Tommi
	Komulainen).

	(gtk_menu_scroll_to): change the arrow states only if changing
	from or to INSENSITIVE state, so we don't overwrite the ACTIVE
	state set by above function.

2007-04-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprintoperation.c (preview_iface_is_selected): fix the
	build. Dunno if the fix is right, but I think it is.

2007-04-25  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_topmost_widget_coords_from_event):
	cleanup/refactor some leftover code.

2007-04-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c (dialog_get_page_ranges): Parse
	half-open ranges like -2 or 3-, and be a bit more liberal
	about whitespace.
	(dialog_set_page_ranges): Support half-open ranges.

	* gtk/gtkprintoperation.c (print_pages_idle): Substitute the
	number of pages in half-open ranges.
	(preview_iface_is_selected): Support half-open ranges here, too.

2007-04-24  Chris Wilson  <chris@chris-wilson.co.uk>

	* gtk/gtkicontheme.c (scan_directory): Ensure the 
	icon_theme->all_icons and dir->icons hash tables use the same string
	as their keys. (#418531)

2007-04-23  Cody Russell  <bratsche@gnome.org>
	* modules/engines/ms-windows/msw_style.c: Fixed one-pixel drawing error on
	left-most tab when notebooks are top-oriented.  Also general cleanup of
	notebook tab related code.  (Lieven van der Heide, Cody Russell)

2007-04-23  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Reduce
	the amount of debug spew if we are not debugging.
	
2007-04-23  Michael Natterer  <mitch@imendio.com>

	* tests/Makefile.am (testtooltips_SOURCES): fix typo:
	testtoooltips_SOURCES -> testtooltips_SOURCES.

2007-04-19  Cody Russell <bratsche@gnome.org>

	* modules/engines/ms-windows/msw_style.c: Fix menuitem rendering
	for Windows Vista.  (#392015, Hiroyuki Yamamoto)

2007-04-19  Dominic Lachowicz <domlachowicz@gmail.com>

	* modules/engines/ms-windows/msw_style.c: Fix pixbuf leaks in
	non-WinXP rendering paths. From Daniel Atallah (#403470)
	
2007-04-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.h:
	* gtk/gtkicontheme.c: Add GTK_ICON_LOOKUP_GENERIC_FALLBACK
	icon lookup flag and implement it.  (#396901, Luca Ferreti)
	
2007-04-18  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_quartz_process_updates_internal),
	(gdk_window_quartz_process_all_updates),
	(gdk_window_impl_quartz_process_updates): Refactor the process 
	updates functions to share code between them. Also fixes bug 
	#427660 by not updating larger regions than necessary.

2007-04-18  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkregion-generic.h (GROWREGION): Handle the case
	of nRects == 0 correctly.  
	
2007-04-18  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_lookup_item): Fix
	a leak by not increasing the refcount of the GtkRecentInfo
	object when returning it (thanks to Matthias Clasen).

2007-04-16  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtkprintoperation.c (gtk_print_operation_run):
	Make async print preview work by actually starting
	the print process in that case (#424168)

2007-04-14  Yevgen Muntyan <muntyan@tamu.edu>

	* gtk/gtkselection.c (selection_get_text_plain): fixed
	wrong g_convert_with_fallback() call which caused
	gtk_selection_data_get_text() return invalid UTF-8 for
	non-ASCII text in text/plain selection (#382824).

2007-04-12  Jakub Steiner <jimmac@ximian.com>

	* gtk/stock-icons/*: update the stock icons to follow the Tango
		style guidelines

2007-04-11  Chris Wilson  <chris@chris-wilson.co.uk>

	* gtk/gtkiconfactory.c (_gtk_icon_factory_list_ids):
	* gtk/gtkstock.c (gtk_stock_list_ids):
	Switch over to use glib's new g_hash_table_get_keys() rather
	than our own static implementation.

	* gtk/gtkiconfactory.h: Update to return a GList.

	* configure.in: Bump required version to 2.13.1

2007-04-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gdk/quartz/gdkeventloop-quartz.c: Protect the polling thread
	  setup and shutdown function by mutexes and read the wakeup
	  pipe unconditionally and unblocking. This should make the main
	  loop always be woken up when using g_idle_add() from another
	  thread in the Quartz backend (#425271).

2007-04-10  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/xsettings-client.[hc]: Change the XSettingsWatchFunc
	to return a Bool to indicate success. Update callers and 
	implementors. Based on a patch by Owen Taylor.
	
	* gdk/x11/gdkevents-x11.c (gdk_xsettings_watch_cb): Don't
	leak a reference to gdkwin.

2007-04-07  Xan Lopez  <xan@gnome.org>

	* gtk/gtknotebook.c (gtk_notebook_class_init): 
	s/arrow-size/arrow-spacing in the arrow-spacing
	style property docs.

2007-04-06  Richard Hult  <richard@imendio.com>

	* gdk/quartz/: Clean up namespaces to make the code more
	maintainable.

	* gdk/quartz/gdkdrawable-quartz.c:
	* gdk/quartz/gdkgc-quartz.c: Fix bug #418384, alignment of tiled
	images, by setting the pattern phase for the CG pattern.

2007-04-04  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (tooltip_browse_mode_expired),
	(gtk_tooltip_hide_tooltip), (tooltip_popup_timeout),
	(gtk_tooltip_start_delay): use new gdk_threads API.

2007-04-03  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtksettings.c (settings_update_font_options): Don't set
	metrics-hinting font option.  Rely on the default value which is
	on for all raster cairo surfaces. (#425985)

2007-04-03  Loïc Minier  <lool@dooz.org>

	* gdk/x11/gdkscreen-x11.c: (check_xfree_xinerama): Revert to
	non-xinerama mode when XineramaQueryScreens returns NULL; patch from
	Simon McVittie; #425786.

2007-04-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenushell.c (gtk_real_menu_shell_move_current): remove
	artifact from the time when type checking casts warned on NULL,
	some whitespace cleanup.

2007-04-01  Cody Russell  <bratsche@gnome.org>

	* modules/engines/ms-windows/msw_style.c: Fix rendering of
	notebook tabs when they are bottom-oriented.  Fixes #399253.

2007-03-31  Elijah Newren  <newren gmail com>

	* gdk/x11/gdkwindow-x11.c (setup_toplevel_window,
	  gdk_x11_window_set_user_time):
	Patch from Matthias to add support for the
	_NET_WM_USER_TIME_WINDOW EWMH protocol; see #354213.

	WARNING: This patch will make metacity <= 2.18.0 freeze on
	workspace switch.  This is due to a weird problem that should only
	affect window managers using gdk in-process for decoration drawing
	and which make an unsafe assumption relating to doing so (i.e. it
	should only affect metacity).  Upgrade your version of metacity if
	you hit this bug.

2007-03-29  Michael Natterer  <mitch@imendio.com>

	Don't close menus on clicks on their border area (bug #423761).
	(modified patch from maemo-gtk).

	* gtk/gtkmenu.c (gtk_menu_button_press)
	(gtk_menu_button_release): bail out early if the click was on the
	menu's border (not on any item and not outside the window).

	(pointer_in_menu_window): new utility function which checks if
	passed root coords are inside the menu_shell or one of its
	parent shells.

2007-03-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c: get rid of local GtkSettings variables by moving
	gtk_widget_get_settings() into the g_object_get() call. Some small
	indentation fixes.

2007-03-28  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkcupsutils.[hc]:
	* modules/printbackends/cups/gtkprintbackendcups.c: Apply
	a patch by John Palmieri to make the cups print backend support
	raw printers.  

2007-03-28  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_set_tooltip_window): don't unref
	tooltip_window, since this is handled by set_qdata_full() already.
	(#412001, Torsten Schoenfeld).

2007-03-27  Tor Lillqvist  <tml@novell.com>

	* modules/input/Makefile.am: Use LDADDS for im-multipress.la, too: 

2007-03-26  Christian Persch  <chpe@gnome.org>

	* gtk/gtkrc.c: (gtk_rc_context_get): Initialise variable. Bug #423064.

2007-03-24  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_cell_process_action):
	calculate the depth with the corrected real_cell_area and don't
	subtract horizontal_separator/2.

2007-03-24  Andreas Nilsson <andreas@andreasn.se>

	* gtk-yes.png
	* gtk-no: More Tango love.

2007-03-23  Jakub Steiner <jimmac@ximian.com>

	* gtk-dialog-authentication.svg
	* gtk-dialog-error.svg
	* gtk-dialog-info.svg
	* gtk-dialog-question.svg
	* gtk-dialog-warning.svg: Start with a Tango face-lift.

2007-03-23  Rodney Dawes  <dobey@novell.com>

	* gtk/gtkicontheme.c: Fix a couple of comment typos (#421627)

2007-03-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c: Add a keybinding (C-h) to
	toggle whether to show hidden files.  (#344657, 
	Wouter Bolsterlee, Priit Laes, et al)

2007-03-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c: Add a keybinding (C-l) to
	toggle the visibility of the location entry.  (#383354, 
	John Pye, patch by Carlos Garnacho)

2007-03-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c (merge_color_scheme): Freeze property
	notification.
	* gtk/gtksettings.c (_gtk_settings_handle_event): Handle
	the gtk-color-scheme xsetting being unset.

	* gtk/gtkrc.c (gtk_rc_reparse_all_for_settings): Handle
	recursion locally.

2007-03-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c: Remove leftover debug spew.

2007-03-21  Rodney Dawes  <dobey@novell.com>

	* gtk/gtk.symbols:
	* gtk/gtkicontheme.[ch]:
	* docs/reference/gtk/gtk-sections.txt:
	* tests/testicontheme.c:
	Add a new API call gtk_icon_theme_list_contexts so that one can
	choose icons from a theme by context (#420719)
	
2007-03-21  Ross Burton  <ross@burtonini.com>

	* gtk/gtktexttag.c:
	Document the ::event signal (#420703).

2007-03-20  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeviewcolumn.c:
	* gtk/gtktreeprivate.h: add _gtk_tree_view_column_get_focus_area().

	* gtk/gtktreeview.c (gtk_tree_view_clamp_column_visible): add
	focus_to_cell parameter, rework to handle clamping columns which
	are bigger than the available page size better,
	(gtk_tree_view_key_press): remove code handling moving the focus
	to other column headers,
	(gtk_tree_view_header_focus): add clamp_column_visible parameter,
	fix RTL support, don't wrap around when moving focus to other
	column headers, call gtk_tree_view_clamp_column_visible() instead
	of duplicating code,
	(gtk_tree_view_focus): only clamp the column visible when we are
	explicitly moving to another column header (fixes #399555, Charles
	Kerr),
	(gtk_tree_view_move_cursor_left_right): update call to
	gtk_tree_view_clamp_column_visible().

2007-03-19  Matthias Clasen <mclasen@redhat.com> 

	* demos/gtk-demo/appwindow.c: Explicitly set the title on the
	about dialog.

2007-03-18  Matthias Clasen <mclasen@redhat.com> 

	* gtk/gtkentrycompletion.c (gtk_entry_completion_compute_prefix):
	Ensure that the prefix is valid UTF-8.  (#419568, Nickolay V. Shmyrev)

2007-03-18  Matthias Clasen <mclasen@redhat.com> 

	* modules/input/gtkimcontextmultipress.[hc]:
	* modules/input/im-multipress.conf:
	* modules/input/immultipress.c:
	* modules/input/README.multipress: Add the multipress input
	method.  (#417446, Johannes Schmid, Murray Cumming)

	* modules/input/Makefile.am: Glue

2007-03-17  Chris Wilson  <chris@chris-wilson.co.uk>

	* gdk/x11/gdkvisual-x11.c (_gdk_visual_init):
	Initialise nxvisuals to 0 in order to handle XGetVisualInfo()
	failures gracefully. (#419171)

2007-03-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentaction.c (recent_chooser_set_property),
	(gtk_recent_action_set_property): Remove useless inlined
	function and propagate the properties to the GtkRecentChooser
	objects we create, instead of all the proxies.

	(set_current_filter): Remove 'inline' marker.

2007-03-16  Emmanuele Bassi  <ebassi@gnome.org>

	Apply changes suggested by Michael Natterer. (#338843)

	* gtk/gtkaction.h:
	* gtk/gtkaction.c: Rename get_submenu() to create_menu();
	rename gtk_action_get_submenu() to gtk_action_create_menu().

	* gtk/gtkrecentaction.c: Update for GtkAction change.

	* gtk/gtkuimanager.c (update_node): Update for GtkAction change;
	also, use the menu from the GtkAction for both menuitem and
	toolitem nodes.

2007-03-16  Xan Lopez  <xan@gnome.org>

	* gtk/gtkwidget.c: Fix documentation error in
	gtk_widget_set_redraw_on_allocate.

2007-03-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c (printer_added_cb): Scroll to
	make the selected printer visible.  (#418403, Nickolay V. Shmyrev,
	patch by Christian Persch)

2007-03-15  Federico Mena Quintero  <federico@novell.com>

	Merged from gtk-2-10:

	* gtk/gtkfilechooserdefault.c (find_good_size_from_style):
	PANGO_PIXELS() gives us device units, which are *points* in
	pangocairo's parlance, but we want actual pixels.  So, get the
	screen's resolution to compute the actual number of pixels.
	Fixes bug #418585.

2007-03-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_add_item): Remove
	unused GError; do not allocate GtkRecentData and use a variable
	on the stack. (#418673, Morten Welinder)

2007-03-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkaction.[ch]: Add GtkActionClass::get_submenu() vfunc:
	actions providing a menu item or a menu tool button with already
	a submenu should return the GtkMenu widget.

	* gtk/gtkuimanager.c (update_node): If an action provides its
	own submenu, use it instead of adding an empty one

	* gtk/gtkrecentaction.[ch]: Add GtkRecentAction, an action
	implementing the GtkRecentChooser interface for displaying the
	list of recently used files into menus and toolbars generated
	using GtkUIManager. (#338843)

	* gtk/Makefile.am:
	* gtk/gtk.h:
	* gtk/gtk.symbols: Add GtkRecentAction API to the build.

	* tests/testactions.c: Exercise the GtkRecentAction API.

2007-03-15  Chris Wilson  <chris@chris-wilson.co.uk>

	* gtk/gtkicontheme.c (ensure_valid_themes), (rescan_themes),
	(gtk_icon_theme_rescan_if_needed): Protect ensure_valid_themes()
	from recursion, which can happen for example if the app tries to
	reload an icon from within a theme-changed handler. (#418531)

2007-03-15  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkmain-quartz.c: Add stubs for
	gdk_notify_startup_complete_with_id and gdk_window_set_startup_id
	here too.

2007-03-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c: Fix documentation errors. (Morten
	Welinder)

2007-03-15  Tor Lillqvist  <tml@novell.com>

	* gdk/gdk.symbols: Add gdk_notify_startup_complete_with_id and
	gdk_window_set_startup_id.

	* gdk/win32/gdkmain-win32.c: Add dummy implementations of the above.

2007-03-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooserprivate.h:
	* gtk/gtkrecentchooserutils.c: Move filtering of the recent
	files list into the shared implementation; do the filtering
	before the sorting, so that we always clamp on the desired
	size. (#418219)

	* gtk/gtkrecentchoosermenu.c: Remove the filtering of the
	list, as it's already been done.

	* gtk/gtkrecentchooserdefault.c: Ditto; also remove the
	GtkTreeModelFilter: just reload the view if the sorting and
	filtering properties change.

	* gtk/testrecentchoosermenu.c: Exercise the limit property.

2007-03-14  Michael Natterer  <mitch@imendio.com>

	Make gtk_widget_set_extension_events() work on already realized
	widgets (bug #379550, Tommi Komulainen)

	* gdk/x11/gdkinput.c (gdk_input_set_extension_events): allow to be
	called multiple times without leaking and work correctly when
	already realized (don't rely on a configure event following).

	* gtk/gtkwidget.c (gtk_widget_set_extension_events_internal): new
	internal function which walks the GdkWindow tree and sets the
	extension events on all windows that belong to the widget.

	(gtk_widget_realize)
	(gtk_widget_set_extension_events): use the new function.

2007-03-14  Emmanuele Bassi  <ebassi@gnome.org>

	Various clean ups in the GtkRecent code. (see #338843)

	* gtk/gtkrecentchooserdefault.c:
	* gtk/gtkrecentchoosermenu.c:
	* gtk/gtkrecentchooserprivate.h:
	* gtk/gtkrecentchooserutils.c: Move the recent chooser function
	for getting the sorted and clamped list of recent files from the
	manager outside the implementations.

	* gtk/gtkrecentchooserdefault.c (chooser_set_sort_type): Repopulate
	the list when the sorting order changes.

	(gtk_recent_chooser_default_dispose),
	(gtk_recent_chooser_default_finalize): Move object unref and
	source removal from finalize to dispose.

	* gtk/gtkrecentchooser.c (gtk_recent_chooser_type_init): Relax the
	prerequisite for the GtkRecentChooser interface implementations,
	from GtkObject to GObject.

	(gtk_recent_chooser_class_init): Use GTK_PARAM_* instead of
	G_PARAM_*

2007-03-13  Emmanuele Bassi  <ebassi@gnome.org>

	Apply patch by Vytautas Liuolia for changing the startup
	notification id on a window in the X11 backend. (#347375)

	* gdk/gdk.h:
	* gdk/gdkx.h:
	* gdk/x11/gdkdisplay-x11.c: Add gdk_notify_startup_complete_with_id()
	and gdk_x11_display_get_startup_notification_id().

	* gdk/gdkwindow.h:
	* gdk/x11/gdkwindow-x11.c: Add gdk_window_set_startup_id().

	* gtk/gtkwindow.h:
	* gtk/gtkwindow.c: Add gtk_window_set_startup_id(), used to
	change the startup notification id.
	
	(gtk_window_class_init), (gtk_window_init),
	(gtk_window_set_property): Add write-only "startup-id" property
	to GtkWindow.

	(gtk_window_realize): Set the startup notification id
	on a GtkWindow if it's valid.

	(gtk_window_map): If we have another valid startup notification
	id then finish the notification process.

2007-03-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_real_insert_page):
	Fix tabbed browsing in epiphany.  (#413664, Christian Persch)

2007-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksizegroup.c (gtk_size_group_add_widget): Clarify
	docs.  (#345844, Torsten Schoenfeld)

	* gdk/x11/gdkevents-x11.c (gdk_display_add_client_message_filter):
	* gdk/gdkwindow.c (gdk_window_add_filter): Add
	cross-references.  (#351252, Vincent Untz)

	* gtk/gtkprintoperation.c: Fix an oversight in an
	example.  (#381083, Ian Puleston)

	* gtk/gtkcombobox.c: Clean up and clarify docs.  (#412484)

2007-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkspinbutton.c (gtk_spin_button_style_set): Set
	the background of the panel window on style changes. (#402144,
	Benjamin Berg)

2007-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkbindings.c (gtk_binding_entry_add_signal): Remove
	an obsolete comment.  (#402169, Xan Lopez)

2007-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcellrenderertext.c (gtk_cell_renderer_text_get_property):
	Don't copy PangoLanguage.  (#340031, Morten Welinder)

2007-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c (change_icon_theme_get_info_cb):
	Handle the row reference path being NULL.  (#410565, Joe Markus
	Clarke, patch by Chris Wilson)

2007-03-11  Matthias Clasen  <mclasen@redhat.com>

	* tests/testiconview.c: Handle Menu key presses without
	crash.  (#385637, Christian Persch)

2007-03-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktooltips.c (gtk_tooltips_get_info_from_tip_window):
	Don't crash if active_tips_data is NULL.  (#382904, Li Yuan)

2007-03-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextview.c (gtk_text_view_set_buffer): Set first_para_mark
	to NULL.  (#396805, Colin Leroy, patch by Mariano Suárez-Alvarez)
	
2007-03-12  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtkfilechooserdefault.c (check_save_entry): immediately
	bail out if current_folder is NULL. (#350988, lots of reporters,
	modified patch by Jan Darmochwal).

2007-03-10  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_search_dialog_hide): only
	hide the search dialog and send focus events if the search dialog
	is currently visible.

2007-03-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c:
	(gdk_quartz_ref_cairo_surface): Reuse the surface during its lifetime.
	(gdk_quartz_drawable_get_context): Update for the new quartz cairo 
	surface API (#410442). Don't lock focus unless called outside of an 
	expose event.
	(gdk_quartz_drawable_release_context): Only flush the CG context and 
	unlock focus if called outside of expose.
	(_gdk_quartz_drawable_finish): New function, used to free the cached
	cairo surface.

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_impl_quartz_begin_paint_region): A few small style changes.
	(_gdk_window_impl_quartz_get_type): No need to make the type info
	static.
	(gdk_window_quartz_process_all_updates): Move the autorelease pool
	allocation and freeing outside the loop.
	(_gdk_windowing_window_destroy): Finish the drawable.
	(move_resize_window_internal): Small cleanup and remove comment.

	* gdk/quartz/gdkpixmap-quartz.c: Finish the drawable.

2007-03-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h: Add missing function signature to fix
	a build warning.

2007-03-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdisplay-quartz.c: (gdk_display_get_name): Plug a leak.

2007-03-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Remove unneccesary exposure mask check.

2007-03-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (gdk_screen_get_setting): Don't set
	the font name here, leave that to themes, fixes #387508.

2007-03-10  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_ref_node),
	(gtk_tree_model_sort_real_unref_node): when (un)reffing an
	element, also (un)ref its parent elements. (Fixes #364946,
	reported by many, testcase by Andreas Koehler).

2007-03-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintoperation-unix.c: Initialize the do_preview
	field of PrintResponseData.  (#396703, Christian Persch)

	* tests/print-editor.c: Plug some leaks.

2007-03-09  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtktextview.c (gtk_text_view_end_selection_drag):
	Get rid of the unused event argument. Update all callers.

	* gtk/gtktextview.c (gtk_text_view_focus_out): Call
	gtk_text_view_end_selection_drag.  (#351671, Boyd Timothy)

2007-03-09  Matthias Clasen <mclasen@redhat.com>

	* modules/input/gtkimcontextxim.c 
	(gtk_im_context_xim_filter_keypress): Don't commit
	modifier-adorned characters.  (#331369, #335796, Lin Ma
	and others)

2007-03-09  Matthias Clasen <mclasen@redhat.com>

	* Everywhere: Remove unnecessary NULL checks before
	g_free().  (#369666, Morten Welinder, Djihed Afifi)

	* configure.in: Check for ftw.h

2007-03-09  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkfilesystemwin32.c (get_icon_path): Remove
	C99isms.  (#416525, Kazuki Iwamoto)

2007-03-09  Tor Lillqvist  <tml@novell.com>

	* README.win32: Update.

2007-03-08  Matthias Clasen <mclasen@redhat.com>

	* gdk/x11/gdkasync.c (send_event_handler): Defer the callbacks
	to an idle to avoid deadlock with xcb-ified libX11.  (#413032,
	Sebastian Dröge)

2007-03-08  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_real_insert_page):
	Set child visibility to FALSE here; it will be turned
	back on in switch_page.  (#413664, Carlos Garnacho)
	
2007-03-08  Mathias Hasselmann <mathias.hasselmann@gmx.de>

	* modules/engines/ms-windows/msw_style.c: Use proper border style
	when drawing shadow of scrolled windows on Windows XP (#168326)
	* modules/engines/ms-windows/xp_theme.c: Explicitly set size of
	element_part_map array to ensure it always is large enough.
	
2007-03-08  Mathias Hasselmann <mathias.hasselmann@gmx.de>	

	* gtk/gtkcombobox.c: Add shadow-type style property, set shadow-type
	property of GtkEntry accordingly, unify size-allocation of toggle
	button (#411123, patch from Mathias Hasselmann).
	* gtk/gtkentry.c: Add shadow-type property. Query style properties
	on style changes only (#411123, patch from Mathias Hasselmann).
	* modules/engines/ms-windows/msw_style.c: Drop combo_box_draw_box
	hack as GtkComboBox emits drawing requests now (#411123, patch 
	from Mathias Hasselmann).
	
2007-03-08  Mathias Hasselmann <mathias.hasselmann@gmx.de>

	* gtk/gtkscrolledindow.c: Improve look of GtkScrolledWindow on Windows
	by implementing a scrollbars-within-bevel style property. (#168326)
	
2007-03-08  Mathias Hasselmann <mathias.hasselmann@gmx.de>

	* gtk/gtkfilesystemwin32.c: Use Windows shell icons. Icons are
	stored in the current theme with the name
	"gtk-win32-shell-icon;PATH;INDEX". PATH and INDEX reference shell
	icons as reported by SHGetFileInfoW. (#412221)

2007-03-07  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkexpander.c (gtk_expander_paint_focus): Draw the
	focus around the arrow if there is no label widget.  
	(#124045, Cody Russell)

2007-03-07  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkcombo.c: (gtk_combo_init):
	* gtk/gtkcombobox.c: (gtk_combo_box_set_popup_widget),
	(gtk_combo_box_menu_setup):
	Set names on the popup widgets to make them themable. (#414975, 
	Benjamin Berg)

2007-03-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrendereraccel.c: use multihead safe ungrab functions
	instead of gdk_keyboard_ungrab() and gdk_pointer_ungrab(), remove
	empty finalize() implementation, some cosmetic cleanup
	(bug #415645).

2007-03-06  Chris Wilson  <chris@chris-wilson.co.uk>

	* gtk/gtkicontheme.c (update_current_theme), (gtk_icon_theme_init),
	(do_theme_change), (gtk_icon_theme_set_custom_theme),
	(load_themes):
	Be careful not to trigger a style reset before we have loaded
	the icon theme. (#414875).

2007-03-06  Tor Lillqvist  <tml@novell.com>

	* gdk/Makefile.am
	* gtk/Makefile.am: Further fixes for building on Win32 outside
	srcdir. (#413492, Mathias Hasselmann)

2007-03-04  Ihar Hrachyshka <iharh@gnome.org>

	* configure.in: Added be@latin to ALL_LINGUAS. Problems seems to be
	fixed.

2007-03-04  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* configure.in: Removed be@latin from ALL_LINGUAS, as it's currently
	breaking the build.

2007-03-04  Ihar Hrachyshka <iharh@gnome.org>

	* configure.in: Added be@latin to ALL_LINGUAS

2007-03-03  Guillaume Savaton <llumeao@gmail.com>

	* configure.in: Added Esperanto (eo) to ALL_LINGUAS

2007-03-01  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtksettings.c: Always store gtk-color-scheme
	values from all sources in the ColorSchemeData struct
	and ignore the property_value for gtk-color-scheme.
	This fixes #412596, reported by Thomas Wood.

2007-02-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtksettings.c: Make color scheme update properly
	when changing themes.  (#402131, Benjamin Berg)

2007-02-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkrc.c: Don't leak references to the color-hash 
	gotten from GtkSettings.  (#409357, Benjamin Berg)

2007-02-28  Tristan Van Berkom <tvb@gnome.org>

	* gtk/gtkradiobutton.c: Fixed a warning from
	g_object_set (radiobutton, "group", NULL, NULL).

2007-02-26  Matthias Clasen <mclasen@redhat.com>

	Apply a patch by Carlos Garnacho to fix several problems
	with filechooser size handling (#325477, #151169, 143213,
	#153785)

	* gtk/gtkfilechooserdefault.c: Increase NUM_LINES slightly.
	(browse_widgets_create): Don't force the paned position to 200.
	(find_good_size_from_style): Take the size of the extra widget
	into account.

	* gtk/gtkfilechooserdialog.c (file_chooser_widget_update_hints):
	Accept a minimal width parameter. Update all callers.

2007-02-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c: Change the label to "Pages per side",
	which is more accurate, suggested by Tim Waugh. String change! 

2007-02-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkprinteroptionwidget.c: Make the folder selection for
	print-to-file work. Reported by Ian Collier.

2007-02-26  Chris Wilson  <chris@chris-wilson.co.uk>

	Bug 409101 – invalid read to gtkicontheme.c insert_theme(), might cause gnome-panel crash

	* gtk/gtkicontheme.c: (scan_directory):
		Reorder the replacement of the shared base_name key, so that we
		avoid dereferencing the string in the icon_theme->all_icon
		hash table after freeing it from the dir->icons hash table.

2007-02-26  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (gdk_window_set_icon_name): Add
	comment clarifying that "icon name" here is not related to the
	freedesktop.org icon naming stuff.

2007-02-23  Dom Lachowicz  <domlachowicz@gmail.com>

	* modules/engines/ms-windows/msw_style.c: Bug 411118 - bad bevel for
	progress bar on windows classic. Match from Mathias Hasselmann.
	
2007-02-19  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkinput.c
	(gdk_device_finalize, gdk_device_class_init): Remove.
	(gdk_device_get_type): Drop class init function. The X11 version
	doesn't have one either.
	(gdk_devices_list): Call gdk_display_list_devices() on _gdk_display.
	(gdk_display_list_devices): Check that the argument is
	_gdk_display.

	* gdk/win32/gdkinput-win32.h (GdkAxisInfo, GdkDevicePrivate):
	Cleanup: remove unused fields.
	* gdk/win32/gdkinput-win32.c: Corresponding changes. Fix function
	names in a few debugging printouts.

2007-02-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextlayout.c (gtk_text_layout_move_iter_visually):
	Ignore invisible text when going to end of the previous line.
	(#382565)

2007-02-18  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_quartz_process_all_updates),
	(_gdk_windowing_window_destroy): Setup release pools to plug two leaks,
	patch from Erik van Pienbroek, fixes bug #396649.

2007-02-18  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: Add stub for 
	gdk_display_add_client_message_filter, patch from Taybin Rutkin. Fixes
	bug #405870.

	* gdk/quartz/gdkprivate-quartz.h: Add prototypes to fix build warnings.

2007-02-18  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.h:
	* gdk/quartz/GdkQuartzWindow.h:
	* gdk/quartz/gdkquartz.h: Import AppKit.h instead of Quartz.h.
	* gdk/quartz/gdkscreen-quartz.c: (get_mm_from_pixels): Don't use 
	userSpaceScaleFactor for 10.3. Those changes bring us closer to working
	on panther, patch from Mathias Hasselmann.
	
	* gdk/quartz/gdkeventloop-quartz.c: Add includes to fix build warnings.

2007-02-16  Behdad Esfahbod  <behdad@gnome.org>

	* gdk/gdkpango.c (gdk_pango_layout_get_clip_region): Use PANGO_PIXELS
	instead of division. (#334617)

2007-02-16  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeprivate.h: add cursor_offset field.

	* gtk/gtktreeview.c (gtk_tree_view_init),
	(gtk_tree_view_move_cursor_page_up_down): fix off by one error
	in page up/down handling by memorizing the offset into the cursor
	row.  (Fixes #399809, reported by Bruce Bowler).

2007-02-16  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_search_dialog_hide): send
	a focus-in event to the tree view after hiding the search dialog.
	(#356515, Rich Burridge, Peter Parente).

2007-02-16  Kristian Rietveld  <kris@imendio.com>

	* tests/testtooltips.c (query_tooltip_text_view_cb): also handle
	keyboard tooltips. (#408325, Matthias Clasen).

2007-02-16  Xan Lopez  <xan@gnome.org>

	* gtk/gtkcombobox.c (gtk_combo_box_expose_event): Cleanup the logic
	in expose event handler. Reviewed by Matthias Clasen, #406112

2007-02-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmain.c: Run pre_parse_hook only once.  (#403139, Kjartan
	Maraas)

2007-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdmain-x11.c (_gdk_xgrab_check_button_event): Be more
	careful when checking for ButtonRelease events that end implicit
	grabs.  (#386618, Christof Krüger)

2007-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktextbtree.c (_gtk_text_btree_delete): Free the lines
	even if there are no views.  (#408018, Albert Huang)

2007-02-15  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c: Make sure we get enough main context 
	iterations while we're resizing so that the window contents are resized 
	more smoothly (#389765).

	* gdk/win32/gdkevents-win32.c: Fix flickering widgets when window contents
	are resized (#310522).

2007-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Handle symlinked .icon files 
	intelligently; also avoid storing duplicate strings.

2007-02-15  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenushell.c: remove two antique function typedefs that
	are probably obsolete for ages.

2007-02-14  Stefan Kost  <ensonic@users.sf.net>

	reviewed by: Matthias Clasen  <mclasen@redhat.com>

	* configure.in: determine installation prefixes of dependent libs to
	crossreference docs (#407146).

2007-02-14  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (child_location_foreach): check return value
	of gtk_widget_translate_coordinates() so we cannot end up
	using uninitialized x, y values.  (#407863, patch from Carlos
	Garnacho).

2007-02-14  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeviewcolumn.c (_gtk_tree_view_column_realize_button):
	use TREE_VIEW_DRAG_WIDTH/2 when calculating the drag window
	position instead of a hardcoded value.  (Taken from maemo-gtk).

2007-02-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_motion_notify): don't forget to set the
	state of the synthesized GDK_ENTER_NOTIFY event. Fix taken from
	maemo-gtk.

2007-02-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (gtk_tooltip_hide_tooltip): stop any
	pending tooltip timeout. (Fixes #406110, Carlos Garnacho).

2007-02-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c: Fix the english of the comment;
	remove some type checking; use better variable naming for the
	internal menu item markers.

2007-02-09  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c: Add support for both prepending
	and appending custom menu items.

	(gtk_recent_chooser_menu_constructor): Add a placeholder menu
	item for the empty menu case, and for giving us a starting
	point for the recent items populating process.

	(gtk_recent_chooser_menu_insert_item),
	(gtk_recent_chooser_menu_dispose_items): Insert an item at
	the position following the placeholder (and find that position
	if needed).

	(idle_populate_func), (idle_populate_clean_up): Show the
	placeholder menu item, instead of creating one each time.

	(gtk_recent_chooser_menu_populate): Kill some indirections
	and hide the placeholder before populating the menu.

	(set_recent_manager): Remember to remove the idle population
	source if the manager changes.

	* tests/testrecentchoosermenu.c: Test the appending and
	prepending of the menu items to the recent chooser menu
	widget.

2007-02-08  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c (idle_populate_func): Keep count
	of the displayed items to build the menu items mnemonic instead
	of the overall item count. (#377164)

	(idle_populate_clean_up): Append a menu item if all the items
	got filtered in the idle populate function. (#405696)

	* tests/Makefile.am:
	* tests/testrecentchoosermenu.c: Add a test for the
	GtkRecentChooserMenu widget.

Thu Feb  8 13:07:08 2007  Tim Janik  <timj@imendio.com>

	* applied patch from Xan Lopez which adds GTK_BUTTONBOX_CENTER to
	GtkButtonBox (bug #336159).

	* gtk/gtkenums.h:
	* gtk/gtkvbbox.c, gtk/gtkhbbox.c, gtk/gtkbbox.c:
	support GTK_BUTTONBOX_CENTER.

	* tests/testbbox.c: new button box test, which allows testing of 
	the various button box properties.

	* tests/testgtk.c: added GTK_BUTTONBOX_CENTER. to button box test.

2007-02-07  Cody Russell  <bratsche@gnome.org>

	* gdk/gdk.symbols: Add gdk_event_request_motions

Wed Feb  7 19:03:28 2007  Tim Janik  <timj@gtk.org>

	* gtk/gtkentry.c (gtk_entry_motion_notify): fixed motion request 
	condition which was wrongly ported with my last commit.

Tue Feb  6 15:53:59 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtktextview.c (gtk_text_view_motion_event):
	* gtk/gtkspinbutton.c (gtk_spin_button_motion_notify):
	* gtk/gtkaboutdialog.c (credits_motion_notify_event):
	* gtk/gtkhruler.c (gtk_hruler_motion_notify):
	* gtk/gtkvruler.c (gtk_vruler_motion_notify): 
	* gtk/gtkentry.c (gtk_entry_motion_notify):
	* gtk/gtktooltip.c (_gtk_tooltip_handle_event):
	* gtk/gtkhsv.c (gtk_hsv_motion): call gdk_event_request_motions()
	for new motion events after receiving motion hints.

	* gdk/gdkevents.[hc]: added gdk_event_request_motions().

2007-02-06  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktooltip.c (find_topmost_widget_coords_from_event):
	remove unused get of has_tooltip.

	* tests/testtooltips.c (query_tooltip_tree_view_cb): use the
	portable g_snprintf instead of snprintf.

2007-02-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktooltip.c (gtk_tooltip_finalize): chain up.

	(gtk_tooltip_show_tooltip): move variables and code to local
	scope. Fixes warnings about maybe uninitialized variables.

2007-02-06  Kristian Rietveld  <kris@imendio.com>

	New tooltips API.

	* gtk/Makefile.am
	* gtk/gtk.h
	* gtk/gtk.symbols: build system foo.

	* gtk/gtkmain.c (gtk_main_do_event): call tooltip event handler
	hook for appropriate events.

	* gtk/gtkmarshalers.list: add BOOLEAN:INT,INT,BOOLEAN,OBJECT.

	* gtk/gtkrc.c: add style for gtk-tooltip.

	* gtk/gtksettings.c (gtk_settings_class_init): make the
	different tooltip timeouts configurable.

	* gtk/gtkwidget.[ch]: add new properties, signals, make sure
	tooltips are hidden on unmap, destroy, update window event
	mask on realize, hook into focus change and show help
	handlers.

	* gtk/gtkwindow.h: move GtkWindow typdef to gtkwidget.h ...

	* gtk/gtktooltip.[ch]: new files.

	* tests/Makefile.am
	* tests/testtooltips.c: add test application.

2007-02-05  Dom Lachowicz <domlachowicz@gmail.com>

	* modules/engines/ms-windows/msw_style.c: Fix bug 404506, caused
	by prematurely releasing a DC. By Hiroyuki Yamamoto
	* modules/engines/ms-windows/msw_style.c: Fix bug 403470 - leaking 
	pixbufs when drawing rotated tabs. By Daniel Atallah
	
2007-02-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtksettings.c: add new boolean settings gtk-enable-accels
	and gtk-enable-mnemonics which enable/disable accelerators and
	mnemonics (bug #72375, based on a patch from Tommi Komulainen).

	* gtk/gtkwindow.c (gtk_window_activate_key)
	* gtk/gtkmenushell.c (gtk_menu_shell_key_press): don't invoke them
	if the resp. setting is FALSE.

	* gtk/gtkaccellabel.c (gtk_accel_label_refetch)
	* gtk/gtklabel.c (gtk_label_set_pattern_internal): don't display
	them if the setting is FALSE.

	* gtk/gtklabel.c: added signal connection to the screen's settings
	object and traverse all widgets on the screen when the setting
	changes. It's slightly ugly to also update GtkAccelLabels here,
	but less ugly than connecting and traversing all widgets twice.

2007-02-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextbuffer.h (enum GtkTextBufferTargetInfo): changed
	values from G_MAXUINT-0, -1, -2 to -1, -2, -3 so we stay within
	ansi C enum value limits. Fixes bug #46757.

2007-02-03  Soren Sandmann <sandmann@daimi.au.dk>

	* gtk/gtksequence.[ch]: Remove these files since GSequence has
	been moved into GLib.

	* gtk/gtkliststore.c: Port to GSequence instead of GtkSequence.

	* configure.in: Require glib-2.13.0
	
2007-02-04  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkcursor-win32.c: Don't define BITMAPV5HEADER on
	mingw with w32api >= 3.8, which has it in wingdi.h. (#403896)

2007-02-02  Kristian Rietveld  <kris@gtk.org>

	* gtk/gtktreeview.c (gtk_tree_view_row_changed): remove unused
	style_get of vertical-separator. (#403165, Chris Wilson).

2007-02-02  Christian Persch  <chpe@svn.gnome.org>

	* gtk/gtkfilechoosersettings.c: (get_config_filename),
	(ensure_settings_read), (_gtk_file_chooser_settings_init),
	(_gtk_file_chooser_settings_set_show_hidden),
	(_gtk_file_chooser_settings_set_expand_folders),
	(_gtk_file_chooser_settings_save): Use a simple key file instead of a
	markup file. Bug #399592.

2007-02-02  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* gtk/gtkcellrenderertext.c(gtk_cell_renderer_text_class_init):
	be a little more helpful with the docs on GtkCellRendererText:alignment.
	Bug #403409.

2007-02-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_paint): pass &event->area to
	gtk_paint_box() calls.

2007-02-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (gtk_menu_button_press)
	(gtk_menu_button_release)
	(gtk_menu_button_scroll): remove redundant and confusing
	if (GTK_IS_MENU (widget)) checks because "widget" is always a
	GtkMenu here.

Thu Feb  1 12:22:06 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_list_destroy): remove extra reference
	that gtkcombobox keeps on priv->popup_widget if it's a tree view.

2007-01-31  Christian Persch  <chpe@svn.gnome.org>

	* gtk/gtkaboutdialog.c: (update_credits_button_visibility),
	(gtk_about_dialog_set_authors), (gtk_about_dialog_set_documenters),
	(gtk_about_dialog_set_artists),
	(gtk_about_dialog_set_translator_credits): Hide the Credits button iff
	there are no credits to show. Bug #402806.

2007-01-31  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkinput-win32.c (print_cursor): New debugging
	function.
	(_gdk_input_wintab_init_check): Call it when debugging output is
	requested.
	(_gdk_input_wintab_init_check): Skip duplicated cursors for Wacom
	tablets. The Wacom driver reports duplicated cursors with
	physid==0. Fix verified by Robert Ögren.

2007-01-30  Felix Riemann  <friemann@svn.gnome.org>

	* modules/printbackends/file/gtkprintbackendfile.c:
	(file_printer_get_options): Fix leaked string. Fixes bug #402565.

2007-01-30  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkwindow-x11.c (gdk_x11_window_move_to_current_desktop):
	(gdk_x11_window_set_user_time): Be more careful about toplevel
	possibly being NULL.  (#402453, Sebastian Bacher)

Tue Jan 30 12:09:56 2007  Tim Janik  <timj@gtk.org>

	* gtk/gtksettings.c: cleaned up ::color-hash registration to not abuse
	class_n_properties and leave an uninitialized value array behind.

2007-01-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenuitem.c (gtk_menu_item_select)
	(gtk_menu_item_deselect): queue a draw on the parent_menu_item of
	this menu item's menu, to enable themeing menu items depending on
	whether something is selected in their submenu (patch taken from
	maemo-gtk).

2007-01-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.c: Reinstate gtk_toolbar_content_new_compatibility()
	that was mistakenly "cleaned up" a while ago. Also
	revert a problematic change to the screen_changed
	handler.  (#401598, Søren Sandmann)

2007-01-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkframe.c (gtk_frame_size_allocation): Fix a 
	problem with large y thickness.  (#136592, Xan Lopez)

2007-01-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaction.c (gtk_action_new): Use canonical
	property names.  

2007-01-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_draw_arrow):
	(gtk_notebook_draw_focus): Avoid some unnecessary 
	gtk_widget_get_style() calls.

2007-01-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktoolbar.c:
	* gtk/gtktoolitem.c:
	* gtk/gtktoolbutton.c: Rearrange things so that setting
	multiple properties causes not more than a single 
	reconstruction of the contents.

	* gtk/gtkaction.c (connect_proxy): Set all tool button 
	properties in one go.

2007-01-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkstatusicon.c:
	* gtk/gtktrayicon-x11.c: Fix GtkStatusIcon to not
	take up space on the panel if it is invisible.  (340110, Christian
	Persch)

	* tests/teststatusicon.c:
	* tests/Makefile.am: Updates

2007-01-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesel.h:
	* gtk/gtkrc.h:
	* gtk/gtk.symbols: Add deprecation guards for gtk_rc_style_ref/unref
	and the old file selector.  (#348256)

2007-01-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c: Documentation fixes (#400530, Anders Brander)

2007-01-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Check the mtime of all directories,
	not just the toplevel, if ftw() is available.  (#331671, Behdad
	Esfahbod)

	* configure.in: Check for ftw.h.

2007-01-26  Michael Natterer  <mitch@imendio.com>

	* modules/input/gtkimcontextxim.c (gtk_im_context_xim_finalize):
	destroy the XIM only if it exists. While the code does look safe
	in general, there can be corner cases where the "reconnecting"
	boolean being FALSE does not correspond to the XIM being
	allocated (fixes #329450, fix taken from maemo-gtk).

Fri Jan 26 13:07:07 2007  Tim Janik  <timj@imendio.com>

	* gtk/gtkstyle.c (draw_insertion_cursor): clamp cursor coordinates to
	window bounds (fix from Maemo Gtk).

2007-01-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentrycompletion.c (gtk_entry_completion_insert_prefix):
	only block/unblock completion->priv->insert_text_id if it is
	actually connected. While this can't happen the way GtkEntry
	itself uses the completion, it's still public API and should not
	blindly call functions that will spit warnings (fix taken from
	maemo-gtk).

2007-01-25  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkwindow.c: Reduce locking overhead by not repeatedly getting
	the paintable iface.  

2007-01-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_set_state): revert generic disabling
	of PRELIGHT state for the reasons given in bug #135666. Widget
	states are sometimes abused or otherwise used wrongly for historic
	reasons, causing this part of the patch to break e.g. menu items.

2007-01-24  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* README: Remove mention of no-longer-existing PATCH
	keyword in bugzilla. (#396899)

2007-01-23  Carlos Garcia Campos  <carlosgc@gnome.org>

	* gtk/gtkpagesetup.c
	(gtk_page_setup_set_paper_size_and_default_margins): Fix memory leak.
	Fixes bug #399907. 

2007-01-22  Chris Wilson <chris@chris-wilson.co.uk>

	Bug 399314 – Add G_GNUC_WARN_UNUSED_RESULT to gtk_style_attach

	* gtk/gtkstyle.h:
		Cause gcc to issue a warning if the style returned from
		gtk_style_attach is not used. Failure to update
		widget->style causes some very difficult to reproduce bugs,
		eg Bug 353498 – crash in Terminal: changing icon theme.

2007-01-19  Michael Emmel  <mike.emmel@gmail.com>

	* gdk/directfb/gdkevents-directfb.c: added fixes for window
	crossing events frm Attilio Fiandrotti<attilio.fiandrotti@gmail.com>

2007-01-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcalendar.c: Fix build breakage.

2007-01-19  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_motion_bin_window),
	(add_scroll_timeout), (gtk_tree_view_drag_motion): factor out
	add_scroll_timeout().  (taken from maemo-gtk).

2007-01-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcalendar.c: Fix problems with the initial
	focus in GtkCalendar.  (#397783, Vincent Untz)

2007-01-19  Robert Ögren  <gtk@roboros.com>

	Fix for bug #143460 - missed tablet clicks on Windows

	* gdk/win32/gdkinput-win32.c (_gdk_input_wintab_init_check):
	Request absolute reporting of tablet button state, and cut down
	the packet queue size a bit.
	(_gdk_input_other_event): Change button state handling
	accordingly. Also drop the no longer necessary code that detects
	missed clicks/releases for button 1. The switch to absolute button
	state should prevent missed events for all buttons. Additionally,
	swap button 2 and 3.
	(_gdk_input_grab_pointer): Don't reset button_state, that will only
	cause a new press event as soon as the next tablet packet arrives.

2007-01-19  Tor Lillqvist  <tml@novell.com>

	Build Wintab support always on Windows. Don't require the Wintab
	SDK.

	* configure.in: Drop the --with-wintab option. Drop the
	HAVE_WINTAB feature test macro and Automake variable.

	* acconfig.h
	* config.h.win32.in: Drop HAVE_WINTAB.

	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkinput.c
	* gdk/win32/gdkinput-win32.h
	* gdk/win32/gdkinput-win32.c
	* gdk/win32/gdkmain-win32.c: Make HAVE_WINTAB ifdef blocks
	unconditional.

	* gdk/win32/gdkinput-win32.c (_gdk_input_wintab_init_check): Try
	to load wintab32.dll dynamically here. If it is found look up the
	handful Wintab functions we use.
	(rest of file): Use these function pointers instead of calling the
	functions from wntab32x.lib. The code in wntab32x.lib did the same
	thing anyway: tried to load wintab32.dll, and looked up the
	addresses of the actual functions from it.

	* gdk/Makefile.am
	* gdk/win32/Makefile.am: Drop the libwntab32x hacks.

	* gdk/win32/wintab.h
	* gdk/win32/pktdef.h: New files. Copied from the Wintab
	SDK. Copyright blurb says: "The text and information contained in
	this file may be freely used, copied, or distributed without
	compensation or licensing restrictions."

	* README.win32: Update a bit. Remove the text about the Wintab
	SDK.

2007-01-18  Tor Lillqvist  <tml@novell.com>

	* gdk-pixbuf/Makefile.am
	* gdk/Makefile.am
	* gdk/win32/Makefile.am
	* gtk/Makefile.am: Fixes for building outside srcdir on
	Win32. (#336819, #340013) Drop distributing the handmade .la
	libtool wrapper for the wntab32x library. It's too much trouble
	making it work when building outside srcdir. Just link to the
	library direcly using -Wl,win32/libwntab32x.a.

2007-01-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcheckbutton.c
	* gtk/gtkdnd.c
	* gtk/gtkentry.c
	* gtk/gtkmenu.c
	* gtk/gtktreeview.c
	* gtk/gtkviewport.c: pass more clip rectangles to gtk_paint_foo()
	functions. Based on a patch from maemo-gtk (bug #398023).

2007-01-17  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Include also the COPYING file.

2007-01-17  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Don't use
	httpGetFd() when building against cups 1.1

2007-01-17  Tor Lillqvist  <tml@novell.com>

	Proper fix for #396175:

	* gtk/gtkimmulticontext.c: Revert change by Hans Breuer below: Do
	include gtkprivate.h. On Win32 we do want to use the redefinition
	of GTK_LOCALEDIR as a call to the function _gtk_get_localedir().

	* gtk/gtkimmodule.c: Instead, correct the prefix also on
	simple_context_info.domain_dirname. Do the prefix corrections
	always on Win32, not just when GTK_LIBDIR is defined. i.e., until
	now they were done only in the autoconfiscated gcc builds. Hans
	needs to make sure GTK_LIBDIR and GTK_LOCALEDIR are defined also
	in MSVC builds now.
	(correct_localedir_prefix): New function, like
	correct_libdir_prefix(), but for GTK_LOCALEDIR, in case
	GTK_LOCALEDIR is not a descendant of GTK_LIBDIR.
	(gtk_im_module_initialize): Thus call correct_localedir_prefix()
	on the domain_dirname instead of correct_libdir_prefix().
	(_gtk_im_module_list): Call correct_localedir_prefix() on
	simple_context_info.domain_dirname.

2007-01-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrange.c (range_grab_remove): Queue a redraw when the
	grab changes.  (#396470, Benjamin Berg)

2007-01-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c: Ellipsize the menu items label
	if they grow too much. (#357303)

2007-01-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c (theme_lookup_icon): When finding a matching
